2007-07-02 21:53  ajbj

	* source/window.c (1.199): A couple of small mistakes caught by
	  Bert Wesarg.

2007-06-01 20:32  tringali

	* source/nedit.c (REL-5-5.1): Backport ARGB fix to 5.5

2007-05-09 13:11  ajbj

	* source/preferences.c (1.152): Changed "Complete Word" macro to
	  use \w instead of \l and changed its comments.

2007-03-18 08:54  yooden

	* source/userCmds.c (1.55): Adds stdout/in/err help texts to Shell
	  Menu dialog, as pointed out in @discuss by Gerald Grabner.

2007-03-18 08:34  yooden

	* source/text.c (1.54): Fix for SF#682004

	  This adds a call to BufSubstituteNullChars() when a control code
	  is self-inserted (as with ALT-CTRL-a, for example). (Fix from
	  Mark Geary.)

2007-03-04 23:54  yooden

	* source/: file.c (1.110), window.c (1.198): Fix for SF#1645661

	  Another fixfix, this adds missing initializers for device/inode.

2007-03-04 23:44  yooden

	* source/textDisp.c (1.69): Fix for SF#1608609

	  Some leftovers from fixing SF#464967/SF#1041077: The cursor is
	  now redrawn in all cases.

2007-03-04 23:26  yooden

	* source/: file.c (1.109), preferences.c (1.151), tags.c (1.66),
	  window.c (1.197), window.h (1.31): Fix for SF#1578869

	  NEdit's old file-not-found dialog, while user-unfriendly, at
	  least did not crash. The new did, so this change removes the
	  Close button again.

	  Also localizes source/window.c:deleteDocument() from
	  DeleteDocument().

2007-03-04 23:17  yooden

	* ReleaseNotes (1.56): Added three entries to release notes about
	  recently fixed bugs.

2007-03-02 00:01  ajbj

	* source/preferences.c (1.150): Fixed #1574071 built-in macro "Make
	  C prototypes" doesn't work as suggested.

2007-01-30 19:42  arnef

	* source/window.c (1.196): Fix for 1645223, 'nc -wait' doesn't work
	  when detaching/moving tab (from Bert Wesarg)

2007-01-30 13:51  ajbj

	* source/interpret.c (1.47): Fixed unused macros PEEK_INT and
	  PEEK_STRING (for future use, if any).

2007-01-25 23:51  ajbj

	* source/macro.c (1.113): Bert Wesarg's fix of #1640304: ident read
	  buffer overflow in parsing 'define'.

2007-01-15 14:04  ajbj

	* source/interpret.c (1.46): Changed DEBUG_ASSEMBLY code to use new
	  instruction union from previous commit.

2007-01-12 22:44  tringali

	* source/nedit.c (1.99): Disable warnings unless "-xwarn" debug
	  switch is passed in.

2007-01-12 16:17  tringali

	* source/: interpret.c (1.45), interpret.h (1.20), parse.y (1.29),
	  parse_noyacc.c (1.10): SF 1625283: Replace nonportable casts with
	  unions

2007-01-07 13:18  yooden

	* source/: textDisp.c (1.68), textDisp.h (1.30): Various cleanups:

	  - Makes a function in textDisp.c non-global.	- Style - Add
	  "nedit:" to error messages - Comments

2007-01-04 01:42  yooden

	* ReleaseNotes (1.55), doc/help.etx (1.106), source/macro.c
	  (1.112): This merges the two functions new_filename_dialog() and
	  exist_filename_dialog() to one new function filename_dialog().
	  The memory leak is also fixed, but the other bugs remain for now.

	  (Fix for pseudo-bug SF#1600022)

2007-01-04 00:10  yooden

	* source/preferences.c (1.149): Replaces default macros 'Complete
	  Word' and 'Fill Sel. w/Char' with new alternatives by Jörg
	  Fischer.

	  (Fix for pseudo-bug SF#1578888)

2007-01-04 00:02  yooden

	* util/misc.c (1.85): Fix for SF#1245502

	  This fixes two bugs pointed out in the tracker. One allows for :
	  as accelerators, the other fixes a wrong boolean.

2007-01-03 23:40  yooden

	* ReleaseNotes (1.54), source/text.c (1.53): Fix for SF#1066692

	  If emulated tabs are on, make the inserted indent deletable by
	  tab. Round this up by faking the column a bit to the right to let
	  the user delete half-tabs with one keypress. (Thanks to Tony
	  Balinski)

2006-12-02 12:01  yooden

	* source/: textBuf.c (1.36), textBuf.h (1.21), textDisp.c (1.67):
	  Some leftovers from the last two patches.

2006-12-02 10:27  yooden

	* source/file.c (1.108), source/highlight.c (1.54),
	  source/highlightData.c (1.78), source/macro.c (1.111),
	  source/menu.c (1.138), source/preferences.c (1.148),
	  source/rangeset.c (1.17), source/search.c (1.85),
	  source/selection.c (1.32), source/shell.c (1.42),
	  source/smartIndent.c (1.40), source/textDisp.c (1.66),
	  source/textSel.c (1.17), source/userCmds.c (1.54),
	  source/window.c (1.195), util/fontsel.c (1.29), util/misc.c
	  (1.84): Removes a number of 'if (NULL == foo)' from XtFree. Also
	  changes some error messages from "NEdit:" to "nedit:" and minos
	  cleanup.

2006-12-02 09:38  yooden

	* source/: file.c (1.107), highlight.c (1.53), interpret.c (1.44),
	  interpret.h (1.19), macro.c (1.110), textBuf.c (1.35), textBuf.h
	  (1.20), textDisp.c (1.65), textDisp.h (1.29): Makes a number of
	  parameters const, changes some types to Boolean and changes some
	  style.

2006-11-28 20:11  arnef

	* source/window.c (1.194): Fix for #1525831

	  Initialise window->fileClosedAtom to None when creating new
	  Document. Thereby nc -wait doesn't return when closing file
	  opened in a tab

2006-11-22 21:16  yooden

	* README (1.49): Adds comment about Linux linkage mode (now
	  dynamic, then static).

2006-11-22 20:59  yooden

	* source/file.c (1.106): Changed type in fresh bug fix.

2006-11-22 15:13  yooden

	* source/preferences.c (1.147): Adds the two styles Operator and
	  Bracket.

	  (Fix for pseudo-bug SF#1600018)

2006-11-22 14:16  yooden

	* source/preferences.c (1.146): Fix for SF#1592236

	  Adds a missing downcast from const.

2006-11-22 13:45  yooden

	* ReleaseNotes (1.53), doc/help.etx (1.105), source/macro.c
	  (1.109), source/nedit.h (1.68): This adds the special macro
	  variable $VERSION which returns NEdit's version number ('5006'
	  for NEdit 5.6).

	  (Fixes pseudo-bug #1576902)

2006-11-07 22:04  n8gray

	* source/nedit.c (1.98): Changed the default mode of the
	  file-selection dialog to path-relative.  It's more like what
	  people expect these days.  Also changed the default size to
	  500x400.  I would have made it bigger, but perhaps somebody out
	  there still uses 640x480...

2006-11-07 19:16  ajbj

	* source/file.c (1.105): Fix for SF Bug #1588932 line number not
	  shown correctly

2006-11-02 13:24  edg

	* source/file.c (1.104): Closed another path that could lead to the
	  crash of SF bug #1578869: hitting 'Close' in the dialog has the
	  same effect as closing the window via the window manager.

2006-10-29 22:22  edg

	* ReleaseNotes (1.52), source/file.c (1.103): Fix for SF bug
	  #1578869: NEdit crashed on window close.

2006-10-29 13:23  yooden

	* ReleaseNotes (1.51): Adds a ReleaseNotes entry for Scotts fix of
	  SF#1564907.

2006-10-26 22:09  edg

	* source/highlightData.c (1.77): Python highlight pattern updates
	  (new keywords for 2.4 and 2.5).

2006-10-26 21:42  edg

	* ReleaseNotes (1.50), source/nedit.c (1.97), util/misc.c (1.83):
	  Removed the apparently unreliable detection of problematic ARGB
	  visuals and set XLIB_SKIP_ARGB_VISUALS before opening the display
	  instead.  This should solve SF bug #1579544 and duplicates
	  (#1030467, #1030192, ...).

2006-10-26 02:20  tringali

	* makefiles/: Makefile.linux (1.14), Makefile.linux-static (1.1):
	  SF #1572838: Linux binary should be dynamic by default

2006-10-26 02:15  tringali

	* source/nedit.c (1.96): Remove UTF8 from LC_CTYPE for OpenMotif
	  2.2.3, based on Eddy's experience

2006-10-20 15:44  ajbj

	* doc/help.etx (1.104), source/smartIndent.c (1.39): Corrected
	  smart indent Type-in Macro usage information.

2006-10-17 13:00  yooden

	* source/: text.c (1.52), window.c (1.193): Fix for #1543586

	  The fix for #906878 activated the cursor blink for any new pane.
	  This is now modified to be only called for active panes.

2006-10-17 12:39  yooden

	* ReleaseNotes (1.49), source/nedit.c (1.95): Fox for SF#1525074

	  Motif menu accelerators prevent use of clipboard translations in
	  the i-search bar. This change removes accelerators, their job is
	  in turn done by text widget translations.

2006-10-17 11:52  yooden

	* ReleaseNotes (1.48), source/search.c (1.84): Fix for SF#1508608

	  NEdit works slightly different on forward and backward searches.
	  This is fixed by letting a repeated search start at the beginning
	  of a selected search result instead of at the end.

2006-10-17 10:10  yooden

	* ReleaseNotes (1.47), source/shift.c (1.18): Fix for SF#1333103

	  NEdit's case change always modified the buffer, even if replacee
	  and replacement were identical. This is now checked during the
	  casing, so that the replacement is only done if necessary.
	  (Thanks to Dimitar Zhekov)

2006-10-16 19:52  tringali

	* util/motif.c (1.6): 0.95.0 has the menu unposting bug, too.
	  Verified with LessTif's test suite.

2006-10-16 14:26  yooden

	* ReleaseNotes (1.46), source/highlightData.c (1.76),
	  source/preferences.c (1.145), source/preferences.h (1.55): Fix
	  for SF#1117848

	  A few more states are checked to find out whether the user is
	  working on a new syntax highlighting pattern, and make it usable
	  immediately.

2006-10-16 13:45  yooden

	* doc/help.etx (1.103): Fix for SF#1046832

	  Adds an explanation for -untabbed mode.

2006-10-13 13:56  tringali

	* util/motif.c (1.5): Add LessTif 0.94.4 to known-bad list

2006-10-13 07:26  ajbj

	* source/: file.c (1.102), highlight.c (1.52), highlight.h (1.15),
	  macro.c (1.108), rangeset.c (1.16), rangeset.h (1.7), search.c
	  (1.83), search.h (1.28), shift.c (1.17), tags.c (1.65), textBuf.c
	  (1.34), textBuf.h (1.19), textDisp.c (1.64), textSel.c (1.16),
	  window.c (1.192): Extended use of BufAsString() and addition of
	  const: see SF bug 1528893.

2006-09-30 17:26  yooden

	* source/nedit.c (1.94): Adds unistd.h to include files for
	  access().

2006-09-30 17:18  yooden

	* doc/help.etx (1.102): Fixes another small documentation bug about
	  the use of single digit marks.

2006-09-30 17:07  yooden

	* source/macro.c (1.107): Fix for fix for SF#1493662

	  This removes some spurious changes to get NEdit to compile under
	  Solaris.

2006-09-30 16:54  yooden

	* ReleaseNotes (1.45), source/file.c (1.101): Fix for SF#1371896

	  NEdit sets the language mode for freshly-saved documents even if
	  the user chose a language mode already. This is changed.

2006-09-30 16:46  tringali

	* doc/help.etx (1.101): Updated credits to be a bit more readable

2006-09-30 16:36  yooden

	* ReleaseNotes (1.44), doc/help.etx (1.100), source/macro.c
	  (1.106), source/search.c (1.82): Fix for SF#1066765, #1078397,
	  #1110024, #1471868

	  Various documentation fixes, some reformating and a few text
	  changes in other parts of the code.

2006-09-30 16:29  yooden

	* ReleaseNotes (1.43), source/file.c (1.100): Fix for SF#1066144

	  The "File not found" NEdt pops up when a document is focused
	  which file is missing is unfriendly to the user. This is fixed by
	  adding the most usual case (and removing one which is still
	  available elsewhere) and by slightly more detailed information.

2006-09-30 16:12  yooden

	* ReleaseNotes (1.42), source/window.c (1.191), source/window.h
	  (1.30): Fix for SF#1055649

	  The window size is changed repeatedly if two document with large
	  difference in size are used in the same window. This is fixed by
	  giving all documents a gutter of the same size.

2006-09-30 16:09  tringali

	* source/nedit.c (1.93): SF 1564907: guard against bogus XKEYSYMDB

2006-09-27 11:51  michaelsmith

	* makefiles/buildvms.com (1.2), source/macro.c (1.105),
	  source/window.c (1.190): BUG #1395689 Patches to permit nedit to
	  be compiled under OpenVMS VMS compilation script and patches
	  contributed by zinser@zinser.no-ip.info

2006-08-22 13:23  yooden

	* util/getfiles.c (1.36): Using Lesstif, util/getfiles.c compiled
	  only with a warning about a missing #include <Xm/TextF.h>.

2006-08-17 17:33  ajbj

	* source/search.c (1.81): Fix for bug 1541650 where non-regex
	  replace-in-selection didn't work.

2006-08-15 21:16  yooden

	* Microline/XmL/Folder.c (1.7), Microline/XmL/Tree.c (1.3),
	  source/menu.c (1.137), source/preferences.c (1.144): Removes some
	  compiler warnings and minor bugs on VMS.

	  It compiles and runs on Linux, I have no way to check it on VMS.

2006-08-15 18:55  ajbj

	* source/: preferences.h (1.54), search.c (1.80): Made function
	  prototypes match their definitions (added "const").  This
	  corrects broken builds.

2006-08-15 18:36  ajbj

	* source/preferences.c (1.143): Adds a line to the nedit.rc file
	  header commentary:   ! (User settings in X "application defaults"
	  format) which allows copies to be recognised as X app default
	  files for syntax highlighting using the language detection regex
	  for X Resources.

2006-08-13 21:47  yooden

	* source/: highlightData.c (1.75), preferences.c (1.142),
	  rangeset.c (1.15), regularExp.c (1.30), search.c (1.79): This
	  fixes several small issues: - Some bugs in various language modes
	  pointed out by Volker Kuhlmann.  - Some compiler warning
	  (function footprint) caused from my latest changes.  - Some
	  compiler warnings (variable initialisation) from elsewhere.  -
	  One stuck return.

2006-08-13 18:41  yooden

	* ReleaseNotes (1.41), doc/help.etx (1.99), source/file.c (1.99),
	  source/nedit.h (1.67), source/preferences.c (1.141),
	  source/preferences.h (1.53), source/window.c (1.189): Fix for
	  SF#1027788

	  On opening a symlink, NEdit as yet creates a new document. This
	  behaviour is now optional: If the new resource
	  nedit.honorSymlinks is set to false, NEdit will try to detect
	  whether the file is already opened with another filename.

2006-08-13 18:02  yooden

	* ReleaseNotes (1.40), doc/help.etx (1.98), source/nedit.h (1.66),
	  source/preferences.c (1.140), source/preferences.h (1.52),
	  source/regularExp.c (1.29), source/regularExp.h (1.14),
	  source/search.c (1.78), source/search.h (1.27): Fix for
	  SF#1015499

	  An internal buffer limits the size of replace operation; the
	  result was truncated at 511 characters.

	  This change increases the buffer limit to 5119 characters and
	  prevents data loss by catching an already existing internal error
	  higher up the call chain. A new resource let's the user decide
	  how the error is handled then.

2006-08-12 13:40  yooden

	* ReleaseNotes (1.39), doc/help.etx (1.97), source/file.c (1.98),
	  source/preferences.c (1.139), source/preferences.h (1.51): Fix
	  for SF#1003241

	  NEdit converts all open files into an internal Unix-like
	  representation.  This mechanism is lacking for files which
	  contains both LF and CRLF.

	  This patch adds the resource 'nedit.forceOSConversion' which, if
	  set to False, prohibits all internal conversion. DOS and Mac
	  files are no longer conveniently editable, but the stranger file
	  types are editable at all.

2006-08-09 08:50  edg

	* source/highlightData.c (1.74): Proper fix for part of SF bug
	  #1536451, correcting my previous attempt.

2006-08-08 18:06  tringali

	* util/system.h (1.18): Updates for newer Solaris (sparc + x86)
	  boxes.

2006-08-08 10:59  edg

	* ReleaseNotes (1.38), source/highlightData.c (1.73),
	  util/managedList.c (1.15): Fixes for SF bug #1536451:
	  highlighting pattern capacity overflow.  Limits on the number of
	  patterns per set were not properly checked, or not checked at
	  all.

2006-08-07 15:41  edg

	* ReleaseNotes (1.37), source/regularExp.c (1.28): Fix for SF bug
	  #1536002: highlighting pattern compilation crash.  An invalid
	  size was used in a malloc call, causing memory corruption.

2006-08-06 18:34  edg

	* util/getfiles.c (1.35): Workaround for a Lesstif bug that caused
	  a crash in the Save As dialog when a proportional font is used
	  (reported by Alexey Kuznetsov at the discuss list).

2006-05-31 16:39  n8gray

	* source/macro.c (1.104): Added #include <limits.h> as potential
	  fix for SF #1493662.	Also fixed an unused variable warning.

2006-04-21 21:13  ajbj

	* source/: macro.c (1.103), textBuf.c (1.33), textBuf.h (1.18):
	  From patch 1191453: Avoiding buffer copying in macro search; use
	  the text buffer directly instead.

2006-04-11 06:29  n8gray

	* source/window.c (1.188): Since I'm on a roll, this is TK's fix
	  for SF bug 1460456: Crash when saving over open file.

2006-04-11 01:14  n8gray

	* doc/help.etx (1.96), source/help_data.h (1.86),
	  source/help_topic.h (1.75), source/macro.c (1.102),
	  util/getfiles.c (1.34), util/getfiles.h (1.11): Adds two new
	  (long overdue!) builtin functions to the macro language for
	  displaying file-selection dialogs:	 new_filename_dialog
	  exist_filename_dialog

	  Includes one unbracketed if statement, just as flamebait.  :-)

2006-03-17 14:20  edg

	* ReleaseNotes (1.36), util/getfiles.c (1.33): Fix for SF bug
	  #1451337: current file name does not appear in "save as" dialog
	  box

2006-03-17 10:05  edg

	* util/misc.c (1.82): Suppressed one more usually bogus clipboard
	  locking warning.

2006-03-17 09:31  edg

	* ChangeLog (1.43): Long overdue ChangeLog update (cvs2cl.pl -b -r
	  -t --accum --gmt).

2006-02-11 10:37  yooden

	* ReleaseNotes (1.35), source/macro.c (1.101), util/utils.c (1.25),
	  util/utils.h (1.15): Fix for SF#622291

	  If a macro file is loaded with load_macro_file() (ie. from
	  another macro) and code segments alternate with function
	  definitions, the code segments were executed in reverse order.
	  This is fixed by adding a stack to store and reverse the plain
	  code segments.

2006-02-10 22:10  ajbj

	* source/rangeset.c (1.14): Fixed broken "optimisation" - noticed
	  by TK Soh

2006-02-05 18:29  yooden

	* makefiles/Makefile.solaris (1.11): Fix for SF#860249

	  Some reports indicate that setting NO_XMIM is the more useful
	  option on Solaris.

2006-02-05 16:31  yooden

	* util/: utils.c (1.24), utils.h (1.14): This removes some bogus
	  'extern' declarations from util/utils.[ch].

2006-02-02 20:24  yooden

	* source/: menu.c (1.136), preferences.c (1.138), preferences.h
	  (1.50), search.c (1.77): Fix for SF#1406894

	  I removed the shell setting from TempStringPrefs. While
	  PrefData.shell is touched in translatePrefFormats() (putting in
	  the default shell), there is no need to use the more complicated
	  storage.

	  Also included are some related small changes: - The menu entry
	  'Select Shell' is renamed to 'Command Shell'.  - I removed the
	  arbitray restriction found in MAX_SH_LEN and replaced all
	  references with MAXPATHLEN.

2006-01-14 11:42  yooden

	* source/file.c (1.97): Reorders the #include directives, as
	  pointed out by Martin Zinser.

2006-01-14 10:26  yooden

	* source/menu.c (1.135): This moves the "Sort Open Prev. Menu"
	  entry into the "Customize Menus" submenu, as suggested by Dimitar
	  Zhekov on discuss@.

2006-01-02 23:10  yooden

	* source/menu.c (1.134): Doh. For some reason it worked without
	  #include before.

2006-01-02 22:35  yooden

	* ReleaseNotes (1.34), doc/help.etx (1.95), source/menu.c (1.133),
	  source/preferences.c (1.137), source/preferences.h (1.49),
	  source/shell.c (1.41): Fix for SF#403738 and SF#880607

	  This cleans up the shell problems by - bringing the shell setting
	  into NEdit's normal settings, removing it from   the X server's
	  setting.  - Changing the default shell to the user's login shell,
	  falling back on sh.

	  I also smuggled in a change to ReleaseNotes about SF#557032 I
	  forgot then.

2006-01-02 22:18  yooden

	* source/file.c (1.96): Removes redundand #ifdefs within eponymous
	  #ifndefs.

2006-01-02 22:07  yooden

	* source/menu.c (1.132): Cleanup for the recent changes on the
	  history database handling. This pulls together the file check on
	  the existing file on disk.

2005-12-28 22:19  tringali

	* source/help.c (1.105): Fix incorrect reporting of bad vs.
	  unknown.

2005-12-27 20:55  yooden

	* doc/help.etx (1.94): This cuts a long paragraph in the help into
	  multiple smaller paragraphs.

2005-12-18 03:46  tksoh

	* source/menu.c (1.131): Fix premature setting of mtime tracking
	  variable on nedit.history file.

2005-12-17 19:23  yooden

	* source/: menu.c (1.130), nedit.h (1.65), window.c (1.187): Fix
	  for SF#1381893

	  As TK pointed out in the original bug report (SF#557032),
	  internal state is not adequate to keep the file history
	  consistent if more than one session is running. Once you accept
	  that external state must be checked you don't need to keep
	  internal state at all.

	  So this patch removes the prevOpenMenuValid flag from WindowInfo
	  and the rest of the code. Validity of the menu is determined
	  using only the directory entry of the history file.

2005-12-14 23:08  yooden

	* source/menu.c (1.129): Fix for SF#557032, based on TK's fix
	  attached there.

	  NEdit's file history is now read not only once at startup, but
	  also every time a file the history is written and before the menu
	  is refreshed. This catches files written by other instances of
	  NEdit.

2005-12-10 23:21  yooden

	* source/textDisp.c (1.63): Fix for SF#1368576

	  The fix for SF#464967 increased the area processed by
	  redisplayLine() by one to let it know that the cursor should be
	  redrawn. This was done by increasing the endIndex given to
	  redisplayLine() by one. Sadly, endIndex is INT_MAX in some cases,
	  which prevented redisplays completely in certain cases. This fix
	  moves the incrementation to a saner place.

	  Neither the bugs fixed with SF#464967 nor any of the examples
	  given in SF#1368576's description are visible. Again, I notice no
	  drawbacks.

2005-12-01 14:31  tringali

	* Xlt/: BubbleButton.c (1.9), BubbleButtonP.h (1.5), SlideC.c
	  (1.5), SlideCP.h (1.4): Revert out partoffset stuff - it's Motif
	  2 only.  Need to rewrite so it's conditional

2005-11-30 17:52  tringali

	* source/macro.c (1.100): Avoid crash if cancel accelerator is
	  unset.

2005-11-30 17:48  tringali

	* Xlt/: BubbleButton.c (1.8), BubbleButtonP.h (1.4), SlideC.c
	  (1.4), SlideCP.h (1.3): Patch from ICS to do proper subclassing -
	  this will make it more immune to binary incompatible changes in
	  OpenMotif.

2005-11-29 20:37  n8gray

	* source/smartIndent.c (1.38): Fix for bug #1369091.  Matlab
	  autoindent init macro should end with a newline.

2005-11-28 22:43  yooden

	* ReleaseNotes (1.33), source/highlightData.c (1.72): Fix for
	  SF#858874

	  There was a tiny typo in Ada's syntax highlighting pattern.

2005-11-28 21:51  yooden

	* util/check_lin_tif.c (1.13): Removes a warning from GCC:
	  warning: ISO C89 forbids mixed declarations and code

	  This is simply done by wrapping blocks around the declarations.

2005-11-28 21:35  yooden

	* ReleaseNotes (1.32): Adds comment about fix to SF#464967 and
	  SF#1041077 to ReleaseNotes.

2005-11-26 00:17  yooden

	* source/textDisp.c (1.62): Fix for SF#464967.

	  The area redisplayed from within TextDRedisplayRange() is
	  appended by one character. This is necessary to let the logic in
	  redisplayLine() know that the caret should be redrawn (hasCursor
	  = true) which in turn triggers the redraw by calling drawCursor()
	  later in the function.

	  Both representations of the bug described in the bug report plus
	  two more for multi-line redraws are fixed. I noticed no
	  drawbacks.

2005-11-25 19:58  yooden

	* util/misc.c (1.81):
	  MaCke sure we get no compile errors.VS: Committing in .

2005-11-20 06:48  n8gray

	* util/misc.c (1.80): Make sure we get the prototype for select on
	  OS X systems.

2005-11-18 10:40  edg

	* util/misc.c (1.79): Removed another unnecessary warning:
	  XmClipboardInquireLength() can legally fail when the clipboard is
	  empty.

2005-11-08 22:22  edg

	* source/: file.c (1.95), nedit.h (1.64), window.c (1.186): Fix for
	  SF bug #1345424: externally changed file status not recognised.
	  The file's uid and gid are now recorded too to detect any
	  changes.

2005-09-23 14:23  edg

	* util/misc.c (1.78): Partially reverted my previous checkin: the
	  empty clipboard check should not have been removed; only the
	  warning.

2005-09-23 14:18  edg

	* util/misc.c (1.77): Removed an unnecessary warning:
	  XmClipboardRetrieve can legally fail when the clipboard is empty.

2005-09-23 14:08  tringali

	* source/nedit.c (1.92): Disable UTF8 stomping where it's not a
	  problem (OM2.2.3+)

2005-08-13 19:29  edg

	* source/macro.c (1.99), source/textSel.c (1.15), util/misc.c
	  (1.76), util/misc.h (1.28): Added clipboard spinlocks to make
	  clipboard manipulations more robust, especially in the presence
	  of other applications accessing the clipboard.

2005-08-06 04:56  tksoh

	* source/window.c (1.185): Fixed bug where line number panel didn't
	  adjust to fully display the last line number (10000) when newline
	  was added, with 9999 lines in the tab before addition.

2005-08-06 04:31  tksoh

	* source/nc.c (1.47): Fixed nc's prompt on -ask.

2005-07-30 18:05  edg

	* source/server.c (1.33): Presumable fix for SF bug #1078786:
	  "-untabbed" option of nc sometimes ignored.  The option now works
	  as intended with (older) window managers that are not _NET_WM
	  compliant.

2005-06-22 07:34  edg

	* doc/help.etx (1.93), source/help_data.h (1.85),
	  source/help_topic.h (1.74): More documentation updates by Joerg
	  Fischer.

2005-06-20 10:54  edg

	* doc/help.etx (1.92), doc/nedit.pod (1.9), source/help_data.h
	  (1.84), source/help_topic.h (1.73): More documentation updates by
	  Joerg Fisher.

2005-06-09 16:44  edg

	* doc/help.etx (1.91), source/help_data.h (1.83),
	  source/help_topic.h (1.72): Typo fixes (Joerg Fischer).

2005-05-30 07:44  edg

	* doc/help.etx (1.90), source/help_data.h (1.82),
	  source/help_topic.h (1.71): Typo fix (Joerg Fischer).

2005-05-27 16:58  edg

	* source/regularExp.c (1.27): Fix for SF bug #1204893: regular
	  expressen cuts replaced textparts.  A warning is now written to
	  stderr when truncation occurs. (Ideally, all errors and warnings
	  should be signaled via dialogs, but that requires architectural
	  changes).

2005-05-27 16:50  edg

	* source/shell.c (1.40): Minor fix.

2005-05-27 16:49  edg

	* README (1.48), Microline/XmL/Folder.h (1.3), Microline/XmL/Grid.h
	  (1.3), Microline/XmL/Progress.h (1.3), Microline/XmL/Tree.h
	  (1.3), Microline/XmL/XmL.c (1.3), Xlt/BubbleButton.c (1.7),
	  Xlt/BubbleButtonP.h (1.3), Xlt/SlideC.c (1.3), Xlt/SlideCP.h
	  (1.2), makefiles/buildvms.com (1.1), source/comnedit.com (1.10),
	  source/file.c (1.94), source/lnknedit.com (1.8), source/menu.c
	  (1.128), source/shell.c (1.39), source/window.c (1.184),
	  util/comutil.com (1.5): VMS porting fixes contributed by Michael
	  Smith.

2005-04-15 14:16  edg

	* source/shell.c (1.38): Fix for SF bug#1183759: HP compiler
	  uninitialized variable.  The variable isn't actually used when it
	  isn't initialized.

2005-03-23 12:34  edg

	* Microline/Makefile (1.3), Microline/Makefile.in (1.3),
	  Xlt/Makefile (1.1): Fix for SF bug #1066152: Microline Widget
	  Library does not Compile Added a working makefile for the
	  Microline and Xlt subdirectories.

2005-03-06 15:38  tringali

	* util/motif.c (1.4): Bug 1087192: avoid LessTif 0.93.95b

2005-03-03 14:49  edg

	* doc/help.etx (1.89), doc/nc.pod (1.7), doc/nedit.pod (1.8),
	  source/help_data.h (1.81), source/help_topic.h (1.70),
	  source/nc.c (1.46), source/nedit.c (1.91): Added -h/-help command
	  line options and clarified warn-on-exit.

2005-02-24 18:23  edg

	* source/highlightData.c (1.71): Extended C, C++, Yacc, and Lex
	  patterns to recognize strings inside preprocessor lines to avoid
	  erroneous matching of comment pattern on strings.

2005-02-23 03:00  ajbj

	* source/preferences.c (1.136): Changed default line wrap mode to
	  continuous (SF bug 1124850, rfe 1087257).

2005-02-18 11:10  edg

	* doc/help.etx (1.88), source/help_data.h (1.80),
	  source/help_topic.h (1.69): Minor clarification in regex help.

2005-02-16 07:18  n8gray

	* source/menu.c (1.127): Makes unloadTipsAP refresh any existing
	  tear-offs.

2005-02-16 05:09  ajbj

	* doc/help.etx (1.87), source/help_data.h (1.79),
	  source/help_topic.h (1.68): Added help information on the new
	  macro string escape sequences.

2005-02-16 03:44  ajbj

	* source/: parse.y (1.28), parse_noyacc.c (1.9): Adds Patch 970487:
	  \xXX and \0ooo style escaped characters to macro strings.
	  Nothing in the help about this (yet).

2005-02-15 09:13  edg

	* source/menu.c (1.126): Fix for SF bug #1122813: Tab-related crash
	  on posting unload calltips file menu.

2005-02-15 03:44  tringali

	* util/: motif.c (1.3), motif.h (1.2): Added Motif exception to
	  license

2005-02-15 01:10  n8gray

	* source/: menu.c (1.125), preferences.c (1.135), tags.c (1.64),
	  tags.h (1.16): Calltips files are now reference-counted.  This
	  should address bug #1025123 - Error loading default calltips
	  file.

	  Fixing this uncovered another bug, however, that I haven't been
	  able to fix.	I'll file a bug on it later.

	  Also, can somebody look at menu.c, compare unloadTagsAP with
	  unloadTipsAP, and address my comment on the latter?

2005-02-14 23:45  yooden

	* util/motif.c (1.2): Removes warning.

2005-02-14 22:18  yooden

	* source/nedit.c (1.90), util/prefFile.c (1.26): This sets the
	  maximum tab width to 150. This prevents some resizing of the
	  tabs, making the UI less jumpy. It is also what most users
	  probably expect from the tabs, since most apps work with tabs of
	  limited size.

	  This also slightly changes some error messages.

2005-02-14 14:40  tringali

	* util/: motif.c (1.1), motif.h (1.1): Minor cleanup of Motif
	  checker to keep #ifdef's all in one place (part 2)

2005-02-12 12:04  edg

	* util/misc.c (1.75): Fix for	SF bug #1030467: "Enabling
	  Composite Extension in Xorg 6.8 breaks Nedit", presumably also
	  for	SF bug #1048304: "Very slow resizing of Nedit window on
	  Xorg 6.8", and possibly also for   SF bug #1070918: "new tab ->
	  Segmentation fault", and   SF bug #1030192: "X_PolyFillRectange
	  error with X 6.8 and xcompmgr"

2005-02-12 01:53  tringali

	* source/help.c (1.104), source/nedit.c (1.89),
	  util/Makefile.common (1.9), util/check_lin_tif.c (1.12): Minor
	  cleanup of Motif checker to keep #ifdef's all in one place.

2005-02-11 02:42  ajbj

	* doc/help.etx (1.86), source/help_data.h (1.78),
	  source/help_topic.h (1.67), source/macro.c (1.98): Integrated
	  patch 1003088 allowing substring to drop the end position
	  argument.  It also uses negative positions as measurements from
	  the end of the string.

2005-02-11 01:46  ajbj

	* doc/help.etx (1.85), source/help_data.h (1.77),
	  source/help_topic.h (1.66), source/macro.c (1.97): Integrated
	  patch 991602, removing limits on the number of buttons in
	  dialogs.

2005-02-10 03:35  ajbj

	* source/macro.c (1.96): Buffer length fixes to rangeset functions
	  I forgot when changing rangeset.c.

2005-02-06 12:31  yooden

	* doc/help.etx (1.84): Changes documentation for the
	  replace_range() macro function. This function moves the cursor
	  when it is in the replaced range. In these cases, the cursor has
	  no clear best position, so a documentation is all we can do.

2005-02-02 09:15  edg

	* source/textDrag.c (1.11): Added dummy initializations to suppress
	  bogus compiler warnings.

2005-02-02 09:08  edg

	* source/nedit.c (1.88): Minor leak fix.

2005-02-02 09:07  edg

	* source/macro.c (1.95): Fix for the critical split() macro bug
	  reported by Joerg Fischer: using a zero-width assertion pattern
	  as the split pattern (regex mode) resulted in a seemingly endless
	  loop (ended by a crash). Zero-width assertion patterns now work
	  as expected.	Eg: split("abcdef", "(?=c)", "regex") -> "ab",
	  "cdef".

2005-01-31 14:39  edg

	* ChangeLog (1.42): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2005-01-31 14:34  edg

	* source/: preferences.c (1.134), userCmds.c (1.53), userCmds.h
	  (1.11): Fix for SF bug #1113183: lang. mode seq. change - user
	  menu LM dependency not update. (Patch by Uwe Lehnert)

2005-01-29 01:57  ajbj

	* source/rangeset.c (1.13): Fix for SF bug 1111849: the calculation
	  of maxpos in rangesets should give the valid text length in the
	  text buffer. It doesn't, since it adds in the size of the
	  buffer's gap!

2005-01-18 20:58  n8gray

	* source/nedit.c (1.87): Adds bindings for Ctrl-f/g to the help
	  system.

2005-01-06 06:23  ajbj

	* source/macro.c (1.94): The previous focus window filename fixes
	  did not cope with pathless documents such as the initial Untitled
	  window. This patch does a simple name search before attempting a
	  search using normalized names.

2005-01-06 06:09  ajbj

	* util/misc.c (1.74): Fix for bug 1096970: the patch fixes focus
	  change problems in RadioButtonChangeState() by saving the widget
	  with focus then restoring focus after the button has been
	  properly set (only required for some buggy Motifs).

2004-12-24 13:05  tksoh

	* source/window.c (1.183): Fixed a bug where rangesets do not get
	  highlighted (colored) properly when the host document is
	  detached/attached, if syntax highlighting is on.

2004-12-23 22:25  edg

	* doc/help.etx (1.83), source/file.c (1.93), source/help.c (1.103),
	  source/help_data.h (1.76), source/help_topic.h (1.65),
	  source/highlightData.c (1.70), source/menu.c (1.124),
	  source/preferences.c (1.133), source/preferences.h (1.48),
	  source/search.c (1.76), source/smartIndent.c (1.37),
	  source/tags.c (1.63), source/userCmds.c (1.52), source/window.c
	  (1.182), source/window.h (1.29), source/windowTitle.c (1.15),
	  util/misc.c (1.73), util/misc.h (1.27): Fix for SF bug #1067619:
	  focus on raise. By default, NEdit no longer requests the input
	  focus when a window is raised. This default can be overridden by
	  setting the X-resource "nedit.focusOnRaise" to True.	The
	  raise_window() action routine also accepts an optional extra
	  argument: 'focus' or 'nofocus', which can be used to override the
	  focus behaviour determined by the resource.

2004-12-17 11:54  edg

	* source/: search.c (1.75), search.h (1.26), window.c (1.181): Fix
	  for SF bug #1086664: Repeatable crash closing window.  Closing a
	  window while a modal dialog is up, triggered from a find or
	  replace dialog button action routine, is virtually impossible.
	  We can prevent illegal accesses to destroyed windows (which is
	  the reason for the crash), but we cannot avoid that Motif
	  accesses structures that get destroyed in the process.
	  Therefore, it is now no longer possible to close a window via the
	  window manager during the execution of a search dialog button
	  action routine in that window.

2004-12-05 01:23  tksoh

	* source/file.c (1.92): Fix for SF Bug #1063542: On some systems,
	  such as Solaris 2.6, the "New File" dialog does not appear when
	  trying to open a non-existing file with nc, while the NEdit
	  window is iconized.

2004-12-05 01:15  tksoh

	* source/menu.c (1.123): Fix for SF Bug #1076412: "Unload Tags
	  File" menu tear-offs not refreshed after unloading tags files.

	  Tear-offs will be closed when all tags files are unloaded.

2004-11-26 18:25  edg

	* doc/help.etx (1.82), source/help_data.h (1.75),
	  source/help_topic.h (1.64), source/highlight.c (1.51),
	  source/preferences.c (1.132), source/regularExp.c (1.26),
	  source/regularExp.h (1.13), source/search.c (1.74): Fix for SF
	  bug #1067402: Error in syntax highlighting with sub-pattern.	For
	  this, the regular expression needed to be extended such that it
	  allows imposing a boundary on the matching (instead of letting
	  matches extend till the terminating \0). This also enabled me to
	  lift a minor limitation of the look-behind matching. Also fixed 5
	  probably very old bugs in the regex engine that could easily
	  result in crashes (try replacing \y+ with abc in an empty
	  document for an instant crash).

2004-11-26 17:54  edg

	* util/misc.c (1.72): Minor leak fix.

2004-11-23 14:37  tringali

	* source/interpret.c (1.43): Remove sprintf call - this won't
	  compile on many platforms.

2004-11-21 16:53  yooden

	* source/interpret.c (1.42): Makes error message construction a
	  little more robust by replacing sprintf() with snprintf(). There
	  is a constant already in use for this (MAX_ERR_MSG_LEN), so we
	  should use it to prevent mishaps.

2004-11-09 21:58  yooden

	* doc/setext (1.13), source/calltips.h (1.4), source/file.h (1.15),
	  source/highlight.h (1.14), source/highlightData.h (1.13),
	  source/interpret.h (1.18), source/macro.h (1.8), source/menu.h
	  (1.13), source/nedit.h (1.63), source/parse.h (1.7),
	  source/preferences.h (1.47), source/rbTree.h (1.5),
	  source/regexConvert.h (1.7), source/regularExp.h (1.12),
	  source/search.h (1.25), source/selection.h (1.7), source/server.h
	  (1.7), source/server_common.c (1.6), source/server_common.h
	  (1.3), source/shell.h (1.9), source/shift.h (1.6),
	  source/smartIndent.h (1.8), source/tags.h (1.15), source/text.h
	  (1.23), source/textBuf.h (1.17), source/textDisp.h (1.28),
	  source/textDrag.h (1.5), source/textP.h (1.12), source/textSel.h
	  (1.6), source/undo.h (1.8), source/userCmds.h (1.10),
	  source/window.h (1.28), source/windowTitle.c (1.14),
	  source/windowTitle.h (1.5), util/DialogF.h (1.11),
	  util/clearcase.c (1.6), util/clearcase.h (1.5), util/fileUtils.h
	  (1.12), util/fontsel.h (1.11), util/getfiles.h (1.10),
	  util/managedList.h (1.7), util/misc.h (1.26), util/prefFile.h
	  (1.8), util/printUtils.h (1.9), util/utils.h (1.13),
	  util/vmsParam.h (1.6), util/vmsUtils.h (1.7): A large number of
	  files carried a pointer to the wrong licence (LGPL), probably
	  introduced by a pasting error during the licence clarification.
	  This was changed to point to the GPL.

2004-11-09 19:37  yooden

	* source/: macro.c (1.93), menu.c (1.122): Two problems with
	  potentially too long pathnames are fixed: 1. The open() action
	  procedure handled the results of ParseFilename wrong:    It was
	  only checked for each single component whether it's > MAXPATHLEN,
	  not for the combination. This is fixed now.  2. If the
	  pathname given to focus_window() is > MAXPATHLEN, the function
	  returns with an error now.

2004-11-07 20:03  edg

	* source/macro.c (1.92): Fix for my "fix" for SF bug #1060749:
	  truncate the string to MAXPATHLEN + other improvements suggested
	  by Tony.

2004-11-05 08:44  edg

	* source/macro.c (1.91): Fix for SF bug #1060749: focusWindowMS
	  (macro.c) causes crash.

2004-11-02 12:55  edg

	* source/shell.c (1.37): Enabled the navigation keys (arrows,
	  page-up/down, ...) for shell output dialogs.

2004-10-18 19:27  arnef

	* source/calltips.c (1.9), source/rangeset.c (1.12), source/tags.c
	  (1.62), source/textDisp.c (1.61), source/window.c (1.180),
	  util/check_lin_tif.c (1.11), util/misc.c (1.71), util/utils.c
	  (1.23): Added missing 'static'.  Changed to initial lower case
	  letter on two static functions.

2004-10-18 16:05  yooden

	* makefiles/Makefile.linux (1.13): Reverts accidental checkin of
	  Linux makefile.

2004-10-18 15:54  yooden

	* doc/help.etx (1.81), makefiles/Makefile.linux (1.12),
	  source/file.c (1.91), source/macro.c (1.90), source/menu.c
	  (1.121), source/nedit.c (1.86), source/tags.c (1.61),
	  util/fileUtils.c (1.33), util/utils.c (1.22): This fixes two
	  bugs: 1. SF#873188 2. focus_window() didn't work if the pathname
	  had extra slashes.

	  Both items were affected by pathname creation quirks in
	  source/file.c and util/fileUtils.c and there is the
	  straightforward focus_window change in macro.c. Changes in other
	  files are documentation or cleanups.

	  I don't have access to OS/2 or Cygwin systems, so please have a
	  close look on these two. VMS should not be affected.

2004-10-15 18:04  arnef

	* source/: interpret.c (1.41), interpret.h (1.17), nedit.c (1.85),
	  preferences.c (1.131), preferences.h (1.46), tags.c (1.60),
	  userCmds.c (1.51), userCmds.h (1.9): Added missing void in
	  declarations and definitions (continuation of work done by edg
	  04/10/14 14:53:25)

2004-10-15 13:57  edg

	* source/nedit.c (1.84), util/misc.c (1.70): This should fix the
	  problems that we have with drag icons when using non-default
	  visuals (especially on Solaris). All shells that Motif creates
	  beyond our control should now inherit the proper (non-default)
	  visual etc.  via the resource database. An exception is made for
	  Lesstif, which seems to be able to deal with non-default visuals
	  on its own (and which doesn't like us to impose visuals).
	  Drag-and-drop operations are now enabled under all circumstances
	  as they should no longer result in crashes (opening the path for
	  patches that rely on d&d).

2004-10-14 21:55  edg

	* source/server.c (1.32): Added missing initialization (Arne
	  Førlie).

2004-10-14 21:53  edg

	* source/userCmds.h (1.8): Added missing void in declaration (Arne
	  Førlie)

2004-10-13 17:38  tringali

	* util/system.h (1.17): Guess compiler for older SGI boxes.

2004-10-08 22:58  yooden

	* ReleaseNotes (1.31), source/highlightData.c (1.69): Adds a
	  pattern for nested command substitution in the shell pattern set.

2004-10-08 22:26  yooden

	* ReleaseNotes (1.30), source/shell.c (1.36): The status bar
	  reflects a changed keybinding in the shell command banner. This
	  is brought over from the similar code for macros.

2004-10-08 21:55  yooden

	* ReleaseNotes (1.29), source/text.c (1.51), source/text.h (1.22),
	  source/window.c (1.179): Fixes SF#906878 (Cursor blinks while
	  typing) by introducing the new function ResetCursorBlink() which
	  can be used to reset the caret blink timer.

2004-10-08 11:35  edg

	* ChangeLog (1.41): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2004-10-08 11:24  edg

	* source/window.c (1.178): Fix for replace dialog buttons not being
	updated when switching tabs, possibly resulting in temporarily
	inconsistent button states.  Candidate fix for 5.5.1.

2004-10-07 22:34  yooden

	* doc/help.etx (1.80), source/file.c (1.90), source/menu.c (1.120),
	  source/nedit.h (1.62), source/preferences.c (1.130),
	  source/preferences.h (1.45), source/search.c (1.73),
	  source/search.h (1.24), source/text.c (1.50), source/text.h
	  (1.21), source/textDisp.c (1.60), source/textDisp.h (1.27),
	  source/textP.h (1.11), source/window.c (1.177), source/window.h
	  (1.27), util/getfiles.c (1.32), util/getfiles.h (1.9),
	  util/prefFile.c (1.25): I was asked to elaborate on this commit.
	  So here goes:

	  This commit is a mistake because the codebase is made worse by
	  it. The code removed is of higher quality than the average
	  commit, is of use to many users of NEdit and would have been the
	  basis for even more improvements in code quality and usability.

	  Ironically, this commit is the result of all the things it
	  claimed to heal: That one developer considers the repository his
	  personal playground and forces his view onto others. While there
	  is no basis for the original complaint, the aggressive tone,
	  stubborn insistence and insulting nature of the comeback makes it
	  clear that this something much different than honest care about
	  the community process. What could have been a minor nuisance was
	  blown out of all proportation and made to a personal vendetta.

	  At the same time, any attempts to get to a closure were not
	  ignored, but actively impeded, any calming voice was shouted
	  down.

	  Despite all this, I figured the commit would put an end to the
	  unpleasant situation and would offer the opportunity to restart.
	  Despite the attempts to prevent this, I'd still rather work on
	  NEdit than defend against personal attacks.

	  So with this commit I take back the added features Hidden Files
	  (SF#502840), Wrap Hairline (SF#701337 variant) and Smart Case
	  Search (SF#685618) committed on 2004-10-01.

2004-10-07 10:27  edg

	* source/undo.c (1.18): Fix for SF bug #988220: backup file?.  The
	backup file was not removed when a redo operation returned the
	document to the state where it matches the saved file. Closing the
	document then left behind the backup file.

2004-10-02 13:31  yooden

	* source/: menu.c (1.119), textDisp.c (1.59): Fixes a wrong
	assumption about the hairline code.

2004-10-01 10:13  yooden

	* doc/help.etx (1.79), source/menu.c (1.118), source/nedit.h
	(1.61), source/preferences.c (1.129), source/preferences.h (1.44),
	source/text.c (1.49), source/text.h (1.20), source/textDisp.c
	(1.58), source/textDisp.h (1.26), source/textP.h (1.10),
	source/window.c (1.176), source/window.h (1.26), util/prefFile.c
	(1.24): Adds an optional hairline at the wrap column.

2004-10-01 10:06  yooden

	* doc/help.etx (1.78), source/file.c (1.89), source/help_data.h
	(1.74), source/menu.c (1.117), source/nedit.h (1.60),
	source/preferences.c (1.128), source/preferences.h (1.43),
	util/getfiles.c (1.31), util/getfiles.h (1.8): Adds a widget to
	(un)display hidden files in the FSB.

2004-10-01 09:50  yooden

	* doc/help.etx (1.77), source/menu.c (1.116), source/nedit.h
	(1.59), source/preferences.c (1.127), source/search.c (1.72),
	source/search.h (1.23), source/window.c (1.175): Adds a smart
	search mode, which toggles caseness in regex searches.
        
============================================================================
2004-09-30  REL-5-5 branch created
============================================================================

2004-09-30 22:52  n8gray

	* README (1.47): Oops -- missed a bit of CVS conflict detrius.

2004-09-30 22:51  n8gray

	* Makefile (1.19), README (1.46), ReleaseNotes (1.28), source/nc.c
	(1.45): Updating version information in preparation for 5.5
	release.

2004-09-30 21:35  edg

	* README (1.45): Removed obsolete "KNOWN DEFECTS" section.

2004-09-30 11:31  edg

	* ChangeLog (1.40): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2004-09-30 11:30  edg

	* README (1.44), ReleaseNotes (1.27): Updates for 5.5

2004-09-16 00:50  n8gray

	* source/: menu.c (1.115), window.c (1.174): Addressing Bug
	1023089: can't open new tab.  Let's see if this phrasing is more
	clear.	The File menu now has either:	  New	  New Window or:   
	 New	 New Tab depending on the user's "open new files in..."
	preference.

2004-09-07 06:19  n8gray

	* source/menu.c (1.114): Fixed spelling of incrementalSearchLine
	resource as reported by Arne Forlie.

2004-09-02 10:50  edg

	* source/userCmds.c (1.50): Shell command dialog: renamed window to
	document.

2004-09-02 10:49  edg

	* source/: nedit.c (1.83), shell.c (1.35): Fixes for the state of
	the File->Close menu item (bug reported by Arne Førlie).  Also made
	the output of a shell command go to a new window or a new tab,
	depending on the user preference wrt. tabbed editing.

2004-09-01 20:42  n8gray

	* source/menu.c (1.113): Fix the "New Tab" menu item in the tab
	context menu.

2004-09-01 20:19  n8gray

	* source/window.c (1.173): Clean out dead variables in
	DetachDocument.

2004-09-01 15:50  tksoh

	* source/window.c (1.172): Fix for SF Bug #1020035:
	Detaching/Moving non-top tab should not change top tab.

2004-08-31 23:37  n8gray

	* source/window.c (1.171): This should fix bug 1011233 - Openning
	new window from a tabbed window diminishes size.  The comment says
	that the previous version was supposed to reduce flickering but it
	caused these size problems and I didn't notice any appreciable
	difference in the flickering without it.

2004-08-26 06:51  n8gray

	* Makefile (1.18), README (1.43), ReleaseNotes (1.26), source/nc.c
	(1.44) (utags: BETA-5-5-RC2): Updating version info for RC2.

2004-08-24 12:12  edg

	* ChangeLog (1.39, BETA-5-5-RC2): Regenerated (cvs2cl.pl -b -r -t
	--accum --gmt).

2004-08-24 11:37  edg

	* source/file.c (1.88, BETA-5-5-RC2): Fix for SF bug #999021 Using
	exit() in a macro causes hang.

2004-08-20 19:33  n8gray

	* doc/help.etx (1.76), source/help_data.h (1.73), source/menu.c
	(1.112), source/nedit.c (1.82), source/nedit.h (1.58),
	source/preferences.c (1.126), source/window.c (1.170),
	source/window.h (1.25): Committing Tony Ballinski's fix for bug
	#1005442: documentation for rangeset_set_mode( r, type ) not clear

2004-08-20 16:37  edg

	* doc/help.etx (1.75), source/help_data.h (1.72),
	source/help_topic.h (1.63), source/regularExp.c (1.25): Fix for SF
	bug #1008656: word delimiters ignored.	Partially reverted the
	implementation of '<', '>', and \B back to the pre-5.4 behaviour,
	without giving up the fix for the problem that we wanted to solve
	in 5.4.  Word boundaries are now again defined in terms of the
	delimiter set (which makes things more consistent overall), but
	word boundary operators still test both the previous and the next
	character (the pre-5.4 version only tested one character, causing
	surprising matches, eg., between to spaces).

2004-08-16 10:12  edg

	* doc/help.etx (1.74), source/help_data.h (1.71),
	source/help_topic.h (1.62): Documentation fix for regex boundary
	expression semantics.

2004-08-15 02:09  tksoh

	* Microline/XmL/: Folder.c (1.6), FolderP.h (1.5), XmL.h (1.6):
	Added resource XmLFolder.minTabWidth to fix SF bug #1005064, where
	tabs were getting wrong sizes when too many tabs were opened.

2004-08-12 16:51  edg

	* source/window.c (1.169): Avoid replace dialog button sensitivity
	updates when the dialog is not mapped and the selection is altered.
	In this way many indirect status checks for all files are avoided
	(triggered by updating the sensitivity of the "Multiple Files..."
	button).

2004-08-12 13:43  edg

	* source/window.c (1.168): Fix for SF bug #1006830: "Warn on Exit"
	doesn't work sometimes.

2004-08-12 09:06  edg

	* source/file.c (1.87): Avoid "File Modified Externally" dialogs
	for tabs that are not visible (similar to minimized windows).

2004-08-10 22:28  yooden

	* source/nedit.c (1.81): Adds limits.h.

2004-08-09 22:20  n8gray

	* README (1.42), util/misc.c (1.69): It appears I never committed
	the updated RC1 README file.  Here it is.  This also contains a
	minor correction to the comment documentation for QueryDesktop. 
	There have been no functional changes.

2004-08-09 16:48  edg

	* source/: nedit.c (1.80), window.c (1.167): Restored the "invalid
	default virtual key binding" workaround that had become effectively
	disabled due to the shell widget hierarchy reorganization.  (Bug
	report at discuss list by Timothy Paige: page-up,page-down on sun
	keyboard.)

2004-08-04 17:43  n8gray

	* source/preferences.c (1.125): Bump the prefs file version to
	prevent repeated conversion.

2004-08-04 08:05  n8gray

	* source/preferences.c (1.124): Notify user when prefs file gets
	changed for 5.5.

2004-08-01 10:06  yooden

	* source/file.c (1.86), source/help.c (1.102), source/highlight.c
	(1.50), source/highlightData.c (1.68), source/macro.c (1.89),
	source/menu.c (1.111), source/preferences.c (1.123),
	source/search.c (1.71), source/selection.c (1.31), source/shell.c
	(1.34), source/smartIndent.c (1.36), source/tags.c (1.59),
	source/userCmds.c (1.49), util/DialogF.c (1.31), util/fontsel.c
	(1.28), util/getfiles.c (1.30), util/misc.c (1.68), util/misc.h
	(1.25), util/printUtils.c (1.25): Dialog OK's are getting less
	blanks, more margin.

2004-08-01 07:55  yooden

	* doc/help.etx (1.73), source/help_data.h (1.70),
	source/help_topic.h (1.61): Fixes some leftovers of the licence
	clarification.

2004-07-29 13:47  tringali

	* util/DialogF.c (1.30): SF #999820 - spaces in dialog button
	mnemonics

2004-07-28 18:02  n8gray

	* source/: text.c (1.48), window.c (1.166): Fix for bug 996786:
	Problems with Overtype mode.

2004-07-27 18:25  n8gray

	* README (1.41): Minor grammatical fix.

2004-07-27 18:23  n8gray

	* README (1.40): Updated feature list for 5.5.

2004-07-26 22:52  n8gray

	* util/system.h (1.16): Fixes test for PowerPC architecture in OS
	X.

2004-07-25 22:24  yooden

	* Makefile (1.17): Increase Posixication level.

2004-07-24 17:41  yooden

	* README (1.39), doc/help.etx (1.72): License change, step 4:
	Mention of the Mozilla project.

2004-07-23 18:52  n8gray

	* source/window.c (1.165, BETA-5-5): Fix for bug 996216: Detach
	Tab/Move tab don't keep non-default word delimiters.

2004-07-23 18:40  n8gray

	* source/window.c (1.164): Purely cosmetic.  Renamed cloneTextPane
	to cloneTextPanes and moved functions around so that
	cloneTextPanes, cloneDocument, cloneUndoItems, DetachDocument, and
	MoveDocument are together.

2004-07-23 18:07  n8gray

	* source/window.c (1.163): Applied TK Soh's patch to correct the
	colors of detached multi-pane windows.
	
	Fixes bug #996248.

2004-07-21 20:57  yooden

	* Microline/XmL/: Folder.c (1.5), FolderP.h (1.4), XmL.h (1.5)
	(utags: BETA-5-5): License change, step 3: Reapply changes to
	Mozilla widgets

2004-07-21 20:38  yooden

	* Microline/Makefile (1.2, BETA-5-5), Microline/Makefile.in (1.2,
	BETA-5-5), Microline/XmL/Folder.c (1.4), Microline/XmL/Folder.h
	(1.2, BETA-5-5), Microline/XmL/FolderP.h (1.3),
	Microline/XmL/Grid.c (1.2, BETA-5-5), Microline/XmL/Grid.h (1.2,
	BETA-5-5), Microline/XmL/GridP.h (1.2, BETA-5-5),
	Microline/XmL/GridUtil.c (1.2, BETA-5-5), Microline/XmL/Makefile
	(1.2, BETA-5-5), Microline/XmL/Makefile.in (1.2, BETA-5-5),
	Microline/XmL/Progress.c (1.2, BETA-5-5), Microline/XmL/Progress.h
	(1.2, BETA-5-5), Microline/XmL/ProgressP.h (1.2, BETA-5-5),
	Microline/XmL/Tree.c (1.2, BETA-5-5), Microline/XmL/Tree.h (1.2,
	BETA-5-5), Microline/XmL/TreeP.h (1.2, BETA-5-5),
	Microline/XmL/XmL.c (1.2, BETA-5-5), Microline/XmL/XmL.h (1.4),
	Microline/XmL/XmL.uih (1.2, BETA-5-5), Microline/examples/Makefile
	(1.2, BETA-5-5), Microline/examples/Makefile.in (1.2, BETA-5-5),
	Microline/examples/demo.c (1.2, BETA-5-5),
	Microline/examples/folder1.c (1.2, BETA-5-5),
	Microline/examples/folder2.c (1.2, BETA-5-5),
	Microline/examples/folder3.c (1.2, BETA-5-5),
	Microline/examples/folder4.c (1.2, BETA-5-5),
	Microline/examples/grid1.c (1.2, BETA-5-5),
	Microline/examples/grid2.c (1.2, BETA-5-5),
	Microline/examples/grid3.c (1.2, BETA-5-5),
	Microline/examples/grid4.c (1.2, BETA-5-5),
	Microline/examples/grid5.c (1.2, BETA-5-5),
	Microline/examples/grid6.c (1.2, BETA-5-5),
	Microline/examples/prog1.c (1.2, BETA-5-5),
	Microline/examples/prog2.c (1.2, BETA-5-5),
	Microline/examples/prog3.c (1.2, BETA-5-5),
	Microline/examples/tree1.c (1.2, BETA-5-5),
	Microline/examples/tree2.c (1.2, BETA-5-5),
	Microline/examples/tree3.c (1.2, BETA-5-5),
	Microline/examples/tree4.c (1.2, BETA-5-5),
	Microline/examples/tree5.c (1.2, BETA-5-5),
	Microline/examples/uil1.c (1.2, BETA-5-5),
	Microline/examples/uil1.uil (1.2, BETA-5-5),
	Microline/examples/util1.c (1.2, BETA-5-5),
	Microline/man/XmLArrayAdd.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayDel.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayFree.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayGet.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayGetCount.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayMove.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayNew.3x (1.2, BETA-5-5),
	Microline/man/XmLArrayReorder.3x (1.2, BETA-5-5),
	Microline/man/XmLArraySet.3x (1.2, BETA-5-5),
	Microline/man/XmLArraySort.3x (1.2, BETA-5-5),
	Microline/man/XmLCreateFolder.3x (1.2, BETA-5-5),
	Microline/man/XmLCreateGrid.3x (1.2, BETA-5-5),
	Microline/man/XmLCreateProgress.3x (1.2, BETA-5-5),
	Microline/man/XmLCreateTree.3x (1.2, BETA-5-5),
	Microline/man/XmLCvtStringToUChar.3x (1.2, BETA-5-5),
	Microline/man/XmLDateDaysInMonth.3x (1.2, BETA-5-5),
	Microline/man/XmLDateWeekDay.3x (1.2, BETA-5-5),
	Microline/man/XmLDrawnButtonSetType.3x (1.2, BETA-5-5),
	Microline/man/XmLFolder.3x (1.2, BETA-5-5),
	Microline/man/XmLFolderAddBitmapTab.3x (1.2, BETA-5-5),
	Microline/man/XmLFolderAddBitmapTabForm.3x (1.2, BETA-5-5),
	Microline/man/XmLFolderAddTab.3x (1.2, BETA-5-5),
	Microline/man/XmLFolderAddTabForm.3x (1.2, BETA-5-5),
	Microline/man/XmLFolderSetActiveTab.3x (1.2, BETA-5-5),
	Microline/man/XmLFontListCopyDefault.3x (1.2, BETA-5-5),
	Microline/man/XmLFontListGetDimensions.3x (1.2, BETA-5-5),
	Microline/man/XmLGrid.3x (1.2, BETA-5-5),
	Microline/man/XmLGridAddColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridAddRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridColumnIsVisible.3x (1.2, BETA-5-5),
	Microline/man/XmLGridCopyPos.3x (1.2, BETA-5-5),
	Microline/man/XmLGridCopySelected.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeleteAllColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeleteAllRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeleteColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeleteRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectAllCells.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectAllColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectAllRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectCell.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectColumn.3x (1.2, BETA-5-5),
	Microline/man/XmLGridDeselectRow.3x (1.2, BETA-5-5),
	Microline/man/XmLGridEditBegin.3x (1.2, BETA-5-5),
	Microline/man/XmLGridEditCancel.3x (1.2, BETA-5-5),
	Microline/man/XmLGridEditComplete.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetColumn.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetFocus.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetRow.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedCellCount.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedCells.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedColumnCount.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedRow.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedRowCount.3x (1.2, BETA-5-5),
	Microline/man/XmLGridGetSelectedRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridMoveColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridMoveRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridPaste.3x (1.2, BETA-5-5),
	Microline/man/XmLGridPastePos.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRead.3x (1.2, BETA-5-5),
	Microline/man/XmLGridReadPos.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRedrawAll.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRedrawCell.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRedrawColumn.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRedrawRow.3x (1.2, BETA-5-5),
	Microline/man/XmLGridReorderColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridReorderRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRowColumnToXY.3x (1.2, BETA-5-5),
	Microline/man/XmLGridRowIsVisible.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectAllCells.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectAllColumns.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectAllRows.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectCell.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectColumn.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSelectRow.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSetFocus.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSetStrings.3x (1.2, BETA-5-5),
	Microline/man/XmLGridSetStringsPos.3x (1.2, BETA-5-5),
	Microline/man/XmLGridWrite.3x (1.2, BETA-5-5),
	Microline/man/XmLGridWritePos.3x (1.2, BETA-5-5),
	Microline/man/XmLGridXYToRowColumn.3x (1.2, BETA-5-5),
	Microline/man/XmLMessageBox.3x (1.2, BETA-5-5),
	Microline/man/XmLPixmapDraw.3x (1.2, BETA-5-5),
	Microline/man/XmLProgress.3x (1.2, BETA-5-5),
	Microline/man/XmLRectIntersect.3x (1.2, BETA-5-5),
	Microline/man/XmLShellOfWidget.3x (1.2, BETA-5-5),
	Microline/man/XmLSort.3x (1.2, BETA-5-5),
	Microline/man/XmLStringDraw.3x (1.2, BETA-5-5),
	Microline/man/XmLStringDrawDirection.3x (1.2, BETA-5-5),
	Microline/man/XmLTree.3x (1.2, BETA-5-5),
	Microline/man/XmLTreeAddRow.3x (1.2, BETA-5-5),
	Microline/man/XmLTreeAddRows.3x (1.2, BETA-5-5),
	Microline/man/XmLWarning.3x (1.2, BETA-5-5), util/vmsParam.h (1.5,
	BETA-5-5): License change, step 2: Import of Mozilla files with new
	license

2004-07-21 11:32  yooden

	* README (1.38, BETA-5-5), doc/help.etx (1.71, BETA-5-5),
	doc/nc.pod (1.6, BETA-5-5), doc/nedit.pod (1.7, BETA-5-5),
	doc/setext (1.12, BETA-5-5), source/calltips.c (1.8, BETA-5-5),
	source/calltips.h (1.3, BETA-5-5), source/file.c (1.85, BETA-5-5),
	source/file.h (1.14, BETA-5-5), source/help.c (1.101, BETA-5-5),
	source/help.h (1.12, BETA-5-5), source/help_data.h (1.69,
	BETA-5-5), source/help_topic.h (1.60, BETA-5-5), source/highlight.c
	(1.49, BETA-5-5), source/highlight.h (1.13, BETA-5-5),
	source/highlightData.c (1.67, BETA-5-5), source/highlightData.h
	(1.12, BETA-5-5), source/interpret.c (1.40, BETA-5-5),
	source/interpret.h (1.16, BETA-5-5), source/linkdate.c (1.4,
	BETA-5-5), source/macro.c (1.88, BETA-5-5), source/macro.h (1.7,
	BETA-5-5), source/menu.c (1.110, BETA-5-5), source/menu.h (1.12,
	BETA-5-5), source/nc.c (1.43, BETA-5-5), source/nedit.c (1.79,
	BETA-5-5), source/nedit.h (1.57, BETA-5-5), source/parse.h (1.6,
	BETA-5-5), source/preferences.c (1.122, BETA-5-5),
	source/preferences.h (1.42, BETA-5-5), source/rangeset.c (1.11,
	BETA-5-5), source/rangeset.h (1.6, BETA-5-5), source/rbTree.h (1.4,
	BETA-5-5), source/regexConvert.c (1.10, BETA-5-5),
	source/regexConvert.h (1.6, BETA-5-5), source/regularExp.c (1.24,
	BETA-5-5), source/regularExp.h (1.11, BETA-5-5), source/search.c
	(1.70, BETA-5-5), source/search.h (1.22, BETA-5-5),
	source/selection.c (1.30, BETA-5-5), source/selection.h (1.6,
	BETA-5-5), source/server.c (1.31, BETA-5-5), source/server.h (1.6,
	BETA-5-5), source/server_common.c (1.5, BETA-5-5),
	source/server_common.h (1.2, BETA-5-5), source/shell.c (1.33,
	BETA-5-5), source/shell.h (1.8, BETA-5-5), source/shift.c (1.16,
	BETA-5-5), source/shift.h (1.5, BETA-5-5), source/smartIndent.c
	(1.35, BETA-5-5), source/smartIndent.h (1.7, BETA-5-5),
	source/tags.c (1.58, BETA-5-5), source/tags.h (1.14, BETA-5-5),
	source/text.c (1.47, BETA-5-5), source/text.h (1.19, BETA-5-5),
	source/textBuf.c (1.32, BETA-5-5), source/textBuf.h (1.16,
	BETA-5-5), source/textDisp.c (1.57, BETA-5-5), source/textDisp.h
	(1.25, BETA-5-5), source/textDrag.c (1.10, BETA-5-5),
	source/textDrag.h (1.4, BETA-5-5), source/textP.h (1.9, BETA-5-5),
	source/textSel.c (1.14, BETA-5-5), source/textSel.h (1.5,
	BETA-5-5), source/undo.c (1.17, BETA-5-5), source/undo.h (1.7,
	BETA-5-5), source/userCmds.c (1.48, BETA-5-5), source/userCmds.h
	(1.7, BETA-5-5), source/window.c (1.162), source/window.h (1.24,
	BETA-5-5), source/windowTitle.c (1.13, BETA-5-5),
	source/windowTitle.h (1.4, BETA-5-5), util/DialogF.c (1.29,
	BETA-5-5), util/DialogF.h (1.10, BETA-5-5), util/check_lin_tif.c
	(1.10, BETA-5-5), util/clearcase.c (1.5, BETA-5-5),
	util/clearcase.h (1.4, BETA-5-5), util/fileUtils.c (1.32,
	BETA-5-5), util/fileUtils.h (1.11, BETA-5-5), util/fontsel.c (1.27,
	BETA-5-5), util/fontsel.h (1.10, BETA-5-5), util/getfiles.c (1.29,
	BETA-5-5), util/getfiles.h (1.7, BETA-5-5), util/managedList.c
	(1.14, BETA-5-5), util/managedList.h (1.6, BETA-5-5), util/misc.c
	(1.67, BETA-5-5), util/misc.h (1.24, BETA-5-5), util/prefFile.c
	(1.23, BETA-5-5), util/prefFile.h (1.7, BETA-5-5),
	util/printUtils.c (1.24, BETA-5-5), util/printUtils.h (1.8,
	BETA-5-5), util/system.h (1.15, BETA-5-5), util/utils.c (1.21,
	BETA-5-5), util/utils.h (1.12, BETA-5-5), util/vmsUtils.c (1.6,
	BETA-5-5), util/vmsUtils.h (1.6, BETA-5-5): License change, step 1:
	Added Motif clause to a lot of files.

2004-07-20 01:40  n8gray

	* source/window.c (1.161): The stats line copies its font from the
	Row/Column widget.

2004-07-18 23:13  yooden

	* source/shift.c (1.15): Fixes inconsistency between 'Fill
	Paragraph' and wrap.

2004-07-18 22:30  yooden

	* doc/help.etx (1.70), source/file.c (1.84), source/help.c (1.100),
	source/help_data.h (1.68), source/help_topic.h (1.59),
	source/highlight.c (1.48), source/highlightData.c (1.66),
	source/macro.c (1.87), source/menu.c (1.109), source/nedit.c
	(1.78), source/preferences.c (1.121), source/search.c (1.69),
	source/selection.c (1.29), source/shell.c (1.32),
	source/smartIndent.c (1.34), source/tags.c (1.57),
	source/userCmds.c (1.47), source/windowTitle.c (1.12),
	util/fontsel.c (1.26), util/getfiles.c (1.28), util/misc.c (1.66),
	util/printUtils.c (1.23): Fixes some of the misnamed dialogs.

2004-07-15 21:17  n8gray

	* source/: help.c (1.99), nedit.c (1.77): Fix for bug 873469: nedit
	-V requires X server.  Fix due to T. Haude with slight
	modification.  (argument scanning stops if it sees "--".)

2004-07-15 18:47  edg

	* ReleaseNotes (1.25, BETA-5-5): Added bug #987102 to the list of
	bugs fixed in 5.5.

2004-07-15 18:39  edg

	* source/regularExp.c (1.23): Fix for SF bug #987102:  segmentation
	fault on replace. Regex recursion is now limited to 10000. The API
	could still be extended to handle errors more gracefully (error
	messages are currently written to stderr).

2004-07-15 18:30  edg

	* source/nedit.c (1.76): Added Lesstif-specific suppression of
	harmless but annoying warnings generated by non-production versions
	of the library.  Developers can see the suppressed messages by
	adding -DDEBUG_LESSTIF_WARNINGS to their compile flags.  So far,
	I've added 3 messages to the suppression list, but the list can
	easily be extended if more of these messages show up.

2004-07-15 18:26  edg

	* util/check_lin_tif.c (1.9): Added OpenMotif 2.2.3 and Lesstif
	0.93.94 to the "known good" lists.  (I didn't add 0.93.95 since it
	doesn't officially exist yet).

2004-07-15 17:08  edg

	* source/calltips.c (1.7): Removed the custom fix for SF bug
	#925951 again. It is covered by the fix for bug #991700.

2004-07-15 17:06  edg

	* source/nedit.c (1.75): Fix for SF bug #991700: 5.5 crash. The
	workaround to prevent this crash was executed too late due to the
	reorganization of the shells.

2004-07-15 09:07  yooden

	* source/file.c (1.83): Small optimization in backupFileName()

2004-07-15 02:03  yooden

	* makefiles/Makefile.solarisx86 (1.1, BETA-5-5): Added Makefile for
	Solaris x86.

2004-07-15 01:47  yooden

	* source/: highlightData.c (1.65), preferences.c (1.120): Fixes two
	small issues wrt C++.

2004-07-14 19:51  n8gray

	* source/menu.c (1.108): There were two accelerators for 'T' in the
	File menu.  I changed "Load Tags File" to use 'g' instead.

2004-07-14 19:48  n8gray

	* makefiles/Makefile.macosx (1.7, BETA-5-5): Adding the
	-mdynamic-no-pic gcc flag to get cleaner code on OS X.

2004-07-14 13:31  yooden

	* source/file.c (1.82): Someone forgot to call stat() before
	querying the statbuf.

2004-07-13 11:44  edg

	* source/menu.c (1.107): Another crash fix: tab context popup menu
	didn't inherit proper visual.

2004-07-13 11:35  edg

	* Xlt/BubbleButton.c (1.6, BETA-5-5): Crash fix: bubblebutton
	tooltips didn't inherit proper visual (Tk Soh).

2004-07-12 20:08  edg

	* source/search.c (1.68): Fix for incremental search bar clear
	button crash reported by Yury Burkatovsky. It wasn't as hard as I
	thought it would be.

2004-07-09 12:20  edg

	* ReleaseNotes (1.24): First stab at the release notes for 5.5.

2004-07-09 07:44  edg

	* util/misc.c (1.65): Inserted some casts to suppress harmless
	warnings on Solaris.

2004-07-08 13:07  edg

	* source/help.c (1.98): More fundamental fix for SF bug #982589:
	Help font inconsistent with window size. The help window size
	calculation is now based on the actual fixed font used in the help
	window.

2004-07-08 06:29  n8gray

	* Makefile (1.16, BETA-5-5), README (1.37), source/help_data.h
	(1.67), source/help_topic.h (1.58), source/nc.c (1.42): Man, that
	was a quick beta!  Back to RC1.

2004-07-07 08:18  edg

	* ChangeLog (1.38, BETA-5-5): Regenerated (cvs2cl.pl -b -r -t
	--accum --gmt).

2004-07-07 01:39  n8gray

	* README (1.36), makefiles/Makefile.macosx (1.6): Updating some OS
	X documentation.

2004-07-07 03:14  n8gray

	* Makefile (1.15), README (1.35), source/help_data.h (1.66),
	source/nc.c (1.41): I guess we should go to BETA1 before RC1.

2004-07-07 02:51  n8gray

	* Makefile (1.14), README (1.34), source/help_data.h (1.65),
	source/help_topic.h (1.57), source/nc.c (1.40): Updating version
	information for 5.5RC1.

2004-07-03 00:16  edg

	* source/highlightData.c (1.64): Minor update to the Python
	patterns: added new built-in functions, exceptions, warnings, ...
	that were introduced in Python 2.3.

2004-06-30 13:56  edg

	* source/help.c (1.97): Increased the help window size from 65 to
	75 columns as a workaround for the window becoming smaller due to
	changes in the font specifications.  (SF bug #982589: Help font
	inconsistent with window size)

2004-06-28 10:23  edg

	* source/menu.c (1.106): Fix for SF bug #933146: VMS Open Previous
	DB file error.

2004-06-23 15:25  edg

	* source/server.c (1.30): Race condition fix for SF bug #978104:
	nedit -sync option.  The server missed the first property change in
	synchronous mode.

2004-06-21 09:42  edg

	* doc/help.etx (1.69), source/help_data.h (1.64),
	source/help_topic.h (1.56): Cross-reference fixes (Yury
	Burkatovsky).

2004-06-13 03:08  tksoh

	* source/window.c (1.160): Fixed shrinking-window bug on some
	window manager such as Metacity, where window would shrink when
	switching between documents with different font size.

2004-06-11 12:33  edg

	* Microline/XmL/XmL.h (1.3): Fixed a #define collision when
	compiling with OM 2.2.3.

2004-06-11 12:16  edg

	* source/: menu.c (1.105), nedit.h (1.56), window.c (1.159): Fixes
	for SF bug #779454: SGI_CUSTOM & windows names.  Removed all
	obsolete SGI_WINDOW_TITLE stuff.

2004-06-11 10:14  edg

	* source/highlightData.c (1.63): Removed unused declaration.

2004-06-10 19:04  edg

	* doc/help.etx (1.68), source/help_data.h (1.63),
	source/help_topic.h (1.55): More help updates from Joerg Fischer.

2004-06-10 19:01  edg

	* source/: highlight.c (1.47), highlightData.c (1.62), macro.c
	(1.86): Commit SF patch #970491: Forbid deletion of the "Plain"
	Text Drawing Style (Tony Balinski).

2004-06-09 19:52  edg

	* source/: userCmds.c (1.46), window.c (1.158): Crash fix:
	bgMenuUndo/RedoItem were memcopied when opening multiple tabs in a
	window. This could eventually result in accesses to destroyed bg
	menu items (and crashes), but only when the tabs use different
	language modes.  That's why crashes were rather rare (and the
	illegal accesses didn't always result in a crash).

2004-06-08 17:36  edg

	* doc/help.etx (1.67), doc/nc.pod (1.5), doc/nedit.pod (1.6),
	source/help_data.h (1.62), source/help_topic.h (1.54): Help
	updates: tabbed editing and incremental search bar (Joerg Fischer).

2004-06-08 17:30  edg

	* source/server.c (1.29), util/misc.c (1.64), util/misc.h (1.23):
	Committed SF patch #963120: Open tab in window on current desktop. 
	New files opened via nc no longer appear in a tab of some
	pseudo-random window, possible on a different window manager
	desktop, but on a window of the current desktop. If no window
	exists on the current desktop, a new one is created.  Requires the
	window manager to be EWMH compliant, but falls back to the old
	behaviour for non-compliant wms.

2004-06-08 17:08  tringali

	* source/shell.c (1.31): Fix from Tony Balinski: close unused fds
	so that shell commands can be invoked asynchronously.  Otherwise,
	we will wait for the command to end even if the input/output/error
	streams were redirected to /dev/null.

2004-06-01 14:23  edg

	* source/server_common.c (1.4): Memory leak and malloc/free
	mismatch fixes.

2004-05-25 21:31  tringali

	* source/nedit.c (1.74): Don't use labelFontList et al on
	Cygwin/LessTif.

2004-05-16 14:02  tksoh

	* source/window.c (1.157): Fixed coredump if offers to save file
	were refused when closing window with several modified documents.

2004-05-12 11:21  edg

	* source/interpret.c (1.39): Missed a spot in the debug code when I
	applied the macro string changes.

2004-05-11 21:56  edg

	* doc/help.etx (1.66), doc/nc.pod (1.4), doc/nedit.pod (1.5),
	source/help_data.h (1.61), source/help_topic.h (1.53): Updated
	rangeset documentation (SF bug #922282) and -do documentation
	(Joerg, with remarks of Tony).

2004-05-06 10:39  jlous

	* source/menu.c (1.104): Changed "Tabs..." to "Tab Stops..." in
	menus.

2004-05-04 16:19  edg

	* README (1.33), doc/help.etx (1.65), doc/nc.pod (1.3),
	doc/nedit.pod (1.4), source/help_data.h (1.60), source/help_topic.h
	(1.52): Added TK to the list of authors.

2004-05-04 09:41  edg

	* Xlt/BubbleButton.c (1.5): Added declaration of
	_XmStringCreateExternal (SF bug #923924).

2004-05-03 14:08  edg

	* ChangeLog (1.37): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2004-05-03 13:59  edg

	* source/window.c (1.156): Bug fix: File->Close in the original
	window was disabled after calling calling the detach_document()
	macro subroutine.

2004-05-03 09:26  edg

	* util/check_lin_tif.c (1.8): Classified OM 2.2.3 (the real one,
	not the 2.2.2 version claiming to be 2.2.3) as being UNTESTED iso.
	KNOWN BAD. If no show-stoppers are found, we can classify it as a
	supported version.

2004-05-03 08:54  edg

	* Xlt/BubbleButton.c (1.4): Fixed inconsistent linkage declaration
	for _XmExportLabelString.

2004-05-03 08:53  edg

	* util/misc.c (1.63): Disabled the sticky radiobutton workaround
	for OM 2.2.3 and above. The bug appears to be fixed in 2.2.3.

2004-04-30 15:27  edg

	* source/interpret.c (1.38): Added some comments to the new string
	allocation routines.

2004-04-30 14:35  edg

	* source/: interpret.c (1.37), interpret.h (1.15), macro.c (1.85),
	smartIndent.c (1.33): Speed boost for macro string searching: keep
	string length together with the string to avoid excessive amount of
	strlen() calls in some cases.

2004-04-30 11:53  edg

	* source/window.c (1.155): Bug fix: closing a tab via a macro
	called from another tab resulted in a crash or an endless loop in
	GetTopDocument().

2004-04-30 04:06  tksoh

	* source/: nedit.c (1.73), window.c (1.154): Some GUI changes on
	statsAreaForm: removed the separator below the tab-bar; removed
	some hardcoded visual resources on tab and tab-bar; statsline's
	text widget to inherit colors from it's immediate parent form, to
	ease customization.

2004-04-29 02:34  tksoh

	* source/: menu.c (1.103), nedit.c (1.72), text.c (1.46): Removed
	tab navigation items from the Window menu, and handle them with
	text widget's translation table.

2004-04-28 01:54  tksoh

	* doc/help.etx (1.64), source/help_data.h (1.59),
	source/help_topic.h (1.51), source/menu.c (1.102), source/nedit.c
	(1.71), source/nedit.h (1.55), source/window.c (1.153),
	source/window.h (1.23): Renamed "Split Window" to "Split Pane", and
	split_window() is now split_pane().

2004-04-27 01:35  tksoh

	* source/: file.c (1.81), menu.c (1.101), nedit.h (1.54),
	preferences.c (1.119), window.c (1.152): Second (and hopefully
	final) phase of Buffers-to-Documents conversion; Also added brief
	description to struct WindowInfo on tabbed mode.

2004-04-26 03:01  tksoh

	* source/window.c (1.151): Fix for SF bug #941888: Window shrinks
	when switching between tabs on some window managers such as
	metacity.

2004-04-24 04:53  tksoh

	* source/window.c (1.150): Preserve document opening chain
	(WindowList) when documents are detached or moved, so that macro
	functions such focus_window("last") will traverse the documents
	correctly.

2004-04-24 03:48  tksoh

	* source/window.c (1.149): Honor pref setting of "Hide Tab Bar When
	Only One Document is Open"; covering SF bug #939712: unexpected tab
	bar on startup.

2004-04-24 03:12  tksoh

	* source/window.c (1.148): Fixed coredump when closing top
	document.

2004-04-23 16:35  tringali

	* source/window.c (1.147): Fix for bug 940844 - flashing isearch
	bar on startup

2004-04-23 00:43  tksoh

	* source/window.c (1.146): Fixed bold-face on label of inactive
	tabs.

2004-04-19 15:46  tringali

	* source/: window.c (1.145), nedit.c (1.70): - Changed accelerators
	for next/prev window to Ctrl+Pg Up (for Mozilla compat.) -
	Bold-face the active tab for visibility, implemented with fontlist
	tags.

2004-04-17 10:32  tksoh

	* source/: nedit.c (1.69), window.c (1.144), window.h (1.22): Fixed
	WM session management (WM_SAVE_YOURSELF) support for tabbed mode.

2004-04-17 03:51  n8gray

	* doc/help.etx (1.63), source/help_data.h (1.58),
	source/help_topic.h (1.50): Updated documentation for the
	auto-scroll feature.  The resource for setting the number of lines
	of padding has changed to nedit.autoScrollVPadding.

2004-04-16 08:15  edg

	* source/calltips.c (1.6): Fix for SF bug #925951: nedit 5.4
	crashes when dragging a calltip.  It appears to be a bug in SUN's
	Motif. Dragging is now disabled.

2004-04-15 22:32  n8gray

	* source/: menu.c (1.100), nedit.h (1.53), preferences.c (1.118),
	preferences.h (1.41), window.c (1.143), window.h (1.21): Committing
	the auto-scroll patch.	For now 4 seems like a reasonable default.

2004-04-14 20:33  n8gray

	* source/: help_data.h (1.57), help_topic.h (1.49), window.c
	(1.142): Applied TK's patch for putting the * on the correct side
	of the tab's filename based on text alignment (with a minor
	change).  I still don't understand why it didn't work for me
	before, but what the heck.
	
	Also it looks like I regenerated the help files.  No changes there
	other than the dates at the top.

2004-04-14 15:12  edg

	* source/window.c (1.141): Warning fix (Andrew Stanaski).

2004-04-14 09:44  edg

	* source/: nedit.c (1.68), server.c (1.28): Additional fixes for
	potential crashes due to -do macro commands closing windows.

2004-04-14 05:45  tksoh

	* source/: nedit.c (1.67), server.c (1.27): Fixed coredump when
	running -do closed() or detach_document() with nc or nedit, or when
	files fail to open.
	
	Also corrected the behavior on VMS so that -do will only apply onto
	the first file globbed from the wildcard specified.

2004-04-14 00:49  n8gray

	* source/: nedit.c (1.66), window.c (1.140): Changed so that
	alignment of the filenames in tabs isn't hardwired.  I edit lots of
	files that have the same prefix, e.g. mmc_ext_XXX.ml, and if too
	many tabs get opened then I end up with 25 identical tabs.  This is
	much less of a problem if the text is right-aligned, since the .ml
	suffixes take up less space.
	
	You can try this out by setting the resource "*tab.alignment:
	XmALIGNMENT_END".
	
	One improvement would be to also put the "*" that indicates a file
	is modified on the right if the titles are right-aligned.  I tried
	to implement that but for some reason couldn't read the setting of
	the alignment resource successfully.

2004-04-14 00:14  n8gray

	* source/window.c (1.139): Fixed the code to get the next tab on
	tab close/detach so that the correct tab is chosen when tabs are
	sorted.

2004-04-01 12:48  tksoh

	* source/window.c (1.138): Re-enabled window auto-resizing on
	(un)display of line numbers for multi-tab windows. Disabling
	auto-resize on font change alone would be enough to fix the
	growing-window bug.

2004-04-01 10:29  tksoh

	* source/window.c (1.137): Fixed BadMatch error when linking to
	various releases of Lesstif version 1.2 (no problem with v2.x), if
	we use XCreateBitmapFromData() to created bitmaps for buttons.

2004-04-01 02:50  tksoh

	* source/textDisp.c (1.56): Fixed BadWindow error when opening help
	window, introduced by the recent window auto-resize patch.

2004-04-01 01:38  tksoh

	* source/window.c (1.136): Fixed bug where the detached document
	would get an incorrect number of rows, when the document contain
	highlighting fonts with sizes differ from the primary font. For now
	there'd be some flickers due to the resizing of the detached window
	by syntax highlighting, etc - something that we are to address
	later - but the rows will at least be correct.

2004-03-31 15:02  tksoh

	* source/: highlight.c (1.46), textDisp.c (1.55), window.c (1.135):
	Disabled window auto-resizing, triggered by font change or
	(un)display of line numbers, for multi-tab windows.

2004-03-31 12:31  tksoh

	* source/: nedit.h (1.52), search.c (1.67), window.c (1.134):
	Applied SF patch #891884: Add Find and Clear buttons to i-search

2004-03-29 14:42  tksoh

	* source/userCmds.c (1.45): Fixed coredump when invoking BG menu on
	lower split-panes.

2004-03-28 12:15  yooden

	* .cvsignore (1.3), doc/.cvsignore (1.5), source/.cvsignore (1.5),
	util/.cvsignore (1.4): Moves *.bck to global ignore file.

2004-03-25 17:37  tksoh

	* source/: menu.c (1.99), window.c (1.133): Removed unused
	functions.

2004-03-25 07:12  n8gray

	* .cvsignore (1.2), doc/.cvsignore (1.4), doc/help.etx (1.62),
	source/.cvsignore (1.4), source/help_data.h (1.56),
	source/help_topic.h (1.48), source/textDrag.c (1.9),
	util/.cvsignore (1.3): Updated the help files to document action
	routines for all menu items.  Also added *.bck to .cvsignore files.

2004-03-25 04:27  tksoh

	* source/: file.c (1.80), file.h (1.13), macro.c (1.84), menu.c
	(1.98), nedit.c (1.65), preferences.c (1.117), selection.c (1.28),
	server.c (1.26), tags.c (1.56), window.c (1.132), window.h (1.20):
	Speed up opening of multiple files, by opening the files in
	background and deferring the syntax highlighting (SH) process. SH
	may be triggered later when a document is raised, or accessed by
	macro functions.

2004-03-21 14:25  tksoh

	* source/: Makefile.common (1.17), window.c (1.131): Bugfix for
	persistent tooltip of tabs, when dragged with middle button.

2004-03-19 15:17  tringali

	* util/system.h (1.14): Fix bogus IA64 defintion; detect Intel when
	masquerading as gcc; guess when compiling HP C.

2004-03-19 09:53  tksoh

	* source/window.c (1.130): Make next/prev document actions
	independent of tab sorting policy.

2004-03-11 12:42  edg

	* source/: nedit.h (1.51), userCmds.c (1.44): Bug fixes for user
	menu cache (Uwe Lehnert).

2004-03-06 22:44  n8gray

	* source/: menu.c (1.97), nedit.h (1.50), preferences.c (1.116):
	Added "Sort Tabs Alphabetically" menu item.

2004-03-06 02:24  n8gray

	* source/window.c (1.129): Fixed SortTabBar -- it wasn't updating
	the "next" pointers, which broke the next/previous tab actions.

2004-03-05 08:10  tksoh

	* source/: menu.c (1.96), menu.h (1.11), userCmds.c (1.43),
	window.c (1.128): Hide the BG tearoffs when switching doc, and
	restore them when switched back later.

2004-03-04 09:44  tksoh

	* source/: menu.c (1.95), menu.h (1.10), nedit.h (1.49),
	preferences.c (1.115), userCmds.c (1.42), userCmds.h (1.6),
	window.c (1.127): Applied SF patch #891126: user menu cache.

2004-03-04 00:49  tksoh

	* source/: file.c (1.79), preferences.c (1.114), preferences.h
	(1.40), window.c (1.126), window.h (1.19): If 'nedit.sortTab' is
	True, sort the tabs on the tab bar by filenames alphabetically.
	Sorting is disabled by default.

2004-03-03 13:28  edg

	* source/textBuf.c (1.31): Bug fix in BufCountDispChars: don't
	count terminating \0 of text buffer.

2004-03-03 07:06  tksoh

	* source/: menu.c (1.94), window.h (1.18): Cleaned up residue of
	"Attach Tab".

2004-03-02 12:47  tksoh

	* source/undo.c (1.16): Removed flickers on text area that occured
	when undoing/redoing with selection and
	'nedit.undoModifiesSelection' set to false.

2004-03-02 08:15  tksoh

	* source/: menu.c (1.93), nedit.h (1.48), window.c (1.125),
	window.h (1.17): Changed Menu "Attach Tab..." to "Move Tab To...".
	The corresponding AP attach_document_dialog() is changed to
	move_document_dialog() too; Also revised preference menus under
	"Tabbed Editing".

2004-02-27 00:53  tksoh

	* source/window.c (1.124): Bugfix for shrunken upper split panes
	when documents are detached or attached.

2004-02-26 09:54  edg

	* source/window.c (1.123): Clone tab distance & emulation settings
	when cloning a document.

2004-02-25 02:47  tksoh

	* source/: menu.c (1.92), window.c (1.122): Made line number
	display a shell-level item, like the i-search and stats lines. Also
	fixed few associated bugs.

2004-02-23 02:51  n8gray

	* source/textBuf.c (1.30): Eliminated unnecessary #include.

2004-02-21 14:25  yooden

	* doc/help.etx (1.61), source/help_data.h (1.55),
	source/help_topic.h (1.47): Fiyes typos in help, adds args[] doc
	(Tony Balinski), changes mailing list information (Joor Loohuis).

2004-02-21 05:45  tksoh

	* source/: file.c (1.78), macro.c (1.83), menu.c (1.91),
	preferences.c (1.113), search.c (1.66), shell.c (1.30),
	smartIndent.c (1.32), tags.c (1.55), undo.c (1.15), userCmds.c
	(1.41), window.c (1.121), window.h (1.16): Update button state or
	sensitivity of the main menus only if the document being worked on
	is on top. This prevent the macro operation from updating the menu
	buttons incorrectly, when acting on documents currently not on top.

2004-02-20 09:27  tksoh

	* source/menu.c (1.90): Corrected mnemonic of 'Last Viewed Tab'
	menu.

2004-02-19 06:33  tksoh

	* source/nedit.c (1.64): Added missing -group option in nedit
	command line help message.

2004-02-19 06:23  tksoh

	* doc/help.etx (1.60), source/help_data.h (1.54),
	source/help_topic.h (1.46), source/nc.c (1.39), source/nedit.c
	(1.63): Added option -group to nc and nedit, to allow opening of
	group of files as tabs in a new window.

2004-02-17 01:01  tksoh

	* source/window.c (1.120): Fixed coredump when loading tag files,
	caused by dangling pointer of mode messages.

2004-02-16 01:02  tksoh

	* doc/help.etx (1.59), source/file.c (1.77), source/file.h (1.12),
	source/help_data.h (1.53), source/help_topic.h (1.45),
	source/macro.c (1.82), source/menu.c (1.89), source/nc.c (1.38),
	source/nedit.c (1.62), source/nedit.h (1.47), source/preferences.c
	(1.112), source/preferences.h (1.39), source/search.c (1.65),
	source/selection.c (1.27), source/server.c (1.25), source/tags.c
	(1.54), source/window.c (1.119): Applied SF patch #893177: modeless
	tabbed windows.

2004-02-14 02:22  tksoh

	* source/window.c (1.118): Bugfix: top BG menu tearoffs were not
	closed before switching 	tabbed document.

2004-02-13 12:32  tksoh

	* source/window.c (1.117): Close all BG menu tearoffs before
	switching tabbed document.  BG menu is local to each document, so
	should not stay up when its parent doc isn't.

2004-02-13 07:53  tksoh

	* source/window.c (1.116): Bugfix: banner not cleared after loading
	tag files, etc.

2004-02-10 22:29  yooden

	* Microline/XmL/Folder.c (1.3), source/file.c (1.76),
	source/window.c (1.115): Removes some warnings.

2004-02-10 14:25  tringali

	* source/nedit.c (1.61): Fix reversed tab accelerators in LessTif

2004-02-10 02:00  tringali

	* source/nedit.c (1.60): Fix for tab accelerators in LessTif; avoid
	trapping Alt+Shift+arrow too.

2004-02-09 11:02  edg

	* source/window.c (1.114): Added missing shell/macroMenuValid
	initializations.

2004-02-09 09:45  tksoh

	* source/: rangeset.c (1.10), rangeset.h (1.5), window.c (1.113):
	Bugfix for: 1) coredump when detaching/attaching document
	containing    destroyed rangeset; 2) after being detached/attached,
	colors of subsequently	  added rangesets were not refreshed
	immediately.

2004-02-09 04:16  tksoh

	* source/window.c (1.112): Applied workaround for partially
	(bottom) obscured text area of new tabs on OM-2.1.30, and perhaps
	other Motifs also?

2004-02-08 02:49  tksoh

	* source/window.c (1.111): Applied workaround for coredump when
	closing tabs in the middle of keystrokes learning, by clicking on
	the close-tab button. See comment of closeTabCB() for detail.

2004-02-08 01:46  tksoh

	* source/window.c (1.110): Bugfix: stats or i-search line might
	come up concealed on new windows, if the tab bar was set to be
	always displayed.

2004-02-07 15:44  tringali

	* source/: menu.c (1.88), menu.h (1.9), nedit.h (1.46), window.c
	(1.109): Tab context menu via TK Soh, from SF patch 891679

2004-02-07 02:20  tringali

	* source/nedit.c (1.59): - Visual for inactive tabs: use a lighter
	grey foreground.  Ideally we'd make the   active tab boldface, but
	that requires mucking about with fonts.  - Non-emacs accelerators
	for tab navigation: Alt-Left,Alt-Right,Alt-Home

2004-02-05 07:29  tksoh

	* source/window.c (1.108): Bugfix for missing BG menus in second
	and subsequent tabbed docs.

2004-02-04 08:44  tksoh

	* source/: file.c (1.75), menu.c (1.87), nedit.h (1.45), window.c
	(1.107), window.h (1.15): Create tabbed document in background, to
	avoid unnecessary updates on the user menus. This reduces the
	flickers on the tearoffs of the user menus. It also speeds up the
	process of opening multiple files, particularly those of the same
	language modes.

2004-02-03 14:26  edg

	* source/preferences.c (1.111): Fix for SF bug #887581: /*
	Uncomment */ macro problem.

2004-02-03 08:25  edg

	* ChangeLog (1.36): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2004-02-03 08:18  edg

	* source/macro.c (1.81): Fix for SF bug #889444: rangeset_add(rs1,
	rs2) fails if rs1, rs2 is empty.

2004-02-03 07:27  tksoh

	* source/preferences.c (1.110): Bugfix: nedit.tabbedMode was not
	saved to nedit.rc file.

2004-02-03 07:27  tksoh

	* source/preferences.c (1.110): Bugfix: nedit.tabbedMode was not
	saved to nedit.rc file.

2004-01-29 11:03  tksoh

	* source/smartIndent.c (1.31): Applied workaround for Motif
	crash-with-tearoffs bug to Smart Indent dialog. Any more?

2004-01-29 10:53  tksoh

	* source/highlightData.c (1.61), source/window.c (1.106),
	util/misc.c (1.62), util/misc.h (1.22): Applied workaround for
	Motif crash-with-tearoffs bug to Syntax Highlighting Patterns
	dialog.

2004-01-28 01:50  tksoh

	* doc/help.etx (1.58), source/help_data.h (1.52),
	source/help_topic.h (1.44), source/preferences.c (1.109): A sort of
	fix for SF Bug #883894: removed normal non-whitespace text
	characters from the default backlighting list, so that those
	characters will be displayed with the background color as defined
	by the nedit.textBgColor resource - unless overridden by syntax
	highlighting.

2004-01-27 18:02  tksoh

	* source/: userCmds.c (1.40), window.c (1.105): When switching
	tabs, only update Macro/Shell/BG menus only if the language mode
	has changed, to reduce flickers on the tearoffs.

2004-01-27 17:44  tksoh

	* source/preferences.c (1.108): Fix for SF bug #884862: typo in
	class names of preference resources.

2004-01-26 09:23  tksoh

	* source/: macro.c (1.80), macro.h (1.6), nedit.h (1.44), shell.c
	(1.29), shell.h (1.7), window.c (1.104): Mode message display was
	not handled properly as we switch between documents.

2004-01-20 03:31  tksoh

	* source/window.c (1.103): fixed compiling warning on use of
	undeclared function.

2004-01-20 02:48  tksoh

	* source/: rangeset.c (1.9), rangeset.h (1.4), window.c (1.102):
	Transfer rangeset info when attaching/detaching tabs (Uwe Lehnert)

2004-01-16 11:49  edg

	* source/file.c (1.74): Fix for SF bug #878183: File deleted. 
	Don't delete incremental backup files when incremental backups are
	off.

2004-01-16 09:18  edg

	* source/highlightData.c (1.60), source/preferences.c (1.107),
	source/search.c (1.64), source/userCmds.c (1.39), util/misc.c
	(1.61), util/misc.h (1.21): Applied the "OpenMotif sticky radio
	button" workaround to all radio buttons.

2004-01-16 02:59  tksoh

	* doc/help.etx (1.57), source/file.c (1.73), source/help_data.h
	(1.51), source/help_topic.h (1.43), source/macro.c (1.79),
	source/menu.c (1.86), source/nedit.c (1.58), source/nedit.h (1.43),
	source/preferences.c (1.106), source/preferences.h (1.38),
	source/search.c (1.63), source/server.c (1.24), source/userCmds.c
	(1.38), source/window.c (1.101), source/window.h (1.14): Phase one
	of Buffers-to-Documents conversion.

2004-01-15 07:59  tksoh

	* source/window.c (1.100): Bugfix: always update Macro & Shell
	menus when raising a buffer,	     so that the keyboard shortcuts
	are refreshed properly.
	
	We'll worry about the visual optimization later.

2004-01-13 15:49  edg

	* source/window.c (1.99): Prevent some (harmless) uninitialized
	variable accesses when creating a geometry string.

2004-01-13 14:46  tringali

	* source/window.c (1.98): Workaround for bug in OpenMotif 2.1 and
	2.2.  If you have an active tear-off menu from a TopLevelShell that
	is a child of an ApplicationShell, and then close the parent
	window, Motif crashes.	The problem doesn't happen if you close the
	tear-offs first, so, we programatically close them before
	destroying the shell widget.

2004-01-13 02:45  tksoh

	* source/preferences.c (1.105): Fixed coredump when changing
	language mode via 'Language Mode' tearoff menu.

2004-01-12 17:31  edg

	* makefiles/Makefile.cygwin (1.8): Added check_tif_rule for Cygwin.

2004-01-12 17:09  edg

	* source/highlight.c (1.45): Bug fix for crash in highlighting
	dialog, reported by Joerg Fischer.  Error pattern of color-only
	patterns was copied erroneously.

2004-01-10 06:12  tksoh

	* source/userCmds.c (1.37): Fixed coredump when invoking
	Macro/Shell/Background commands from tear-offs.

2004-01-09 05:56  tksoh

	* source/userCmds.c (1.36): Bugfix: when invoked by keyboard
	shoft-cuts, macro and shell commands were always executed in the
	first buffer created, or coredumped if the first buffer had been
	closed.

2004-01-08 06:19  tksoh

	* source/: macro.c (1.78), macro.h (1.5), shell.c (1.28), shell.h
	(1.6), window.c (1.97): Bugfix: cursor and statsline now reflect if
	macro/shell commands are in progress in each individual buffer.

2004-01-06 06:25  n8gray

	* source/macro.c (1.77): Patch monkey see, patch monkey do.  Tony
	says fix rangeset bug, patch monkey fix rangeset bug.  Ook.  Fixes
	SF bug #871209

2004-01-06 02:38  tksoh

	* source/: menu.c (1.85), userCmds.c (1.35), window.c (1.96):
	Improved handling of tear-off (Macro, Shell and Windows) menus:   
	i) fixed shrink-expand bugs;   ii) tear-offs stay up when buffers
	are closed.

2004-01-02 10:32  tksoh

	* source/window.c (1.95): window manager's size hints should follow
	the top buffer.

2003-12-31 02:25  tksoh

	* source/window.c (1.94): Bugfix: bookmarks were lost when
	detaching/attaching buffers. (Uwe Lehnert)

2003-12-31 01:22  tksoh

	* source/window.c (1.93): Bugfix for crash when navigating through
	buffers.

2003-12-30 15:32  tringali

	* source/nedit.c (1.57): Also put back XmLFolder resources.

2003-12-30 15:19  tringali

	* source/nedit.c (1.56): Revert to fallback resources.	The merging
	didn't work as I expected.

2003-12-29 10:58  tksoh

	* source/window.c (1.92): Applied temporary workaround for
	disappearing-text-window bug when linking to Lesstif (ver 0.93.18 &
	0.93.46 tested)

2003-12-28 17:30  tringali

	* source/nedit.c (1.55): New default resource scheme.  We enter
	resources directly via Xrm calls, instead of fallback resources. 
	This should avoid version skew problems when an app-defaults file
	has been installed against our wishes.	In particular, when there
	is an app-defaults file out there, we should now merge all the
	built-in and external resources.  Fallback resources would simply
	discard the built-in resources in favor of the ones in the file,
	and this frequently would cause missing resources if the file was
	out of date.

2003-12-28 17:25  yooden

	* source/: highlightData.c (1.59), preferences.c (1.104): Changes
	LaTeX patterns (Jörg Fischer) and adds comment macro (Sergei
	Haller).

2003-12-28 17:25  tringali

	* source/window.c (1.91): Remove hardcoded visual resources for tab
	widget, in favor of resources that can be overridden.

2003-12-28 16:26  yooden

	* source/: help_data.h (1.50), help_topic.h (1.42), highlightData.c
	(1.58): Adds $args[] to the NEdit Macro pattern.

2003-12-26 10:14  tksoh

	* source/window.c (1.90): bugfix: text colors not correctly set for
	new tabs.

2003-12-25 07:09  tksoh

	* Makefile (1.13): Committed patch #569287: tabbed buffers mode.

2003-12-25 06:55  tksoh

	* Microline/XmL/Folder.c (1.2), Microline/XmL/FolderP.h (1.2),
	Microline/XmL/Makefile.common (1.1),
	Microline/XmL/Makefile.dependencies (1.1), Microline/XmL/XmL.h
	(1.2), Xlt/BubbleButton.c (1.3), Xlt/BubbleButton.h (1.2),
	Xlt/BubbleButtonP.h (1.2), Xlt/Makefile.common (1.1),
	Xlt/Makefile.dependencies (1.1), Xlt/SlideC.c (1.2), doc/help.etx
	(1.56), source/Makefile.common (1.16), source/file.c (1.72),
	source/file.h (1.11), source/highlight.c (1.44), source/highlight.h
	(1.12), source/interpret.c (1.36), source/macro.c (1.76),
	source/menu.c (1.84), source/menu.h (1.8), source/nc.c (1.37),
	source/nedit.c (1.54), source/nedit.h (1.42), source/preferences.c
	(1.103), source/preferences.h (1.37), source/search.c (1.62),
	source/search.h (1.21), source/selection.c (1.26), source/server.c
	(1.23), source/shell.c (1.27), source/smartIndent.c (1.30),
	source/tags.c (1.53), source/text.h (1.18), source/userCmds.c
	(1.34), source/window.c (1.89), source/window.h (1.13): Committed
	patch #569287: tabbed buffers mode.

2003-12-24 07:41  tksoh

	* Xlt/BubbleButton.c (1.2): Bugfix: XltNbubbleString could not be
	changed after an XltBubbleButton	 widget has been created.

2003-12-23 21:54  slobasso

	* doc/help.etx (1.55): docs for new $args[] array and removed 9 arg
	limit for macros

2003-12-23 10:53  yooden

	* source/file.c (1.71): Adds a warning to root if he wants to write
	read-only files.

2003-12-23 08:34  tksoh

	* Xlt/: BubbleButton.c (1.1), BubbleButton.h (1.1), BubbleButtonP.h
	(1.1), SlideC.c (1.1), SlideC.h (1.1), SlideCP.h (1.1): Importing
	the original code for XltBubbleButton from the Xlt Widget Set
	version 9.2.9 (http://xlt.soureforge.net).

2003-12-21 01:43  tksoh

	* Microline/: Makefile (1.1), Makefile.in (1.1), XmL/Folder.c
	(1.1), XmL/Folder.h (1.1), XmL/FolderP.h (1.1), XmL/Grid.c (1.1),
	XmL/Grid.h (1.1), XmL/GridP.h (1.1), XmL/GridUtil.c (1.1),
	XmL/Makefile (1.1), XmL/Makefile.in (1.1), XmL/Progress.c (1.1),
	XmL/Progress.h (1.1), XmL/ProgressP.h (1.1), XmL/Tree.c (1.1),
	XmL/Tree.h (1.1), XmL/TreeP.h (1.1), XmL/XmL.c (1.1), XmL/XmL.h
	(1.1), XmL/XmL.uih (1.1), examples/Makefile (1.1),
	examples/Makefile.in (1.1), examples/demo.c (1.1),
	examples/folder1.c (1.1), examples/folder2.c (1.1),
	examples/folder3.c (1.1), examples/folder4.c (1.1),
	examples/grid1.c (1.1), examples/grid2.c (1.1), examples/grid3.c
	(1.1), examples/grid4.c (1.1), examples/grid5.c (1.1),
	examples/grid6.c (1.1), examples/prog1.c (1.1), examples/prog2.c
	(1.1), examples/prog3.c (1.1), examples/tree1.c (1.1),
	examples/tree2.c (1.1), examples/tree3.c (1.1), examples/tree4.c
	(1.1), examples/tree5.c (1.1), examples/uil1.c (1.1),
	examples/uil1.uil (1.1), examples/util1.c (1.1), man/XmLArrayAdd.3x
	(1.1), man/XmLArrayDel.3x (1.1), man/XmLArrayFree.3x (1.1),
	man/XmLArrayGet.3x (1.1), man/XmLArrayGetCount.3x (1.1),
	man/XmLArrayMove.3x (1.1), man/XmLArrayNew.3x (1.1),
	man/XmLArrayReorder.3x (1.1), man/XmLArraySet.3x (1.1),
	man/XmLArraySort.3x (1.1), man/XmLCreateFolder.3x (1.1),
	man/XmLCreateGrid.3x (1.1), man/XmLCreateProgress.3x (1.1),
	man/XmLCreateTree.3x (1.1), man/XmLCvtStringToUChar.3x (1.1),
	man/XmLDateDaysInMonth.3x (1.1), man/XmLDateWeekDay.3x (1.1),
	man/XmLDrawnButtonSetType.3x (1.1), man/XmLFolder.3x (1.1),
	man/XmLFolderAddBitmapTab.3x (1.1),
	man/XmLFolderAddBitmapTabForm.3x (1.1), man/XmLFolderAddTab.3x
	(1.1), man/XmLFolderAddTabForm.3x (1.1),
	man/XmLFolderSetActiveTab.3x (1.1), man/XmLFontListCopyDefault.3x
	(1.1), man/XmLFontListGetDimensions.3x (1.1), man/XmLGrid.3x (1.1),
	man/XmLGridAddColumns.3x (1.1), man/XmLGridAddRows.3x (1.1),
	man/XmLGridColumnIsVisible.3x (1.1), man/XmLGridCopyPos.3x (1.1),
	man/XmLGridCopySelected.3x (1.1), man/XmLGridDeleteAllColumns.3x
	(1.1), man/XmLGridDeleteAllRows.3x (1.1),
	man/XmLGridDeleteColumns.3x (1.1), man/XmLGridDeleteRows.3x (1.1),
	man/XmLGridDeselectAllCells.3x (1.1),
	man/XmLGridDeselectAllColumns.3x (1.1),
	man/XmLGridDeselectAllRows.3x (1.1), man/XmLGridDeselectCell.3x
	(1.1), man/XmLGridDeselectColumn.3x (1.1),
	man/XmLGridDeselectRow.3x (1.1), man/XmLGridEditBegin.3x (1.1),
	man/XmLGridEditCancel.3x (1.1), man/XmLGridEditComplete.3x (1.1),
	man/XmLGridGetColumn.3x (1.1), man/XmLGridGetFocus.3x (1.1),
	man/XmLGridGetRow.3x (1.1), man/XmLGridGetSelectedCellCount.3x
	(1.1), man/XmLGridGetSelectedCells.3x (1.1),
	man/XmLGridGetSelectedColumnCount.3x (1.1),
	man/XmLGridGetSelectedColumns.3x (1.1),
	man/XmLGridGetSelectedRow.3x (1.1),
	man/XmLGridGetSelectedRowCount.3x (1.1),
	man/XmLGridGetSelectedRows.3x (1.1), man/XmLGridMoveColumns.3x
	(1.1), man/XmLGridMoveRows.3x (1.1), man/XmLGridPaste.3x (1.1),
	man/XmLGridPastePos.3x (1.1), man/XmLGridRead.3x (1.1),
	man/XmLGridReadPos.3x (1.1), man/XmLGridRedrawAll.3x (1.1),
	man/XmLGridRedrawCell.3x (1.1), man/XmLGridRedrawColumn.3x (1.1),
	man/XmLGridRedrawRow.3x (1.1), man/XmLGridReorderColumns.3x (1.1),
	man/XmLGridReorderRows.3x (1.1), man/XmLGridRowColumnToXY.3x (1.1),
	man/XmLGridRowIsVisible.3x (1.1), man/XmLGridSelectAllCells.3x
	(1.1), man/XmLGridSelectAllColumns.3x (1.1),
	man/XmLGridSelectAllRows.3x (1.1), man/XmLGridSelectCell.3x (1.1),
	man/XmLGridSelectColumn.3x (1.1), man/XmLGridSelectRow.3x (1.1),
	man/XmLGridSetFocus.3x (1.1), man/XmLGridSetStrings.3x (1.1),
	man/XmLGridSetStringsPos.3x (1.1), man/XmLGridWrite.3x (1.1),
	man/XmLGridWritePos.3x (1.1), man/XmLGridXYToRowColumn.3x (1.1),
	man/XmLMessageBox.3x (1.1), man/XmLPixmapDraw.3x (1.1),
	man/XmLProgress.3x (1.1), man/XmLRectIntersect.3x (1.1),
	man/XmLShellOfWidget.3x (1.1), man/XmLSort.3x (1.1),
	man/XmLStringDraw.3x (1.1), man/XmLStringDrawDirection.3x (1.1),
	man/XmLTree.3x (1.1), man/XmLTreeAddRow.3x (1.1),
	man/XmLTreeAddRows.3x (1.1), man/XmLWarning.3x (1.1): Importing
	Mozilla's Microline3.0 (XmL) library on the
	MozillaSourceClassic_19981026_BRANCH branch, which has been
	recently relicensed as MPL 1.1/GPL 2.0/LGPL 2.1.
	
	The original source tree for Microline3.0 can be obtained here:
	
	   % cvs -d:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot \
	     co -r MozillaSourceClassic_19981026_BRANCH \
	     mozilla/cmd/xfe/Microline3.0/

2003-12-19 23:23  slobasso

	* source/: interpret.c (1.35), interpret.h (1.14), macro.c (1.75),
	parse.y (1.27), parse_noyacc.c (1.8): added new $args[] array and
	removed 9 arg limit for macros

2003-12-13 18:16  yooden

	* util/prefFile.c (1.22): Removes unneeded variable.

2003-12-09 17:55  slobasso

	* doc/: .cvsignore (1.3), help.etx (1.54), nedit.pod (1.3): docs
	for -svrname change

2003-12-09 12:57  edg

	* source/nedit.c (1.53): Adapted the nedit.helpForm.* resource spec
	to the changed widget hierarchy (now nedit.help.helpForm.*) to make
	mouse navigation in help windows operational again.

2003-12-07 22:48  yooden

	* source/: highlightData.c (1.57), preferences.c (1.102): Adds a
	'recursion level' to shell pattern set (see SF bug #770855).

2003-12-07 15:56  yooden

	* util/prefFile.c (1.21): Removes double file access to verify pref
	file read.

2003-12-05 00:05  slobasso

	* source/nedit.c (1.52): default to server if server name is
	supplied

2003-12-05 00:01  slobasso

	* source/nc.c (1.36): add missing trailing newline to usage

2003-12-04 19:07  slobasso

	* source/menu.c (1.83): first pass at neditdb corruption cleanup

2003-12-04 09:52  edg

	* source/window.c (1.88): Renamed the window shell from "text" to
	"textShell" to avoid resource matching ambiguities with the real
	text widget.

2003-11-26 21:58  yooden

	* doc/help.etx (1.53): Added documentation for
	nedit.undoModifiesSelection

2003-11-24 17:41  edg

	* doc/Makefile (1.6): Remove generated man pages when cleaning.

2003-11-22 13:03  edg

	* ChangeLog (1.35), Makefile (1.12), README (1.32), ReleaseNotes
	(1.23), doc/Makefile (1.5), doc/NEdit.ad (1.4), doc/help.etx
	(1.52), doc/nc.pod (1.2), doc/nedit.pod (1.2), doc/setext (1.11),
	makefiles/Makefile.bsdi (1.6), makefiles/Makefile.ccur (1.6),
	makefiles/Makefile.freebsd (1.6), makefiles/Makefile.generic
	(1.11), makefiles/Makefile.macosx (1.5), makefiles/Makefile.netbsd
	(1.6), makefiles/Makefile.openbsd (1.4), makefiles/Makefile.solaris
	(1.10), source/file.c (1.70), source/help_data.h (1.49),
	source/help_topic.h (1.41), source/highlight.c (1.43),
	source/highlight.h (1.11), source/highlightData.c (1.56),
	source/interpret.c (1.34), source/macro.c (1.74), source/menu.c
	(1.82), source/nc.c (1.35), source/nedit.c (1.51), source/nedit.h
	(1.41), source/preferences.c (1.101), source/rangeset.c (1.8),
	source/rangeset.h (1.3), source/search.c (1.61), source/search.h
	(1.20), source/server.c (1.22), source/tags.c (1.52), source/text.c
	(1.45), source/textBuf.c (1.29), source/textBuf.h (1.15),
	source/textDisp.c (1.54), source/textDisp.h (1.24), source/window.c
	(1.87), util/check_lin_tif.c (1.7), util/getfiles.c (1.27),
	util/misc.c (1.60), util/prefFile.c (1.20), util/system.h (1.13):
	Merged 5.4 release branch with main trunk.

2003-11-20 18:37  edg

	* ReleaseNotes, source/nc.c, source/server.c (BETA-5-4.[6,5,3])
	(utags: REL-5-4): Fix for nc -lm and -geometry command line options
	being dropped in some cases.

2003-11-19 17:22  edg

	* Makefile (tags: REL-5-4) (BETA-5-4.5): 5.4RC2 -> 5.4.

2003-11-19 13:50  edg

	* ChangeLog (tags: REL-5-4) (BETA-5-4.3): Regenerated (cvs2cl.pl -b
	-r -t --accum --gmt).

2003-11-19 13:44  edg

	* README (tags: REL-5-4), ReleaseNotes, source/help_data.h (tags:
	REL-5-4), source/help_topic.h (tags: REL-5-4) (BETA-5-4.[7,5,9,6]):
	Bumped version number to 5.4.

2003-11-18 15:11  edg

	* source/menu.c (1.81): Fix for SF bug #844395: SGI_CUSTOM overtype
	crash.

2003-11-18 12:16  edg

	* util/fileUtils.c (1.31): Decreased the threshold for MAC file
	format detection to 1 carriage return instead of 2.

2003-11-17 10:13  edg

	* util/prefFile.c (BETA-5-4.1): Fix for nc crash on VMS (Michael
	Smith).

2003-11-16 13:50  yooden

	* doc/help.etx (1.51): Fixed wrong documentation of $sub_sep,
	pointed out by Jörg Fischer.

2003-11-14 23:46  yooden

	* source/: file.c (1.69), smartIndent.c (1.29): Fixes two small
	bugs: Wrong block and wrong argc.

2003-11-14 00:19  n8gray

	* README, makefiles/Makefile.macosx (BETA-5-4.[6,2]): Reworked the
	OS X makefile and added a note about building on OS X to the
	README.

2003-11-13 07:09  n8gray

	* util/check_lin_tif.c (BETA-5-4.7): Changed error/warning messages
	to be non-Linux-centric.

2003-11-08 00:15  yooden

	* source/file.c (1.68): Changes typo in resource name.

2003-11-07 17:27  edg

	* doc/help.etx, source/help_data.h, source/macro.c
	(BETA-5-4.[9,8,4]): Removed the bogus rgb values from the array
	returned by get_pattern_by_name().  Prevented the special "top"
	pattern from showing up in the array returned by
	get_style_at_pos().  Various minor code cleanups and comment fixes.
	 (Mostly contributed by Tony Balinski).

2003-11-03 16:31  edg

	* doc/help.etx, source/help_data.h, source/highlight.c,
	source/highlight.h, source/macro.c (BETA-5-4.[8,7,1,1,3]): Changed
	the "extension" field returned by get_pattern_at_pos() to "extent"
	and added an "extent" field to the return value of
	get_style_at_pos().

2003-10-24 15:29  edg

	* doc/help.etx (BETA-5-4.7): Typo fix (Yury).

2003-10-24 10:51  edg

	* doc/help.etx (1.50), source/help_data.h (1.48), source/text.c
	(1.44): Extended scroll_down() and scroll_up() such that one can
	specify a scroll unit (lines or pages, default: lines) and
	corrected the behaviour for CTRL + mouse wheel (scrolling no longer
	moves the cursor nor destroys the selection).

2003-10-22 20:05  tringali

	* source/help.c (1.96), source/highlightData.c (1.55),
	source/nedit.c (1.50), source/nedit.h (1.40), source/preferences.c
	(1.100), source/smartIndent.c (1.28), source/textSel.c (1.13),
	source/userCmds.c (1.33), source/window.c (1.86),
	util/check_lin_tif.c (1.6), util/misc.c (1.59), util/misc.h (1.20):
	Changed widget hierarchy so we have a single (hidden) top-level
	application shell.  All the top-level windows (editors, syntax,
	macros, etc.) are now TopLevelShell children of the application
	shell.	This is the standard way of structuring multiple-window
	applications, and we've been standing on our heads trying to work
	around problems the old approach causes (no visual propogation to
	children, no way to address types of top-level windows by name in
	resources, session management bugs, etc).  Some advanced X resource
	customizations may need to change, but for the better, I think.

2003-10-20 16:38  tringali

	* source/interpret.c (tags: BETA-5-4-RC2) (BETA-5-4.1): Change
	#define to be in column 0; some compilers will not accept this
	indented.

2003-10-20 13:59  edg

	* ChangeLog (tags: BETA-5-4-RC2) (BETA-5-4.2): Regenerated
	(cvs2cl.pl -b -r -t --accum  --gmt).

2003-10-20 08:29  edg

	* doc/nc.man, doc/nedit.man, source/help_data.h,
	source/help_topic.h (BETA-5-4.[2,2,6,5]) (utags: BETA-5-4-RC2):
	Regenerated for 5.4RC2.

2003-10-20 08:25  edg

	* doc/Makefile (tags: BETA-5-4-RC2) (BETA-5-4.2): Use double suffix
	rule for man page generation iso. GNU make extension.

2003-10-15 23:08  yooden

	* doc/help.etx, source/help_data.h, source/help_topic.h,
	source/nc.c (BETA-5-4.[6,5,4,4]): New documentation for nc.

2003-10-14 10:56  edg

	* doc/: nc.man, nedit.man (BETA-5-4.[1,1]): Regenerated.

2003-10-14 10:54  edg

	* doc/nedit.pod (1.1): file nedit.pod was initially added on branch
	BETA-5-4.

2003-10-14 10:54  edg

	* doc/nc.pod (1.1): file nc.pod was initially added on branch
	BETA-5-4.

2003-10-14 10:54  edg

	* doc/: Makefile, nc.pod, nedit.pod (BETA-5-4.[1,1,1]): Added man
	pages in pod format and automatic pod to man page translation.

2003-10-09 15:29  tringali

	* util/system.h (BETA-5-4.1): Recognize ia64, cygwin, x86-64,
	win32, unixware.

2003-10-09 09:23  edg

	* source/nc.c (BETA-5-4.3): Fix for SF #820491: nc -ask hangs when
	the user cancels the server startup.

2003-10-02 07:27  edg

	* doc/setext (BETA-5-4.2): More HTML generation improvements
	(Steven Haehn).

2003-10-01 11:34  edg

	* doc/setext (BETA-5-4.1): Bug fixes in HTML generation (Andrew
	Hood).

2003-09-28 15:05  edg

	* Makefile, README, ReleaseNotes (BETA-5-4.[4,5,4]): 5.4RC2
	updates.

2003-09-28 15:03  edg

	* doc/NEdit.ad (BETA-5-4.2): Removed trailing whitespace.

2003-09-28 15:03  edg

	* makefiles/: Makefile.bsdi, Makefile.freebsd, Makefile.netbsd,
	Makefile.openbsd (BETA-5-4.[1,1,1,1]): Added Motif/Lesstif version
	check.

2003-09-28 14:18  edg

	* makefiles/Makefile.ccur, makefiles/Makefile.generic,
	makefiles/Makefile.solaris, source/file.c (BETA-5-4.[1,1,1,4]):
	Made USE_ACCESS the default (there's no security risk in the way we
	use access()). See also SF #782518.

2003-09-28 14:11  edg

	* doc/NEdit.ad (BETA-5-4.1): Updated resources to 5.4.

2003-09-28 14:10  edg

	* source/nc.c (BETA-5-4.2): Typo fix: noAsk -> noask.

2003-09-26 19:45  yooden

	* source/menu.c (BETA-5-4.3): Removes some references to the old
	NEdit file history file name.

2003-09-12 18:24  tringali

	* README (BETA-5-4.4): Updates for 5.4

2003-09-08 17:08  edg

	* ChangeLog (BETA-5-4.1): Regenerated (cvs2cl.pl -b -r -t --accum
	--gmt).

2003-09-08 17:03  edg

	* source/rangeset.c (BETA-5-4.5): Fixed integer overflow that
	caused infinite loops.

2003-08-26 09:59  edg

	* source/rangeset.c (BETA-5-4.4): Crash fix: rangeset name field
	not initialized.  Other: rangeset table list field not initialized
	(unpredictable first label).

2003-08-24 20:07  yooden

	* source/highlightData.c (1.54): Fixed small bug in Shell pattern
	set.

2003-08-24 19:02  yooden

	* source/highlightData.c (BETA-5-4.3): Changed macro pattern from
	accomodate new highlighting information functions.

2003-08-22 16:24  edg

	* source/file.c (BETA-5-4.3): Fix for SF bug #792447: "modified by
	external..." and directories.

2003-08-21 10:50  edg

	* source/file.c (BETA-5-4.2): Moved some statements to avoid
	polluting errno before displaying an error dialog.

2003-08-21 06:41  n8gray

	* doc/help.etx, source/help_data.h, source/help_topic.h
	(BETA-5-4.[5,4,3]): Fixed help lines WRT -foreground and -background 
        command-line options.  Also noticed that help text for new rangeset 
        API was never generated.

2003-08-15 21:58  n8gray

	* source/preferences.c (BETA-5-4.5): Also migrate old colors if
	there's no config file.

2003-08-14 22:06  slobasso

	* source/menu.c, util/check_lin_tif.c (BETA-5-4.[2,6]): fix
	warnings

2003-08-13 23:34  slobasso

	* source/nedit.h (BETA-5-4.1): adjust constant for more menu items

2003-08-13 16:22  edg

	* source/text.c (BETA-5-4.2): Make KP_Enter behave as Enter
	(Execute Command Line used to be bound to KP_Enter but is now bound
	to Ctrl+KP_Enter).  (I tried to abort my previous commit when I
	realized there was a potential problem, but I failed. Sorry.)

2003-08-13 16:03  edg

	* source/text.c (BETA-5-4.1): [no log message]

2003-08-13 16:01  edg

	* source/file.c (BETA-5-4.1): Fix for SF bugs #782513: Clicking in
	text area requires save and #784442: NEdit thinks unchanged windows
	need save.  Additionally: drop read-only attribute when file goes
	missing.

2003-08-12 11:47  edg

	* source/server.c (BETA-5-4.2): Last commit was a fix for SF bug
	#785738: "nc -do ..." creates extra window.

2003-08-12 11:43  edg

	* source/server.c (BETA-5-4.1): Avoid creating extra windows when
	using "nc -do ..." (Arne).

2003-08-08 16:24  slobasso

	* source/rangeset.c (BETA-5-4.3): Only text changes where the text
	is actually changed result in ranges being adjusted. This includes
	changing hardware tab size.

2003-08-08 16:20  slobasso

	* source/window.c (1.85): marks no longer get deleted when hardware
	tab size is changed.

2003-08-07 04:42  slobasso

	* doc/help.etx, source/macro.c (BETA-5-4.[4,2]): split
	get_pattern() and get_style() into get_pattern_by_name(),
	get_pattern_at_pos(), get_style_by_name(), and get_style_at_pos()

2003-08-04 22:32  slobasso

	* doc/help.etx (BETA-5-4.3): Fix mistake with
	rangeset_get_by_name() parameter list.

2003-08-03 17:38  yooden

	* source/highlightData.c (1.53), source/menu.c (1.80),
	source/preferences.c (1.99), source/preferences.h (1.36),
	util/managedList.c (1.13): Removes some unsused functions, function
	parameters and fixes a typo.

2003-08-02 21:03  yooden

	* source/highlightData.c (BETA-5-4.2): Adds new functions
	rangeset_get_by_name() and rangeset_set_name() to the NEdit Macro
	syntax highlighting pattern set.

2003-08-01 01:26  n8gray

	* source/: textDisp.c, textDisp.h, window.c (BETA-5-4.[1,1,1]):
	This should fix the problem where new panes didn't get the correct
	colors.  It feels to me like there should be a better way to do
	this.

2003-07-31 22:35  n8gray

	* source/tags.c (BETA-5-4.1): Fixed error parsing alias blocks in
	calltips files.

2003-07-29 17:54  slobasso

	* doc/help.etx, source/macro.c, source/rangeset.c,
	source/rangeset.h (BETA-5-4.[2,1,2,1]): add name to rangesets and
	fix several int/string implicit conversions

2003-07-27 21:37  edg

	* util/getfiles.c (BETA-5-4.1): Workaround for Lesstif's "frozen
	windows" bug (new windows opened via File->Open dialog are left
	without grabs).

2003-07-27 10:03  edg

	* source/macro.c (1.73): Another Lesstif Escape key workaround
	(list dialog) by Oliver Schmidt.

2003-07-25 14:12  tringali

	* source/preferences.c (BETA-5-4.4): Don't save
	undoModifiesSelection

2003-07-25 06:50  tksoh

	* source/file.c (1.67), util/getfiles.c (1.26), util/misc.c (1.58):
	make file-selection dialog modeless when linking to Lesstif, as
	workaround for Lesstif bug #566315 - window opened with open-file
	dialog ingores all input.

2003-07-24 06:07  n8gray

	* source/preferences.c (BETA-5-4.3): Added separator in Colors
	dialog and changed buttons so they resize as expected.

2003-07-24 00:21  tringali

	* source/nc.c (BETA-5-4.1): update version to 5.4

2003-07-18 15:14  edg

	* source/macro.c (1.72), source/shell.c (1.26), util/DialogF.c
	(1.28): Applied SF patch #771878: Escape cancels all dialogs.

2003-07-17 11:24  edg

	* source/search.c (1.60): Minor Lesstif keyboard focus problem
	workaround (Oliver Schmidt).

2003-07-11 10:39  edg

	* source/highlightData.c (tags: BETA-5-4-RC1) (BETA-5-4.1):
	Thorsten's latest revision of the NEdit Macro patterns (I'm only
	acting as an SF proxy).

2003-07-10 18:21  n8gray

	* util/check_lin_tif.c (tags: BETA-5-4-RC1) (BETA-5-4.5): Added OM
	2.2.3 and LT 0.93.44 to known-bad versions.

2003-06-27 19:55  n8gray

	* util/check_lin_tif.c (BETA-5-4.4): Removed the Motif 1.2 vs Motif
	2.1 detection in lesstif.  Also changed message that gets printed
	when non-lesstif motif is detected to include possibility of OSF
	Motif.

2003-06-27 17:49  tringali

	* source/nedit.c (tags: BETA-5-4-RC1) (BETA-5-4.1): Stronger locale
	checking: handle setting of UTF8 by LC_CTYPE, LC_ALL, LANG and/or
	the language via the -xnllanguage switch.

2003-06-27 07:24  edg

	* util/misc.c (tags: BETA-5-4-RC1) (BETA-5-4.1): Crash fix for
	OpenMotif radio button bug workaround.

2003-06-23 19:44  n8gray

	* util/check_lin_tif.c (BETA-5-4.3): Adding all versions of Lesstif
	from 0.93.25 to 0.93.41 to known-bad list.

2003-06-23 05:30  n8gray

	* util/check_lin_tif.c (BETA-5-4.2): Adding Lesstif 0.93.{36,40} to
	the known-bad versions list.

2003-06-22 00:42  n8gray

	* doc/help.etx, source/help_data.h, source/help_topic.h
	(BETA-5-4.[1,3,2]) (utags: BETA-5-4-RC1): Put my name in the
	Written By credits.

2003-06-21 03:02  tringali

	* README, ReleaseNotes (BETA-5-4.[3,3]) (utags: BETA-5-4-RC1):
	Closed out a pile of bugs.

2003-06-20 21:43  slobasso

	* source/: menu.c, search.c, search.h (BETA-5-4.[1,1,1]) (utags:
	BETA-5-4-RC1): fixed bug introduced when patch #734202 was merged

2003-06-18 09:54  edg

	* source/: rangeset.c, textBuf.c, textBuf.h (BETA-5-4.[1,1,1])
	(utags: BETA-5-4-RC1): Fix for rangeset display update bug.

2003-06-16 09:38  edg

	* Makefile (tags: BETA-5-4-RC1) (BETA-5-4.3): Renegerating
	nedit.doc and nedit.html was a bad idea. Better put them in the
	source tarball.

2003-06-16 09:12  edg

	* README, ReleaseNotes, source/help_data.h (BETA-5-4.[2,2,2]):
	5.4beta -> 5.4BETA

2003-06-16 08:57  edg

	* Makefile (BETA-5-4.2): Make sure that nedit.doc and nedit.html
	are up-to-date for the dist-bin target.

2003-06-16 08:56  edg

	* source/preferences.c (tags: BETA-5-4-RC1) (BETA-5-4.2): Made the
	5.4 preference migration conditional.

2003-06-16 08:38  edg

	* README, ReleaseNotes (BETA-5-4.[1,1]): Updated time stamps.

2003-06-16 08:38  edg

	* source/: help_data.h, help_topic.h (BETA-5-4.[1,1]): Regenerated
	to get proper time stamps and 5.4beta label.

2003-06-16 08:36  edg

	* Makefile (BETA-5-4.1): Make the build stop when the verify_config
	test fails.

2003-06-16 08:35  edg

	* util/check_lin_tif.c (BETA-5-4.1): Warning fixes.

2003-06-12 17:35  edg

	* makefiles/Makefile.macosx (tags: BETA-5-4-RC1) (BETA-5-4.1):
	Added an alternative set of CFLAGS and LIBS for building with Fink
	(disabled by default) and added the check_tif rule (Joerg).

2003-06-11 02:45  tksoh

	* source/preferences.c (BETA-5-4.1): fixed title in Save
	Preferences dialog.

2003-06-08 21:05  edg

	* ChangeLog (1.34, BETA-5-4-RC1): Regenerated (cvs2cl.pl -b -r -t
	--accum --gmt).

2003-06-06 18:04  edg

	* source/: rangeset.c (1.7), textBuf.c (1.28): Fixed a rangeset
	implementation flaw that caused all kinds of memory leaks in
	different places. Buffers should not have rangeset modification
	callbacks when there are no rangesets attached.

2003-06-06 17:13  edg

	* util/misc.c (1.57): Window group hints leak fixes.

2003-06-06 17:07  edg

	* source/nedit.c (1.49): Use proper resource class name to avoid
	uninitialized memory read.

2003-06-06 17:06  edg

	* util/misc.h (1.19), ReleaseNotes (1.22), source/search.c (1.59),
	util/misc.c (1.56): Workaround for OpenMotif radio button bug (SF
	#678198).  (Tested with 6 different Motif flavours/versions).

2003-06-05 22:01  n8gray

	* doc/help.etx (1.49), source/help_data.h (1.47),
	source/help_topic.h (1.40), source/macro.c (1.71): Changed
	calltip() so that "tipKey", "tagKey", and "tipText" are
	position-independent optional arguments.  .  WARNING: This WILL
	break any existing calltip calls with more than one argument!!!  A
	call like calltip(foo, "tipText", pos, bar, ...) needs to be
	changed to calltip(foo, pos, "tipText", bar, ...) and calltip(foo,
	"tipText") needs to be changed to calltip(foo, -1, "tipText").

2003-06-04 15:34  slobasso

	* source/: preferences.c (1.98), window.c (1.84): remove unused
	variables

2003-06-02 15:18  edg

	* source/menu.c (1.79): Fixed wrong title in Exit dialog.

2003-05-29 21:07  tringali

	* util/fontsel.h (1.9): Match function declaration to definition

2003-05-28 08:26  edg

	* source/preferences.c (1.97): Added an automatic upgrade routine
	for the changed "wc" shell command.

2003-05-27 22:32  yooden

	* source/preferences.c (1.96): Replaces csh-specific scriptlet with
	awklet.

2003-05-27 21:31  tringali

	* source/window.c (1.83): Propogate colors to new windows on
	opening (744294)

2003-05-27 15:55  edg

	* source/preferences.c (1.95): Automatically add Identifier2 text
	drawing style when upgrading to 5.4.

2003-05-26 09:10  edg

	* ChangeLog (1.33): Regenerated (cvs2cl.pl -b -r -t --accum --gmt).

2003-05-26 09:07  edg

	* ReleaseNotes (1.21): Added bugs #559902, 561659, 526981, and
	582469.

2003-05-26 08:16  edg

	* source/search.c (1.58): Committed SF patch #559902: Show Matching
	Range Bugfix (Tom Heathcote).

2003-05-25 15:55  edg

	* doc/help.etx (1.48), source/help_data.h (1.46),
	source/help_topic.h (1.39), source/highlightData.c (1.52),
	source/macro.c (1.70), source/menu.c (1.78), source/preferences.c
	(1.94), source/preferences.h (1.35): Removed and disabled some of
	the backlighting functionality and marked it as being experimental
	(for the 5.4 release).

2003-05-24 19:15  tringali

	* source/: menu.c (1.77), nedit.h (1.39), preferences.c (1.93),
	preferences.h (1.34), window.c (1.82): Simplified the color dialog
	box so that all colors are global.  Plug some leaks when parsing
	color names.  Table-drive color settings to reduce duplicate code.

2003-05-24 18:36  tringali

	* util/check_lin_tif.c (1.5): Allow Motif 2.1.x instead of just
	update level 30.  We've delivered NEdit with these configurations
	and they work fine.

2003-05-24 13:11  yooden

	* source/highlightData.c (1.51): Fixed missing escape in NEdit
	Macro highlighting pattern.

2003-05-23 14:27  tringali

	* source/nedit.c (1.48): Avoid a crash when trying to drag widgets
	(not text) in non-default visual.  This appears to be a OSF Motif
	bug so we just disable dragging entirely.  Not a great solution.

2003-05-23 10:58  edg

	* ReleaseNotes (1.20): Added bug #715767.

2003-05-23 07:48  edg

	* source/preferences.c (1.92): Removed autoload.nm from NEdit macro
	recognition patterns again (covered by .nm) and made the upgrade
	routines also work for people who already upgraded to the post-5.3
	preference format.

2003-05-22 22:12  yooden

	* source/: preferences.c (1.91), highlightData.c (1.50): New
	version of NEdit Macro syntax highlighting patterns.

2003-05-22 22:00  edg

	* source/highlightData.c (1.49): Small update to the Python
	highlighting patterns (due to changed delimiters).

2003-05-22 21:56  edg

	* source/preferences.c (1.90): Defined a non-default set of
	delimiters for Python mode.  Added autoload.nm to the recognition
	patterns for NEdit Macro mode.	Added nedit.rc to the recognition
	patterns for X Resources mode.	Added a 5.3 to 5.4 upgrade routine
	for the 3 changes above.

2003-05-20 05:41  n8gray

	* source/macro.c (1.69): Committing Tom Heathcote's minor rangeset
	patch.	If it breaks everything blame him.  :-)

2003-05-20 00:27  n8gray

	* Makefile (1.11), makefiles/Makefile.aix (1.7),
	makefiles/Makefile.bsdi (1.5), makefiles/Makefile.ccur (1.5),
	makefiles/Makefile.convex (1.5), makefiles/Makefile.cygwin (1.7),
	makefiles/Makefile.dcosx (1.5), makefiles/Makefile.dec (1.6),
	makefiles/Makefile.depend (1.5), makefiles/Makefile.freebsd (1.5),
	makefiles/Makefile.generic (1.10), makefiles/Makefile.hpux (1.5),
	makefiles/Makefile.linux (1.11), makefiles/Makefile.lynx (1.6),
	makefiles/Makefile.m88k.svr4 (1.5), makefiles/Makefile.macosx
	(1.4), makefiles/Makefile.netbsd (1.5), makefiles/Makefile.openbsd
	(1.3), makefiles/Makefile.os2 (1.14), makefiles/Makefile.osf (1.6),
	makefiles/Makefile.qnx (1.3), makefiles/Makefile.reliant (1.5),
	makefiles/Makefile.sco (1.6), makefiles/Makefile.sgi (1.5),
	makefiles/Makefile.solaris (1.9), makefiles/Makefile.sunos (1.5),
	makefiles/Makefile.superux (1.5), makefiles/Makefile.uhc (1.5),
	makefiles/Makefile.ultrix (1.5), makefiles/Makefile.unicos (1.7),
	makefiles/Makefile.unixware (1.6), util/Makefile.common (1.8),
	util/check_lin_tif.c (1.4): Added verify_config target to all
	Makefiles.  On most platforms it does nothing, but on Linux it
	triggers a check of the *tif version.  This should also probably be
	enabled on openbsd, freebsd, and any other platform where
	OpenMotif/Lesstif use is common, but I'll leave that to people more
	familiar with those platforms.

2003-05-19 21:55  slobasso

	* source/highlightData.c (1.48): Adjusted Nedit Macro Language
	highlighting: removed delete from actions and added to keywords and
	added the following items Variables: calltip_ID Macro Routines:
	calltip, kill_calltip Actions: focus_pane, unload_tags_file,
	goto_matching, select_to_matching,    set_auto_indent,
	set_em_tab_dist, set_fonts, set_highlight_syntax,   
	set_incremental_backup, set_incremental_search_line, set_locked,   
	set_make_backup_copy, set_overtype_mode, set_show_line_numbers,   
	set_show_matching, set_match_syntax_based, set_statistics_line,   
	set_tab_dist, set_use_tabs, set_wrap_margin, set_wrap_text

2003-05-19 08:03  edg

	* doc/help.etx (1.47), source/help_data.h (1.45),
	source/help_topic.h (1.38): Added missing replace_all()
	documentation (Tom Heathcote) and removed the "experimental"
	classification for smart indent.

2003-05-18 20:05  edg

	* source/: nedit.c (1.47), nedit.h (1.38): Workaround for KDE's
	FONTLIST bug (and for the various BACKGROUND and FOREGROUND
	resource values).

2003-05-16 17:15  n8gray

	* util/check_lin_tif.c (1.3): Added 92.32 to known-good LessTif.
	
	Feel free to do this yourselves!  :-)  It's pretty easy to do.

2003-05-16 16:58  edg

	* source/highlightData.c (1.47): Updated Python patterns (no
	updated delimiters yet).

2003-05-16 16:51  slobasso

	* util/.cvsignore (1.2): added check_lin_tif

2003-05-16 16:50  slobasso

	* source/nedit.c (1.46): removed unused variable warning

2003-05-16 16:47  slobasso

	* source/: text.c (1.43), text.h (1.17), textDisp.c (1.53),
	textDisp.h (1.23): re-commit graphics expose code and added window
	obscurred hack back in that was erroneously removed. This should
	put us back where we were without reintroducing a bug that was
	fixed.

2003-05-16 15:11  tringali

	* source/: text.c (1.42), text.h (1.16), textDisp.c (1.52),
	textDisp.h (1.22): Removed explicit handling of GraphicsExpose
	events that was causing incomplete redraws, reverting to older
	algorithm.  (I've extracted the code into a patch and will post it
	back on SF to address the problem it was trying to fix.)

2003-05-16 13:47  tringali

	* util/misc.c (1.55): Fix for missing icons (via C. Rasmussen)

2003-05-16 05:23  tksoh

	* source/window.c (1.81): Fix for SF bug #715767: remaining panes
	resized incorrectly after closing a splitpane.

2003-05-15 19:47  n8gray

	* util/check_lin_tif.c (1.2): Modified copyright notice to be more
	consistent with the rest of NEdit.

2003-05-15 19:42  n8gray

	* Makefile (1.10), makefiles/Makefile.linux (1.10),
	source/Makefile.common (1.15), source/help.c (1.95),
	util/Makefile.common (1.7), util/check_lin_tif.c (1.1): Added code
	to detect the version of Motif/Lesstif being built against and
	complain if it's known-bad or unknown.	There's probably room for
	improvement in both the build and detection portions of this code.

2003-05-15 07:36  edg

	* ChangeLog (1.32): Regenerated (please only update with cvs2cl.pl
	-b -r -t --accum --gmt).

2003-05-15 07:33  edg

	* source/parse_noyacc.c (1.7): Copied the recent modifications of
	parse.y.

2003-05-14 19:12  n8gray

	* ChangeLog (1.31): Isn't there a way to generate or update this
	automatically with CVS?

2003-05-14 19:08  n8gray

	* source/parse.y (1.26): Comments don't eat backslash-escaped
	newlines, so this is legal:    t_print("Hello " # This is a common
	greeting \	      "world"  # This is the recipient of the
	greeting \	      "\n")    # This is a newline character

2003-05-04 23:54  yooden

	* source/macro.c (1.67): Removed some second level leftovers from
	the old Highlighting API.

2003-05-04 13:20  yooden

	* doc/help.etx (1.46), source/file.c (1.64), source/help_data.h
	(1.43), source/help_topic.h (1.36), source/menu.c (1.75): Fixes SF
	#617840: Append Line Feed on Save The buffer now reflects that a
	line is added on save.

2003-05-03 22:45  yooden

	* doc/help.etx (1.45), source/help_data.h (1.42),
	source/help_topic.h (1.35), source/macro.c (1.66): Removes old
	Highlighting Information API; fixes some inconsistencies in the
	Highlighting Information API; adds deprecated section to macro
	section in online help.

2003-05-03 09:15  edg

	* util/misc.c (1.54): Made translation table for mouse wheel
	static, as suggested by Scott.

2003-05-02 19:19  edg

	* source/highlightData.c (1.45), source/nedit.c (1.45),
	source/search.c (1.56), source/shell.c (1.25), source/smartIndent.c
	(1.26), source/userCmds.c (1.32), util/fontsel.c (1.25),
	util/getfiles.c (1.25), util/managedList.c (1.12), util/misc.c
	(1.53), util/misc.h (1.18): Committed SF #715941: File dialog wheel
	support (generalized to all scrolled widgets, except main text
	area, which already had support).

2003-05-02 18:25  edg

	* source/rangeset_fn.h (1.4): Obsolete due to new rangeset API.

2003-05-02 18:18  edg

	* doc/help.etx (1.44), makefiles/Makefile.depend (1.4),
	source/Makefile.dependencies (1.21), source/help_data.h (1.41),
	source/help_topic.h (1.34), source/highlightData.c (1.44),
	source/macro.c (1.65), source/rangeset.c (1.4), source/rangeset.h
	(1.2), source/rangeset_fn.h (1.3), source/textBuf.c (1.27),
	source/textBuf.h (1.14), source/textDisp.c (1.50),
	util/Makefile.dependencies (1.7): Committed patch #628933: New
	rangeset API. (Including the fix of SF #728988: rangeset_add of
	empty range works - bad!) Users of range sets will have to update
	their macros.

2003-04-24 17:20  edg

	* source/menu.c (1.74): Crash fix: setting NEDIT_HOME to /dev/null
	caused a coredump because the PrevOpen array never got initialized
	in that case.

2003-04-24 11:47  edg

	* source/nedit.c (1.44), util/DialogF.c (1.27), util/DialogF.h
	(1.9), util/fileUtils.c (1.30): Various fixes related to SF
	#488412: doOpen() flaws.

2003-04-24 08:57  edg

	* source/highlightData.c (1.43): Updated LaTeX highlight patterns
	provided by Joerg (SF #607072: Syntax highlight failure in LaTeX).

2003-04-24 08:26  edg

	* source/menu.c (1.73): Fix for SF #726325: goto_line_number only
	accepts 1 arg

2003-04-18 01:07  n8gray

	* source/calltips.c (1.5), source/calltips.h (1.2),
	source/help_data.h (1.40), source/help_topic.h (1.33),
	source/text.c (1.40), source/text.h (1.15), source/textDisp.c
	(1.49), source/textDisp.h (1.21), source/textP.h (1.8),
	doc/help.etx (1.43): Setting "nedit*background: blue" should not
	change the background of calltips.  This change makes calltips get
	their colors from nedit*calltipForeground and
	nedit*calltipBackground.

2003-04-17 21:46  n8gray

	* source/: nedit.c (1.43), nedit.h (1.37), preferences.c (1.88),
	text.c (1.39): Applied color migration patch.  IMPORTANT:  Remember
	to move the call to migrateColorResources into the "convert to 5.4"
	area before releasing 5.4!!!

2003-04-17 09:03  edg

	* source/: macro.c (1.64), smartIndent.c (1.25): Fix for SF
	#602336: Wrong Initialization Order and SF #628552: Startup
	sequence. Macro file is now loaded before smart indent macros are
	processed.

2003-04-15 23:03  yooden

	* source/help.c (1.92): Whitespace only.

2003-04-15 20:00  yooden

	* doc/help.etx (1.42), source/help_data.h (1.39),
	source/help_topic.h (1.32): Small documentation fixes.

2003-04-10 20:28  edg

	* source/calltips.c (1.4), util/misc.c (1.52), util/misc.h (1.17):
	Fix for SF #602260: Calltips crashes. Calltip popup shells now
	inherit the proper visual and color depth.

2003-04-10 20:08  tringali

	* source/help.c (1.91): Help text was allocating colors
	incorrectly, making help text invisible when running with a
	non-default Visual.  Don't assume "black" is help text color!

2003-04-10 18:47  tringali

	* source/: text.c (1.38), text.h (1.14), textP.h (1.7), window.c
	(1.80): Fix upside-down GetPrefTypingHidesPointer dependency -- the
	window code should be setting into the text widget, instead of the
	text widget getting it directly from preferences.

2003-04-10 18:39  tringali

	* source/parse.y (1.24): #include <stdlib.h> to avoid warnings on
	some systems about no malloc proto.

2003-04-10 18:37  tringali

	* util/utils.c (1.20): Don't quit if getpwuid() fails.	It can fail
	if some nameservices are not responding through no fault of the
	user.

2003-04-10 17:58  edg

	* source/Makefile.dependencies (1.20): Updated dependencies.

2003-04-10 17:37  edg

	* util/DialogF.c (1.26): Warning fix.

2003-04-10 09:39  edg

	* source/file.c (1.63): Added some missing fclose() calls in
	IncludeFile().

2003-04-09 14:56  edg

	* source/file.c (1.62): Aaargh. Another few missing commas.

2003-04-09 14:53  edg

	* source/file.c (1.61): Added another few missing commas in DialogF
	calls.

2003-04-09 13:52  edg

	* source/file.c (1.60): Added missing comma in DialogF call.

2003-04-08 23:47  yooden

	* source/help.c (1.90): Added one missing DialogF() title.

2003-04-08 08:54  edg

	* source/: highlight.c (1.41), menu.c (1.72), preferences.c (1.87),
	smartIndent.c (1.24): Fixed indentation inconsistencies and dialog
	title typos.

2003-04-07 22:51  yooden

	* source/file.c (1.59), source/highlight.c (1.40),
	source/highlightData.c (1.42), source/macro.c (1.63), source/menu.c
	(1.71), source/preferences.c (1.86), source/search.c (1.55),
	source/selection.c (1.24), source/shell.c (1.24), source/shift.c
	(1.14), source/smartIndent.c (1.23), source/tags.c (1.49),
	source/userCmds.c (1.31), util/DialogF.c (1.25), util/DialogF.h
	(1.8), util/fileUtils.c (1.29), util/fontsel.c (1.24), util/misc.c
	(1.51), util/printUtils.c (1.22): The Sore Hands Patch: Added
	dialog title to DialogF().

2003-04-06 00:46  yooden

	* source/highlightData.c (1.41), source/macro.c (1.62),
	source/menu.c (1.70), source/preferences.c (1.85),
	source/smartIndent.c (1.22), source/userCmds.c (1.30),
	util/printUtils.c (1.21): Some changed dialog titles, error
	messages and general code beautification.

2003-04-03 19:05  jlous

	* source/file.c (1.58), source/macro.c (1.61), source/nedit.h
	(1.36), source/preferences.c (1.84), source/window.c (1.79),
	util/fileUtils.c (1.28), util/fileUtils.h (1.10), util/prefFile.c
	(1.19): Committing patch 621211, accepting foreign linebreaks in
	prefs- and macro files.

2003-04-03 15:45  edg

	* source/window.c (1.78): Fix for SF #713780: flickers during macro
	execution. (Uwe Lehnert)

2003-03-26 16:36  edg

	* source/textDisp.c (1.48): Reverted some of the unnecessary (and
	seemingly invalid) changes related to the cursor GC introduced in
	version 1.46. (SF #710124).

2003-03-26 10:40  edg

	* source/textDisp.c (1.47): Yesterday's clipping changes were not
	ok: the gutter between the line numbers and the text area could be
	filled with character fragments. Clipping ranges are now adjusted
	when line numbers are drawn.

2003-03-25 18:31  n8gray

	* source/: textDisp.c (1.46), textDisp.h (1.20): Committing edg's
	patch to fix usage of shared GCs.

2003-03-25 01:33  n8gray

	* source/textDisp.c (1.45): Fixed line number color problems. 
	Stupid cut & paste error...

2003-03-24 23:56  yooden

	* source/nedit.c (1.42): Paranoid protection against pathological
	language settings.

2003-03-24 17:05  edg

	* source/: menu.c (1.69), nedit.h (1.35), window.c (1.77): Fix for
	SF bug #564782: Show Path in Windows Menu

2003-03-24 16:20  tringali

	* source/nedit.c (1.41): Account for LANG being unset.

2003-03-21 18:51  n8gray

	* source/: textDisp.c (1.44), window.c (1.76): Fixing 2 color
	problems.  1: Changing line number GC properties affected *all*
	buffers.  2: New panes used default text area colors instead of
	their window's.

2003-03-21 18:31  tringali

	* source/: nedit.c (1.40), help.c (1.89): Avoid crash when running
	under a UTF-8 locale, and display locale in help.

2003-03-21 18:22  edg

	* source/: preferences.c (1.83), smartIndent.c (1.21),
	smartIndent.h (1.6): Fix for SF bug #439867: Language mode renaming
	bug.

2003-03-20 13:23  edg

	* makefiles/Makefile.sco (1.5): Typo fix (SF #689808: SCO makefile
	error).

2003-03-20 13:05  edg

	* util/fontsel.c (1.23): Removed some unused variables (gcc
	warnings).

2003-03-20 13:02  edg

	* source/: help.c (1.88), highlight.c (1.39), highlight.h (1.10),
	textDisp.c (1.43): Fix for SF #700823: Nedit crash after highlight
	Perl-Syntax on OS/390.	Made the syntax highlighting style
	information independent of the character coding (ASCII or EBCDIC).

2003-03-18 10:58  edg

	* util/managedList.c (1.11): Fix for SF #705495: Crash while
	Copying Pattern.

2003-03-14 22:27  n8gray

	* doc/help.etx (1.41), source/help_data.h (1.38),
	source/help_topic.h (1.31), source/preferences.c (1.82): Added a
	warning label to the color dialog and changed help text to make it
	more clear that foreground colors only apply when syntax
	highlighting is disabled.

2003-03-13 09:11  n8gray

	* util/fontsel.c (1.22): Hide the sample when the "Show
	Proportional Fonts" toggle is toggled and the font selection is
	cleared.  Also added a prototype for enableSample().

2003-03-12 18:33  n8gray

	* util/fontsel.c (1.21): Tabs -> Spaces
	
	If you want a shock, turn on backlighting, set tabs to a slightly
	off-background color, and edit just about any file in the NEdit
	project.

2003-03-12 18:03  n8gray

	* util/fontsel.c (1.20): Fixed clearing of sample field when "show
	proportional fonts" was toggled.  Hide sample text when font
	selection is invalid.

2003-03-07 19:52  n8gray

	* source/preferences.c (1.81): Made helper function addColorGroup()
	static.

2003-03-07 19:46  n8gray

	* source/preferences.c (1.80): Using XtSetMappedWhenManaged to
	show/hide the error labels in the color dialog.  Thanks Scott!

2003-03-07 01:50  n8gray

	* doc/help.etx (1.40), source/help_data.h (1.37),
	source/help_topic.h (1.30), source/preferences.c (1.79): Duh. 
	Forgot to save before the last commit.	Also changed docs to
	reflect new labels in color dialog.

2003-03-07 01:34  n8gray

	* source/preferences.c (1.78): Minor labelsmithing on color dialog.

2003-03-07 01:07  n8gray

	* source/preferences.c (1.77): Using a more reliable hack for
	showing/hiding the (Invalid!) labels in the color dialog.  To hide
	it I set its fg color to its bg color.	To unhide it I restore the
	fg color from its parent.  This way the label's width doesn't
	change, solving the potential visual bug mentioned in my previous
	commit.
	
	I tried changing the label from a gadget to a widget but the
	XtMap/UnmapWidget functions still failed.  Oh well, this works ok.

2003-03-05 23:50  n8gray

	* doc/help.etx (1.39), source/help_data.h (1.36),
	source/help_topic.h (1.29), source/menu.c (1.68), source/nedit.h
	(1.34), source/preferences.c (1.76), source/preferences.h (1.32),
	source/textDisp.c (1.42), source/textDisp.h (1.19), source/window.c
	(1.75), source/window.h (1.12), util/fontsel.c (1.19),
	util/fontsel.h (1.8): Adding the color dialog and documentation. 
	Also adds a colored, editable text field to the font browser
	dialog.
	
	There's a potential minor visual bug depending on the user's fonts.
	 I've tried to fix it but can't seem to figure it out.	Search for
	XXX in preferences.c for details.

2003-02-20 17:30  arnef

	* source/: file.c (1.57), nc.c (1.33), server.c (1.21): Fixed
	problem with processing of nc command line.

2003-02-18 20:17  tringali

	* util/misc.c (1.50): Set group hint so that recent versions of
	Sawfish will group windows together.

2003-02-17 01:51  n8gray

	* source/Makefile.common (1.14): Added parse.c target so that build
	falls back to parse_noyacc.c if neither bison nor yacc can be
	found. See:
	http://www.nedit.org/archives/develop/2002-Apr/0512.html for a
	discussion of this issue.

2003-02-15 02:33  yooden

	* source/file.c (1.56), util/getfiles.c (1.24), util/misc.c (1.49),
	util/getfiles.h (1.6): Removed GetNewFilename()

2003-02-15 01:06  yooden

	* source/preferences.h (1.31): Removed double function
	declarations.

2003-01-14 22:36  n8gray

	* source/tags.c (1.48): Added a private lineEmpty function for use
	when loading calltips files.  Also fixed bug where calltip position
	modifiers weren't reset when tips were posted by means other than
	the calltip macro subroutine.

2003-01-14 09:50  edg

	* source/regularExp.c (1.21): Fix for \S, \W, \L, and \D
	erroneously matching on \0.

2003-01-10 15:33  tringali

	* source/: window.c (1.74), nedit.c (1.39), text.c (1.37): Apply
	the "frame around text area" patch and associated geometry fixes. 
	Looks right when the background is light-colored (default), less so
	if you use a dark background.  Can be disabled with resources if
	you don't like it.

2003-01-10 15:32  tringali

	* source/file.c (1.55): Fix to prevent file dialog from growing
	wider than the screen.	This is needed for window managers that do
	not respect XmNmaxWidth (sawfish, twm, fvwm).

2003-01-10 15:29  tringali

	* util/: getfiles.c (1.23), misc.c (1.48): Prevent the file dialog
	from getting bigger than screen.  This fix is for window managers
	that do not respect XmNmaxWidth (sawfish, twm, fvwm).

2003-01-07 22:37  tringali

	* doc/: nedit.doc (1.37), nedit.html (1.31): Remove autogenerated
	files from CVS to reduce conflicts.  They are now automatically
	generated by the cron script for the website snapshot.

2003-01-06 15:36  edg

	* source/smartIndent.c (1.20): Bug fix: garbage collection could be
	triggered during smart indent newline macro (very old copy & paste
	error).

2003-01-02 02:02  yooden

	* doc/nedit.doc (1.36), doc/nedit.html (1.30), source/help_data.h
	(1.35), source/help_topic.h (1.28): Updated reference to regex book
	part two.

2003-01-02 01:48  yooden

	* doc/help.etx (1.38): Updated Reference to Regex book.

2003-01-01 15:57  edg

	* source/smartIndent.c (1.19): Fix for crash bug reported @develop:
	newline macro inserting a string caused a recursive loop when
	triggered through smart indent.

2002-12-13 17:23  edg

	* doc/Makefile (1.4): Added targets to regenerate the FAQ and build
	the FAQ distribution.

2002-12-13 17:20  edg

	* doc/: faq.txt (1.4), faq.xml (1.5): Added a Q&A about the changed
	binding of KP Enter (execute command line).

2002-12-12 17:26  slobasso

	* source/text.h (1.13): Remove warnings on hpux 10.20 compiler.

2002-12-12 17:26  slobasso

	* source/selection.c (1.23): Cleanup string to int conversion.

2002-12-12 17:26  slobasso

	* source/: search.c (1.54), search.h (1.18): Centralize string to
	enum conversions for search_type.

2002-12-12 17:26  slobasso

	* source/parse_noyacc.c (1.5): Match changes in parse.y

2002-12-12 17:25  slobasso

	* source/parse.y (1.23): Move string constant code into function
	InstallStringConstSymbol.

2002-12-12 17:25  slobasso

	* source/nedit.h (1.33): New macro TYPE_INT_STR_SIZE to determine a
	safe string size for integer-like types.

2002-12-12 17:25  slobasso

	* source/macro.c (1.60): More macro failure macros and new macro
	call valid_number.  Use of new macro TYPE_INT_STR_SIZE and
	PERM_ALLOC_STR.  Add optional index to rangeset_defined.

2002-12-12 17:25  slobasso

	* source/interpret.h (1.12): New macro PERM_ALLOC_STR for static
	strings that look allocated and move StringToNum global for
	verification code.  New call InstallStringConstSymbol and move
	DataValue.tag to an enum.

2002-12-12 17:25  slobasso

	* source/interpret.c (1.32): Use of new macro PERM_ALLOC_STR for
	static strings that look allocated and move StringToNum global for
	verification code.  New call InstallStringConstSymbol cleanup of
	macro debug code with new stack dump. Rewrite SwapCode without
	allocations.  Use of TYPE_INT_STR_SIZE for int string size. Fixes
	to grabage collection to allow for PERM_ALLOC_STR and catch mod by
	0 errors.

2002-12-12 17:25  slobasso

	* source/highlightData.c (1.40): New nedit macro call valid_number.

2002-12-12 17:25  slobasso

	* doc/help.etx (1.37), doc/nedit.doc (1.35), doc/nedit.html (1.29),
	source/help_data.h (1.34): Add optional index to rangeset_defined
	and new function valid_number.

2002-12-11 18:24  tringali

	* util/misc.c (1.47): Avoid a 5-second hang when posting a dialog
	with certain window managers (Sawfish)

2002-12-10 13:16  edg

	* source/nc.c (1.32): Dropped support for reading preferences from
	a .nc file. It was entirely undocumented and probably never used by
	anyone (and it didn't work anymore since the introduction of the
	NEDIT_HOME patch).

2002-12-10 12:29  edg

	* source/nc.c (1.31): Fixed a bug in yesterday's bug fix: macro
	commands could be executed twice when a new server was started.

2002-12-09 17:55  edg

	* source/nedit.c (1.38): Fix for SF #649442: Dangerous shell
	command. Changed the shortcut for "Execute Command Line" from "KP
	Enter" to "Ctrl+KP Enter" to avoid accidental execution of
	arbitrary commands.

2002-12-09 17:18  edg

	* source/nc.c (1.30): Fixed various command line argument passing
	bugs introduced by the nc -wait patch (-icon, -geometry, -lm, ...
	were dropped when a new file was opened and/or a new server was
	started).

2002-12-08 09:29  yooden

	* source/: highlight.c (1.38), highlightData.c (1.39), macro.c
	(1.59), rangeset.c (1.3), search.c (1.53): Some code cleanup and
	removal of development artefacts.

2002-12-04 12:30  edg

	* source/macro.c (1.58): Added boundary checks to searchStringMS()
	to avoid illegal memory accesses when passing a too large or
	negative starting position to the search_string() macro.

2002-12-02 15:59  tringali

	* Makefile (1.9): Removed "doc" from default target so users
	without Perl can build.  (We need a "developer only" target or mode
	to do this right.)

2002-11-28 23:22  yooden

	* source/macro.c (1.57), source/menu.c (1.67), source/preferences.c
	(1.75), util/prefFile.c (1.18), util/utils.c (1.19), util/utils.h
	(1.11): Fixes the bug in the preference file name algorithm
	reported by Scott in develop@.

2002-11-22 18:18  tringali

	* util/misc.c (1.46): Constrain maximum size of dialogs so they
	aren't bigger than the screen.	(Slightly modified from Eddy's
	original version.)

2002-11-22 17:51  edg

	* source/window.c (1.73): Minor improvement in the virtual key
	binding parsing: ignore comment lines.

2002-11-19 18:05  edg

	* source/: highlight.c (1.37), regularExp.c (1.20), search.c
	(1.52), textBuf.c (1.26), textBuf.h (1.13): Fixes for SF bugs
	#515120 (changed behaviour of search?) and #429110 (RegEx search
	bugs at end of buffer) and a cleanup of the SearchWindow function.

2002-11-15 12:21  edg

	* doc/setext (1.10): Minor backward compatibility fix for older
	Perl version (5.004).

2002-11-13 21:59  tringali

	* source/: help_data.h (1.33), help_topic.h (1.27): - Change help
	version to 5.4DEV

2002-11-13 21:58  tringali

	* source/: calltips.c (1.3), text.h (1.12), textDisp.c (1.41):
	Don't #include "textP.h" where we can get away with it.

2002-11-13 21:58  tringali

	* source/help.c (1.87): Clean up #ifdef of HAVE__XMVERSIONSTRING
	and reorder visual info

2002-11-13 21:58  tringali

	* source/highlightData.c (1.38): - Fix indentation, labels, and
	mnemonics in highlightData.c

2002-11-13 21:57  tringali

	* source/: nedit.c (1.37), preferences.c (1.74): - Fix defaults
	fonts to specify iso8859-1, for RH7.3.

2002-11-13 17:56  edg

	* source/: highlightData.c (1.37), regularExp.c (1.19): Implemented
	the more conventional word boundary semantics for regular
	expressions and adapted the built-in highlight patterns to the
	changed semantics (the latter is largely automated).

2002-11-12 10:04  ajhood

	* doc/help.etx (1.36), doc/nedit.doc (1.34), doc/nedit.html (1.28),
	source/help.c (1.86), source/help_data.h (1.32),
	source/help_topic.h (1.26): Document default value of
	nedit.backlightCharTypes Stop *backlightCharTypes in .Xdefaults
	etc. affecting Help

2002-11-08 20:22  edg

	* source/: comnedit.com (1.9), highlight.c (1.36), highlight.h
	(1.9), lnknedit.com (1.7), macro.c (1.56), menu.c (1.66), nedit.h
	(1.32), preferences.c (1.73), preferences.h (1.30), rangeset.c
	(1.2), rangeset_fn.h (1.2), server_common.c (1.3), text.h (1.11),
	textDisp.h (1.18): VMS compilation and linking fixes (Michael
	Smith).

2002-11-08 16:53  slobasso

	* source/macro.c (1.55): Removed unused variables and fixed error
	macro.

2002-10-31 16:08  edg

	* doc/help.etx (1.35), doc/nc.man (1.6), doc/nedit.doc (1.33),
	doc/nedit.html (1.27), source/help_data.h (1.31),
	source/help_topic.h (1.25), source/nc.c (1.29): Fix for invalid
	atom usage after time-out.  Made the nc time-out configurable
	(-timeout <seconds> command line option and nc.timeOut X resource)
	+ documentation updates.

2002-10-30 11:44  edg

	* ChangeLog (1.29): Minor correction.

2002-10-30 11:42  edg

	* ChangeLog (1.28): Removed lots of duplicate entries and added
	lots of missing entries.  (Apparently, a merge has gone wrong a few
	months ago).

2002-10-30 11:11  edg

	* ChangeLog (1.27): Update.

2002-10-29 15:49  edg

	* source/server.c (1.20): Fix for crash when sending a macro
	command to the server through nc, while another command is still
	running. New commands for a window are now rejected when it is
	already running a macro (beeps).

2002-10-26 00:06  yooden

	* util/: utils.c (1.18), utils.h (1.10): Fixes wrong declaration
	and documentation, adds missing Copyright line.

2002-10-16 17:28  n8gray

	* source/: preferences.c (1.72), preferences.h (1.29), window.c
	(1.72): Don't switch to PLAIN mode before closing a window just to
	force unloading of calltips files -- it's slow!
	
	Also fixed a potentially erroneous error message in
	reapplyLanguageMode.

2002-10-15 11:00  ajhood

	* doc/help.etx (1.34), doc/nedit.doc (1.32), doc/nedit.html (1.26),
	source/help_data.h (1.30), source/help_topic.h (1.24),
	source/highlight.c (1.35), source/highlight.h (1.8),
	source/highlightData.c (1.36), source/highlightData.h (1.10),
	source/interpret.c (1.31), source/interpret.h (1.11),
	source/macro.c (1.54), source/preferences.c (1.71),
	source/preferences.h (1.28), source/textDisp.c (1.40),
	source/textDisp.h (1.17): Tony's backlight/highlight and SF bug
	619234 fixes

2002-10-14 18:41  n8gray

	* source/: text.c (1.36), textBuf.c (1.25), textBuf.h (1.12),
	textDisp.c (1.39), textSel.c (1.11): Committing patch for
	keyboard-based rectangular selection.

2002-10-13 15:53  yooden

	* doc/help.etx (1.33), doc/nedit.doc (1.31), doc/nedit.html (1.25),
	source/help_data.h (1.29), source/help_topic.h (1.23): Another tiny
	doc patch. (Thanks Yury)

2002-10-12 13:33  yooden

	* doc/help.etx (1.32), doc/nedit.doc (1.30), doc/nedit.html (1.24),
	source/help_data.h (1.28), source/help_topic.h (1.22): Fixes small
	documentation bug.

2002-10-10 22:04  slobasso

	* source/macro.c (1.53): fix comment typo

2002-10-07 19:39  arnef

	* source/nc.c (1.28): Fix for bug 619231 -  nc hangs after
	crash/kill Generate a property change event to break a deadlock.

2002-10-07 16:19  edg

	* source/search.c (1.51): Fix for crash bug when search string is
	too long in search and replace dialogs (triggered when
	nedit.findReplaceUsesSelection was True and a long selection was
	made), reported through the discuss list.

2002-10-04 23:21  slobasso

	* source/: macro.c (1.52), tags.c (1.47): remove compiler warnings

2002-10-01 23:45  n8gray

	* doc/help.etx (1.31), doc/nedit.doc (1.29), doc/nedit.html (1.23),
	source/help_data.h (1.27), source/help_topic.h (1.21): Added
	documentation for column argument to goto_line_number and the goto
	line dialog.

2002-09-27 12:19  ajhood

	* source/preferences.c (1.70): set default value for
	nedit.backlightCharTypes

2002-09-26 12:37  ajhood

	* doc/NEdit.ad (1.3), doc/README.FAQ (1.3), doc/faq-txt-pass2.xsl
	(1.3), doc/faq-txt.awk (1.3), doc/faq-txt.dtd (1.3),
	doc/faq-txt.xsl (1.3), doc/faq.dtd (1.3), doc/faq.txt (1.3),
	doc/faq.xml (1.4), doc/faq.xsl (1.3), doc/help.etx (1.30),
	doc/nedit.doc (1.28), doc/nedit.html (1.22), doc/setext (1.9),
	doc/setext-info.txt (1.3), makefiles/Makefile.depend (1.3),
	source/Makefile.common (1.13), source/help.c (1.85),
	source/help_data.h (1.26), source/help_topic.h (1.20),
	source/highlight.c (1.34), source/highlight.h (1.7),
	source/highlightData.c (1.35), source/highlightData.h (1.9),
	source/macro.c (1.51), source/menu.c (1.65), source/nedit.h (1.31),
	source/parse.y (1.22), source/preferences.c (1.69),
	source/preferences.h (1.27), source/smartIndent.c (1.18),
	source/tags.c (1.46), source/text.c (1.35), source/text.h (1.10),
	source/textBuf.c (1.24), source/textBuf.h (1.11), source/textDisp.c
	(1.38), source/textDisp.h (1.16), source/textP.h (1.6),
	source/window.c (1.71), source/window.h (1.11),
	source/windowTitle.c (1.9), util/fileUtils.c (1.27), util/misc.c
	(1.45), util/printUtils.c (1.20): backlight/rangeset patch from
	Josef Maier and Tony Balinski, ported to CVS by Andy Hood.

2002-09-26 12:04  ajhood

	* Makefile (1.8): auto-rebuild help.doc, help.html and help_*.h If
	someone can explain how CVS didn't accept the previous commit tell
	me.

2002-09-26 11:45  ajhood

	* source/: rangeset.c (1.1), rangeset.h (1.1), rangeset_fn.h (1.1):
	New files for backlight/rangeset.

2002-09-26 10:24  ajhood

	* doc/Makefile (1.3): auto-rebuild help.doc, help.html and help_*.h
	if any of the prerequisites change

2002-09-26 10:22  ajhood

	* README (1.30): Add comments on -DHAVE__XMVERSIONSTRING compile
	option.

2002-09-26 10:01  ajhood

	* makefiles/: Makefile.aix (1.6), Makefile.bsdi (1.4),
	Makefile.ccur (1.4), Makefile.convex (1.4), Makefile.cygwin (1.5),
	Makefile.dcosx (1.4), Makefile.dec (1.5), Makefile.freebsd (1.4),
	Makefile.generic (1.9), Makefile.hpux (1.4), Makefile.linux (1.9),
	Makefile.lynx (1.5), Makefile.m88k.svr4 (1.4), Makefile.macosx
	(1.3), Makefile.netbsd (1.4), Makefile.openbsd (1.2), Makefile.os2
	(1.13), Makefile.osf (1.5), Makefile.qnx (1.2), Makefile.reliant
	(1.4), Makefile.sco (1.4), Makefile.sgi (1.4), Makefile.solaris
	(1.8), Makefile.sunos (1.4), Makefile.superux (1.4), Makefile.uhc
	(1.4), Makefile.ultrix (1.4), Makefile.unicos (1.6),
	Makefile.unixware (1.5): Add comments on -DHAVE__XMVERSIONSTRING
	compile option.

2002-09-25 10:56  edg

	* doc/help.etx (1.29), source/file.c (1.54), source/help_data.h
	(1.25), source/help_topic.h (1.19), source/menu.c (1.64),
	source/nedit.h (1.30), source/preferences.c (1.68),
	source/preferences.h (1.26), source/textBuf.c (1.23),
	source/textBuf.h (1.10), source/window.c (1.70): Committed SF patch
	#602426: Check for real changes of ext. mod files.  The additional
	check is on by default, and a mode message appears if comparison
	takes more than 1 second.

2002-09-23 12:06  edg

	* source/userCmds.c (1.29), util/misc.c (1.44), util/misc.h (1.16):
	Fix for SF #612558: Macro shortcuts still NumLock sensitive.  Lock
	and NumLock are now ignored when entering an accelerator.

2002-09-23 11:16  edg

	* util/getfiles.c (1.22): Fix for SF bug #613092: Open file
	browsing works incorrect.  Keystroke history is now reset after
	each list refresh.

2002-09-18 20:17  arnef

	* source/search.c (1.50): Fixing error in initial commit of 'nc
	-wait' patch.  Removing a XtDispatchEvent() that shouldn't have
	been there.

2002-09-17 09:01  edg

	* source/server_common.c (1.2): Fix for SF bug #610438: Committing
	patch 403647 causes link fail.	Replaced XGetAtomNames() by a loop
	using XGetAtomName().

2002-09-13 08:28  edg

	* source/preferences.c (1.67): Fix for SF bug #608693: coredump
	with -tabs option.  The tab distance is now clipped within its
	valid range.

2002-09-11 18:59  arnef

	* source/Makefile.common (1.12), source/Makefile.dependencies
	(1.19), source/file.c (1.53), source/macro.c (1.50), source/nc.c
	(1.27), source/nedit.h (1.29), source/preferences.c (1.66),
	source/search.c (1.49), source/selection.c (1.22), source/server.c
	(1.19), source/server.h (1.5), source/server_common.c (1.1),
	source/server_common.h (1.1), source/window.c (1.69),
	util/Makefile.dependencies (1.6): Committing the 'nc -wait' patch
	(SF #403647).

2002-09-10 12:17  ajhood

	* doc/nedit.doc (1.27), doc/nedit.html (1.21), source/help_data.h
	(1.24), source/help_topic.h (1.18): I too can forget to do commit
	the generated files.

2002-09-10 12:10  ajhood

	* doc/help.etx (1.28), source/help.c (1.84): Adds visual info to
	version [eg Visual: Id 0x23 TrueColor 24 bit (Default)] Allows use
	of _XmVersionString. Add -DHAVE__XMVERSIONSTRING compile option,
	and if it doesn't link, you don't have it. (This may be exported by
	Motif but there is no header to tell you if it is there or not.)

2002-09-06 19:21  n8gray

	* source/calltips.c (1.2): Changing calltip label widget name from
	"calltipW" back to "calltip" so that resources work as advertised.

2002-09-06 19:13  n8gray

	* doc/help.etx (1.27), doc/nedit.doc (1.26), doc/nedit.html (1.20),
	source/Makefile.common (1.11), source/Makefile.dependencies (1.18),
	source/calltips.c (1.1), source/calltips.h (1.1),
	source/help_data.h (1.23), source/help_topic.h (1.17),
	source/macro.c (1.49), source/tags.c (1.45), source/tags.h (1.13),
	source/text.c (1.34), source/textDisp.c (1.37), source/textDisp.h
	(1.15): New features:	  Positioning of calltips can be controlled
	more precisely using optional	  arguments to calltip().  These
	include "center", "right", "above", and     "strict".  Non-strict,
	non-anchored calltips will always show up *somewhere*	  on-screen
	even if the cursor is not on-screen.
	
	Modifications:	   Refactored calltip UI code into calltips.c/.h. 
	Updated help files,	makefiles, and dependencies.  Cleaned up
	tags.c/.h somewhat.

2002-09-05 23:17  slobasso

	* source/: interpret.c (1.30), parse.y (1.21), parse_noyacc.c
	(1.4): made the following work when arrayaExpression is anything
	that returns an array as the result: for (x in arrayaExpression) {
	}

2002-09-05 23:15  slobasso

	* source/nedit.c (1.36): fixed Cardinal vs int compare warning.

2002-09-05 17:48  tringali

	* doc/help.etx (1.26), source/nedit.c (1.35), util/misc.c (1.43),
	util/misc.h (1.15): Acquire default colors and fonts from the
	environment if using the default visual.

2002-09-04 08:40  n8gray

	* source/: tags.c (1.44), textDisp.c (1.36): Minor cleanup of
	tags.c (it could use a lot more).
	
	Also improved calltips so that they try not to go off the edges of
	the screen.  Thanks to TK, from whom I stole much code.  Since he
	stole his tooltip code from me, the circle is complete.  :^)

2002-09-04 05:58  n8gray

	* source/: textDisp.c (1.35), textDisp.h (1.14): Calltips should
	finally update on any vertical cursor movement!  Plus, non-
	anchored calltips maintain their X positions on redrawing.  Also, I
	found out that textD->cursorX/cursorY are *not* a reliable way to
	get the X/Y positions of the insertion point, so other potential
	calltips bugs might be fixed.
	
	This is one of those nice commits where I've removed almost as many
	lines as I've added.  :^)

2002-09-03 01:10  n8gray

	* source/: file.c (1.52), nedit.h (1.28), window.c (1.68): This
	should fix the worst of the problems in file.c.  There are still
	potential problems if you lose read permission on a file as you're
	editing it, but I wanted to commit what's done so far.

2002-09-02 23:18  n8gray

	* source/textDisp.c (1.34): Fixing problem where scroll-wheel-down
	on empty files caused erroneous scrolling.  It was a problem with
	mixing Cardinal (unsigned) and signed values.  I took the approach
	of casting cursorVPadding to int before using it, since it's nice
	to have Xt reject negative values automatically.

2002-09-02 08:55  edg

	* source/textDisp.c (1.33): Fix for crash bug reported through
	develop@: regex bug using ^.* BufCopyFromBuf() could be called with
	invalid paramaters in continous wrapping mode.

2002-08-31 15:14  yooden

	* doc/help.etx (1.25), doc/nedit.doc (1.25), doc/nedit.html (1.19),
	doc/setext (1.8), doc/setext-info.txt (1.2), source/help_data.h
	(1.22): Another help update, some setext documentation and a minor
	setext change.

2002-08-31 08:48  yooden

	* source/: help_data.h (1.21), help_topic.h (1.16): Corrected Help,
	second batch.

2002-08-31 08:46  yooden

	* doc/: help.etx (1.24), nedit.doc (1.24), nedit.html (1.18):
	Slight correction in help.etx.

2002-08-31 07:24  n8gray

	* doc/help.etx (1.23), doc/nedit.doc (1.23), doc/nedit.html (1.17),
	source/help_data.h (1.20), source/help_topic.h (1.15),
	source/text.c (1.33), source/text.h (1.9), source/textDisp.c
	(1.32), source/textP.h (1.5): Committing the edge-phobic cursor
	patch, with documentation and without tab-space mixing.  (The new
	resource is nedit*text.cursorVPadding by the way.)

2002-08-31 00:52  slobasso

	* source/: interpret.c (1.29), interpret.h (1.10), parse.y (1.20):
	Lots of array code cleanup including fixes for the following
	formats: x[9][8] = 6 delete x[4][2][] ++x[4] x[3]-- x[4][5] += 7
	... and many more.  Also fixed some cases in which array aliasing
	could occur. Arrays are supposed to have VALUE semantics.

2002-08-28 14:14  tringali

	* source/preferences.c (1.65): Revive upgrade message to 5.4 file
	format

2002-08-27 08:05  edg

	* source/textDisp.c (1.31): Fixes for SF #600175: Coredump when
	dismissing resized window Array bounds read & write fixes in
	calcLineStarts() when number of visible lines becomes zero (only
	possible in help windows).  Avoid scrollbar slider size < 1 warning
	(which was harmless but annoying).

2002-08-27 05:39  n8gray

	* source/: file.c (1.51), undo.c (1.14), undo.h (1.6): Committing
	the file deletion notification patch.  I used a specialized message
	for ENOACCES but used strerror output along with a suggested cause
	(deletion or relocation by another program) in the other cases,
	since there are several possible causes of stat() failure.
	
	I'm committing the patch despite the minor controversy over the
	message text because it's better to have some message than none at
	all.
	
	There is still much bogosity in file.c, including another place
	where stat() failure causes no warning.

2002-08-23 07:52  n8gray

	* source/textBuf.c (1.22): Fixed a miscalculation in
	overlayRectInLine that could cause extra letters to be deleted
	during rectangular drags over tabs.  See SF bug #557225 "rect. 
	selection drag buglet" for a description of the problem.

2002-08-23 00:52  slobasso

	* source/interpret.c (1.28): Fixed bug that didn't allow built in
	array variables to be iterated with a for loop.

2002-08-22 23:52  slobasso

	* source/window.c (1.67): Remove unused variables.

2002-08-22 18:43  slobasso

	* source/userCmds.c (1.28): Fix size calculation and escape
	characters in menu item names.

2002-08-22 08:40  n8gray

	* source/undo.c (1.13): Fixed SF bug #578551 "Scrolling to
	searched/altered selection" by adding MakeSelectionVisible() calls
	to Undo and Redo.

2002-08-22 08:10  n8gray

	* source/window.c (1.66): Nuking trailing whitespace from my last
	commit.

2002-08-22 08:05  n8gray

	* source/window.c (1.65): MakeSelectionVisible in window.c was not
	paying attention to wrapped lines.  To see the problem in an older
	version:
	
	1.  Open a large file and scroll to the center somewhere 2.  Enable
	continuous wrapping and resize window so lots of lines wrap 3. 
	Select a word and make a mark with Alt+M,a 4.  Page Up or Down for
	several screens 5.  Go to the mark with Alt+G,a
	
	If there are enough wrapped lines between your position and the
	mark then the selection and the cursor will be completely
	offscreen.
	
	Also restructured the function so that horizontal scrolling is not
	bypassed prematurely.

2002-08-21 13:21  tringali

	* source/help.c (1.83): Remove duplicate widgets caused by a bum
	merge.

2002-08-21 07:19  n8gray

	* source/file.c (1.50): Fixed bug where clicking on the WM's close
	button in an unsaved and untitled buffer, answering yes to the
	"Save before closing" dialog, then aborting the Save-As dialog led
	to the window being closed and the changes being lost.	The
	function CloseFileAndWindow wasn't returning FALSE when the Save-As
	failed.

2002-08-19 21:41  tringali

	* source/preferences.c (1.64): Remove "alpha" versioning - it
	wasn't forwards compatabile, and there were no auto-upgrades done
	despite the message printed.

2002-08-19 07:22  n8gray

	* source/textDisp.c (1.30): Calltips are now redrawn on TextDMoveUp
	and TextDMoveDown.  This should help those who end up with cursors
	behind calltips when entering multi-line function calls.

2002-08-17 14:28  yooden

	* source/window.c (1.64): Removed unused variables.

2002-08-16 14:43  tringali

	* source/file.c (1.49): Fix hang caused by posting the "reload"
	dialog box on a hidden window (during multi-file replace
	validation).

2002-08-15 19:03  n8gray

	* source/: file.c (1.48), window.c (1.63): Fixed the flickering
	stats line problem (SF bugs 595106, 594838).  Also fixed "save-as
	doesn't update the stats line" bug.

2002-08-14 19:20  n8gray

	* source/textDisp.c (1.29): Fixed off-by-one error in
	expandAllTabs.	Also added check for NULL on its return value in
	TextDShowCalltip.

2002-08-14 08:42  n8gray

	* source/textDisp.c (1.28): Removed debugging cruft from
	TextDShowCalltip.

2002-08-13 22:12  n8gray

	* doc/help.etx (1.22), doc/nedit.doc (1.22), doc/nedit.html (1.16),
	source/help_data.h (1.19), source/help_topic.h (1.14),
	source/text.c (1.32), source/textDisp.c (1.27), source/textDisp.h
	(1.13): Added "absolute" argument to line-oriented action routines,
	and "wrap" argument to delete_to_start_of_line.

2002-08-12 21:21  tringali

	* source/tags.c (1.43), source/window.c (1.62), source/window.h
	(1.10), util/misc.c (1.42), util/misc.h (1.14): Post watch cursor
	keep screen drawn while loading large tags files.

2002-08-12 15:37  tringali

	* source/window.c (1.61): Reimplement I-search button focus
	management, so it doesn't have an ugly flash

2002-08-10 23:59  tringali

	* source/undo.c (1.12): Added preference for disbling selection
	modification during Undo.

2002-08-10 23:58  tringali

	* source/text.c (1.31): - Fix bad hardware tab of 4 spaces.  Please
	set hardware tabs to 8 for NEdit! - Explicitly remove modifiers on
	some virtual bindings to account for system   that map different
	modified keys to different bindings (e.g., Ctrl-PgUp =	
	osfPageLeft, PgUp = osfPageUp) - Use unions in favor of casts in
	XEvents.

2002-08-10 23:54  tringali

	* source/highlightData.c (1.34): Use non-capturing parenthesis in C
	and C++ patterns where appropriate.

2002-08-10 23:53  tringali

	* source/preferences.h (1.25): Added preference to disable
	modifying selection on Undo.

2002-08-10 23:52  tringali

	* source/preferences.c (1.63): Added preference to disable changing
	the selection to match Undo.

2002-08-10 23:51  tringali

	* source/server.c (1.18): Use union for XEvents instead of casts.

2002-08-10 23:48  tringali

	* source/: interpret.c (1.27), interpret.h (1.9), macro.c (1.48):
	Use unions in place of nonportable casts to avoid warnings

2002-08-10 23:45  tringali

	* source/help_data.h (1.18): Regenerated from help.etx update (fix
	X resource names)

2002-08-10 23:43  tringali

	* source/help.c (1.82): More detail for Motif version, and change
	button labels on help browser to be more like WinHelp

2002-08-09 20:48  tringali

	* util/system.h (1.12): Support for Lynx, MacOS; better x86
	reporting

2002-08-09 14:08  tringali

	* doc/: help.etx (1.21), nedit.doc (1.21), nedit.html (1.15): Fix
	typo in last commit (replace * with @*)

2002-08-09 13:52  tringali

	* doc/: help.etx (1.20), nedit.doc (1.20), nedit.html (1.14):
	Update incorrect X resources (nedit*text.foo) and upgrade version.

2002-08-09 13:11  tringali

	* source/window.c (1.60): Convert // style comment to /* */, so it
	compiles again. NEdit is C89, not C++ or C99!

2002-08-08 21:00  n8gray

	* doc/help.etx (1.19), doc/nedit.doc (1.19), doc/nedit.html (1.13),
	source/help_data.h (1.17), source/help_topic.h (1.13),
	source/nedit.h (1.27), source/window.c (1.59): Fixing the
	"ever-growing stats line" bug seen under lesstif.  Also, the stats
	area code is generally much nicer now, IMHO.

2002-08-02 08:36  n8gray

	* doc/help.etx (1.18), doc/nedit.doc (1.18), doc/nedit.html (1.12),
	source/help_data.h (1.16), source/help_topic.h (1.12), source/nc.c
	(1.26): nc.autoStart now defaults to True.  I've had to explain
	that warning message one too many times...
	
	If anybody finds this offensive, it's easy to revert.  ;^)

2002-08-01 00:53  n8gray

	* doc/help.etx (1.17), doc/nedit.doc (1.17), doc/nedit.html (1.11),
	source/help_data.h (1.15), source/help_topic.h (1.11),
	source/macro.c (1.47): Added optional "copy" argument to
	replace_in_string to make it return a copy of the input string if
	no replacements were done.

2002-07-31 23:34  slobasso

	* source/interpret.c (1.26): made comment more clear

2002-07-31 20:08  edg

	* source/highlight.c (1.33): Fix for yesterday's "fix" (which
	wasn't entirely waterproof).

2002-07-30 13:54  edg

	* source/highlight.c (1.32): Fix for pattern related crash reported
	by Joor: I've overlooked a special case in the recent speed
	improvements.

2002-07-29 08:05  n8gray

	* doc/help.etx (1.16), doc/nedit.doc (1.16), doc/nedit.html (1.10),
	source/help_data.h (1.14), source/help_topic.h (1.10): Minor change
	to the documentation for nedit.typingHidesPointer X resource.  By
	the way, the X resources section of the documentation doesn't seem
	to be in any order whatsoever.	Maybe it should be sorted or
	grouped into functional groups.

2002-07-29 03:51  n8gray

	* source/macro.c (1.46): Applying TK's autoflushing t_print patch
	(SF #552760).  I'm not adding a call to isatty, but if anybody
	cares enough about the issue they're welcome to do it.	I just want
	to make sure the patch isn't forgotten.

2002-07-28 19:25  edg

	* source/preferences.c (1.62): Introduced alpha preference file
	version numbering (5.4a1, 5.4a2, ...) for development versions.

2002-07-27 08:55  yooden

	* source/: highlightData.c (1.33), macro.c (1.45), preferences.c
	(1.61), preferences.h (1.24), smartIndent.c (1.17), userCmds.c
	(1.27): Removed obsolete function CopyAllocatedString()

2002-07-26 22:19  n8gray

	* source/window.c (1.58): Fixed flickering under-shadow on stats
	line.  (Thanks to TK Soh for the fix.) Also fixed horrible
	tab-space mixing.

2002-07-26 21:39  n8gray

	* ChangeLog (1.26), doc/help.etx (1.15), doc/nedit.doc (1.15),
	doc/nedit.html (1.9), source/file.c (1.47), source/help_data.h
	(1.13), source/help_topic.h (1.9), source/macro.c (1.44),
	source/menu.c (1.63), source/nedit.c (1.34), source/nedit.h (1.26),
	source/preferences.c (1.60), source/tags.c (1.42), source/tags.h
	(1.12), source/text.c (1.30), source/textDisp.c (1.26),
	source/textDisp.h (1.12), source/window.c (1.57): This is the big
	one.  NEdit is now calltips-enabled!  :-)

2002-07-20 23:18  yooden

	* util/fileUtils.c (1.26): Cover different return value of
	readlink() for Lynx.

2002-07-20 23:15  yooden

	* makefiles/Makefile.lynx (1.4): Avoid annoying warnings about
	include files.

2002-07-20 09:37  amai

	* util/utils.c (1.17): Fix order of #includes

2002-07-17 20:42  slobasso

	* source/menu.c (1.62): Lesstif was causing problems with
	accelerators kicking off actions on KeyRelease events rather than
	KeyPress events. This should fix key accelerated Mark and Goto Mark
	commands.

2002-07-17 15:14  edg

	* source/: highlight.c (1.31), highlightData.c (1.32), regularExp.c
	(1.18), regularExp.h (1.10): Speed improvements in syntax
	highlighting and regex engines.

2002-07-16 11:39  edg

	* source/window.c (1.56): Inserted a cast to suppress a warning
	with certain compilers.

2002-07-15 14:11  edg

	* source/: help.c (1.81), macro.c (1.43), preferences.c (1.59),
	regularExp.c (1.17), regularExp.h (1.9), search.c (1.48), search.h
	(1.17), tags.c (1.41): Lookbehind regex fix: adding missing
	backward search extent information.

2002-07-12 11:44  edg

	* source/window.c (1.55), util/misc.c (1.41): Presumed fix for SF
	#550870: Nedit quietly exits unexpectedly.  Missing X atoms were
	not created, but always used.

2002-07-11 21:18  slobasso

	* source/file.c (1.46), source/file.h (1.10), source/help.c (1.80),
	source/help.h (1.10), source/highlight.c (1.30), util/DialogF.h
	(1.7), util/clearcase.h (1.3), util/fileUtils.h (1.9),
	util/fontsel.h (1.7), util/getfiles.h (1.5), util/managedList.h
	(1.5), util/misc.h (1.13), util/prefFile.h (1.6), util/printUtils.h
	(1.7), util/system.h (1.11), util/utils.c (1.16), util/utils.h
	(1.9), util/vmsParam.h (1.4), util/vmsUtils.h (1.5),
	source/highlight.h (1.6), source/highlightData.c (1.31),
	source/highlightData.h (1.8), source/interpret.c (1.25),
	source/interpret.h (1.8), source/macro.c (1.42), source/macro.h
	(1.4), source/menu.c (1.61), source/menu.h (1.7), source/nc.c
	(1.25), source/nedit.c (1.33), source/nedit.h (1.25),
	source/parse.h (1.5), source/parse.y (1.19), source/parse_noyacc.c
	(1.3), source/preferences.c (1.58), source/preferences.h (1.23),
	source/rbTree.c (1.7), source/rbTree.h (1.3), source/regexConvert.c
	(1.8), source/regexConvert.h (1.4), source/regularExp.c (1.16),
	source/regularExp.h (1.8), source/search.c (1.47), source/search.h
	(1.16), source/selection.c (1.21), source/selection.h (1.5),
	source/server.c (1.17), source/server.h (1.4), source/shell.c
	(1.23), source/shell.h (1.5), source/shift.c (1.13), source/shift.h
	(1.4), source/smartIndent.c (1.16), source/smartIndent.h (1.5),
	source/tags.c (1.40), source/tags.h (1.11), source/text.c (1.29),
	source/text.h (1.8), source/textBuf.c (1.21), source/textBuf.h
	(1.9), source/textDisp.c (1.25), source/textDisp.h (1.11),
	source/textDrag.c (1.8), source/textDrag.h (1.3), source/textP.h
	(1.4), source/textSel.c (1.10), source/textSel.h (1.3),
	source/undo.c (1.11), source/undo.h (1.5), source/userCmds.c
	(1.26), source/userCmds.h (1.5), source/window.c (1.54),
	source/window.h (1.9), source/windowTitle.c (1.8),
	source/windowTitle.h (1.2): more header file cleanup

2002-07-09 14:15  edg

	* doc/help.etx (1.14), doc/nedit.doc (1.14), doc/nedit.html (1.8),
	source/help_data.h (1.12), source/help_topic.h (1.8),
	source/highlight.c (1.29), source/preferences.c (1.57),
	source/regularExp.c (1.15), source/regularExp.h (1.7),
	source/search.c (1.46): Committed SF patch #530308: look-behind
	regular expression matching.

2002-07-05 22:28  uid71894

	* doc/help.etx (1.13), source/macro.c (1.41), source/menu.c (1.60),
	source/preferences.c (1.56), util/prefFile.c (1.17), util/utils.c
	(1.15), util/utils.h (1.8): Moves NEdit's config files in ~/.nedit/
	or $NEDIT_HOME.

2002-06-29 13:56  yooden

	* source/preferences.c (1.55): Added some comment macros for
	default language modes.

2002-06-26 23:39  slobasso

	* util/: DialogF.c (1.24), DialogF.h (1.6), clearcase.c (1.4),
	clearcase.h (1.2), fileUtils.c (1.25), fileUtils.h (1.8), fontsel.c
	(1.18), fontsel.h (1.6), getfiles.c (1.21), getfiles.h (1.4),
	managedList.c (1.10), managedList.h (1.4), misc.c (1.40), misc.h
	(1.12), prefFile.c (1.16), prefFile.h (1.5), printUtils.c (1.19),
	printUtils.h (1.6), system.h (1.10), utils.c (1.14), utils.h (1.7),
	vmsParam.h (1.3), vmsUtils.h (1.4): make .h files include their
	requirements and move local .h files to top of include list.

2002-06-26 23:37  slobasso

	* source/: shell.c (1.22), textDisp.c (1.24): warnings cleanup

2002-06-20 21:32  slobasso

	* source/: text.c (1.28), text.h (1.7), textDisp.c (1.23),
	textDisp.h (1.10): Added code to handle graphics expose events that
	can result from calls to XCopyArea(). Also added code to look for
	these events since they can get backlogged in some circumstances.
	Removed hack to determine if we were obscured, since this should no
	longer be needed.

2002-06-10 16:56  slobasso

	* source/tags.c (1.39): fixed merge conflict.

2002-06-08 13:56  tringali

	* ChangeLog (1.25), Makefile (1.7), README (1.29), ReleaseNotes
	(1.16), doc/help.etx (1.12), doc/nedit.doc (1.13), doc/nedit.html
	(1.7), makefiles/Makefile.macosx (1.2), makefiles/Makefile.os2
	(1.12), source/Makefile.dependencies (1.17), source/comnedit.com
	(1.8), source/file.c (1.45), source/help.c (1.79), source/help.h
	(1.9), source/help_data.h (1.11), source/help_topic.h (1.7),
	source/highlight.c (1.28), source/highlightData.c (1.30),
	source/highlightData.h (1.7), source/lnknedit.com (1.6),
	source/nc.c (1.24), source/nedit.c (1.32), source/preferences.c
	(1.54), source/preferences.h (1.22), source/server.c (1.16),
	source/shell.c (1.21), source/tags.c (1.38), source/window.c
	(1.53), source/windowTitle.c (1.7), util/DialogF.c (1.23),
	util/comutil.com (1.4), util/fileUtils.c (1.24), util/fontsel.c
	(1.17), util/misc.c (1.39), util/prefFile.c (1.15),
	util/printUtils.c (1.18), util/utils.c (1.13), util/utils.h (1.6):
	Merge 5.3 release branch fixes back to mainline development.

2002-06-01 15:18  tringali

	* Makefile (tags: REL-5-3) (BETA-5-3.3): Final changes for 5.3

2002-06-01 13:44  tringali

	* doc/nedit.doc, doc/nedit.html, source/help_data.h
	(BETA-5-3.[4,4,4]) (utags: REL-5-3): Update version to 5.3 for
	final release.

2002-05-16 07:53  edg

	* source/preferences.c (tags: REL-5-3) (BETA-5-3.5): Fix for SF
	#555364: 5.3RC1 preferences update not complete (provided by Markus
	Schwarzenberg).

2002-05-08 16:19  slobasso

	* source/menu.c (1.59): Removed many calls to
	HidePointerOnKeyedEvent() that shouldn't have been put there.

2002-05-08 15:30  slobasso

	* source/menu.c (1.58): verify we have an event before checking the
	type

2002-05-07 01:13  n8gray

	* source/preferences.c (1.53): nedit.typingHidesPointer resource is
	no longer saved in .nedit file, just like other optional X
	resources.  (e.g. nedit.shell, nedit.tagFile, etc.)

2002-05-06 15:52  slobasso

	* source/menu.c (1.57): Removed a call to HidePointerOnKeyedEvent
	in unloadTagsFileMenuCB that caused a crash.

2002-05-03 13:36  amai

	* ChangeLog (tags: REL-5-3) (BETA-5-3.2): Update

2002-05-02 00:01  slobasso

	* source/shell.c (BETA-5-3.3): Added code to allow substituted
	command strings to be arbitrarily long.

2002-05-01 06:36  n8gray

	* source/: nedit.h (1.24), window.c (1.52): Committed separate
	line/col patch.
	
	Commit Haiku:	  Line and Col on Right     Not Customizable Yet   
	 Hope There Are No Bugs

2002-04-29 17:16  slobasso

	* doc/.cvsignore (1.2): added .version

2002-04-29 08:39  edg

	* util/comutil.com (BETA-5-3.1): VMS "makefile" enhancements (Jack
	Patteeuw).

2002-04-29 00:35  amai

	* .cvsignore (1.1), doc/.cvsignore (1.1), source/.cvsignore (1.3),
	util/.cvsignore (1.1): Add/enhance .cvsignore .cvsignore files

2002-04-29 00:28  amai

	* source/window.c (1.51): Drop an unused #include

2002-04-26 16:10  slobasso

	* source/tags.c (1.37): Removed unused variables and double free.

2002-04-26 16:06  slobasso

	* source/tags.c (1.36): Cleanup FindDefinition and how globals are
	used. Changes were actually in previous revision, but I
	accidentally committed without comment.

2002-04-26 16:04  slobasso

	* source/tags.c (1.35): [no log message]

2002-04-24 20:40  edg

	* source/: comnedit.com, lnknedit.com (BETA-5-3.[1,1]): VMS
	compilation and linking fixes (Jack Patteeuw).

2002-04-23 19:52  edg

	* source/nc.c, source/preferences.c, source/window.c,
	source/windowTitle.c, util/fileUtils.c (BETA-5-3.[2,4,4,9,1]):
	Various VMS compilation & linking fixes. 5.3 now compiles and runs
	at least on Alpha OpenVMS V7.2-1 (confirmed by Jack Patteeuw, who
	also reported the problems).

2002-04-22 16:37  slobasso

	* source/text.c (1.27): fix compiler warning.

2002-04-22 15:24  amai

	* ChangeLog (1.24): Update

2002-04-22 15:22  amai

	* makefiles/Makefile.macosx (BETA-5-3.2): Fix line endings from
	"\\" to "\".  Correct linking order in alternative set of flags
	using XFree86 with LessTif

2002-04-19 21:40  slobasso

	* doc/help.etx (1.11): Added new feature to hide mouse pointer
	while typing.

2002-04-19 16:22  slobasso

	* source/: help_data.h (1.10), menu.c (1.56), menu.h (1.6),
	preferences.c (1.52), preferences.h (1.21), text.c (1.26), text.h
	(1.6), textDisp.c (1.22), textDisp.h (1.9): Added new feature to
	hide mouse pointer while typing.

2002-04-16 17:29  edg

	* source/nc.c, source/server.c, source/windowTitle.c, util/utils.c,
	util/utils.h (BETA-5-3.[1,1,8,1,1]): Renamed GetHostName() to
	GetNameOfHost() to avoid linking problems on VMS (the VMS linker is
	case-insensitive; GetHostName() conflicts with standard
	gethostname()).

2002-04-15 10:46  edg

	* source/: file.c, preferences.c, preferences.h (BETA-5-3.[1,3,1]):
	Fix for linking problem on VMS: function
	GetPrefAlwaysCheckRelativeTagsSpecs had more than 31 characters.
	Replaced it by GetPrefAlwaysCheckRelTagsSpecs.

2002-04-13 20:24  edg

	* source/window.c (BETA-5-3.3): Minor fix: MakeSelectionVisible()
	did not take into account line numbers.  (SF #543178: Line numbers
	hide CTRL-M matches).

2002-04-12 18:12  edg

	* doc/help.etx, doc/nedit.doc, doc/nedit.html, source/help_data.h
	(BETA-5-3.[1,3,3,3]): Documentation fixes (X-resource section).

2002-04-12 18:09  edg

	* source/help.c (BETA-5-3.7): Backed out previous change because
	affects default width of help windows.	Will consult developers
	first.

2002-04-12 17:50  edg

	* source/help.c (BETA-5-3.6): Small fix: nedit.helpFont was ignored
	when determining initial size of help windows (instead, the value
	of the now obsolete nedit*helpText.font resource was used
	implicitly).

2002-04-10 09:41  edg

	* source/highlight.c (BETA-5-3.4): Crash fix for syntax
	highlighting pattern sets containing only pass-2 patterns.

2002-03-28 14:21  edg

	* util/printUtils.c (tags: BETA-5-3-RC1) (BETA-5-3.1): Applied
	patch submitted with SF bug #536168: printing to KDE print
	framework.

2002-03-26 22:32  amai

	* makefiles/Makefile.macosx (tags: BETA-5-3-RC1) (BETA-5-3.1): Add
	sample linker command using LessTif as posted on discuss@

2002-03-26 13:43  edg

	* util/fontsel.c (tags: BETA-5-3-RC1) (BETA-5-3.1): Prevent
	possible crash when the Font dialog is destroyed while a modal Font
	Selection dialog is up.

2002-03-25 10:02  edg

	* source/highlight.c (tags: BETA-5-3-RC1) (BETA-5-3.3): Prevent
	buffer overflow in DialogF when reporting a RE compilation error
	for a very large RE.

2002-03-23 17:04  edg

	* source/shell.c (tags: BETA-5-3-RC1) (BETA-5-3.2): The line
	counting algorithm for shell command output dialog is still not
	fullproof (it would require emulating word wrapping). Now a
	scrollbar is created when there is a risk of underestimating the
	number of lines, to make sure that no line ever gets obscured.

2002-03-22 15:54  edg

	* source/shell.c (BETA-5-3.1): Fix for shell command output dialog
	obscuring final lines under certain conditions (reported at discuss
	list).

2002-03-21 08:41  edg

	* source/: window.c, tags.c (BETA-5-3.[2,2]) (utags: BETA-5-3-RC1):
	Got rid of strdup() call (+related comment in disabled code in
	tags.c).

2002-03-21 00:19  amai

	* source/highlightData.c (tags: BETA-5-3-RC1) (BETA-5-3.4): SF
	Patch [ 531549 ] TCL highlight patterns updated.

2002-03-21 00:15  amai

	* makefiles/Makefile.os2 (tags: BETA-5-3-RC1) (BETA-5-3.2): Correct
	linker flags for omf/debuggable build

2002-03-20 18:30  edg

	* source/highlightData.c (BETA-5-3.3): Double bug fix in X
	Resources pattern: context distance violation and missing escapes
	and continuation highlights.

2002-03-19 21:39  edg

	* source/help.c (tags: BETA-5-3-RC1) (BETA-5-3.5): Replaced
	(non-ANSI) snprintf() call by equivalent code.

2002-03-19 18:29  edg

	* source/windowTitle.c (tags: BETA-5-3-RC1) (BETA-5-3.7): The
	background color copying code for the preview didn't work with all
	Motif versions (it even crashed). Now copied the color from the
	form iso. a label.  This should work also for Motif 1.2.

2002-03-19 17:42  edg

	* Makefile (tags: BETA-5-3-RC1) (BETA-5-3.2): Include nedit.html in
	binary distributions.

2002-03-19 17:39  edg

	* ChangeLog, doc/nedit.doc, doc/nedit.html, source/help_data.h,
	source/help_topic.h (BETA-5-3.[1,2,2,2,2]) (utags: BETA-5-3-RC1):
	Final update for 5.3RC1 (hopefully).

2002-03-19 08:51  edg

	* source/windowTitle.c (BETA-5-3.6): Changed the preview field's
	background color to make it clear that it is read-only.

2002-03-18 23:41  edg

	* source/highlight.c (BETA-5-3.2): Fix for SF #531577: Balance
	fails before text viewed.  Unparsed parens are parsed with pass-2
	patterns when necessary.

2002-03-18 23:15  edg

	* source/: help.c, nedit.c (tags: BETA-5-3-RC1) (BETA-5-3.[4,2]):
	Committed Markus' latest enhancements (focus related).

2002-03-17 11:21  yooden

	* source/windowTitle.c, util/prefFile.c (tags: BETA-5-3-RC1)
	(BETA-5-3.[5,1]): Makes the cursor in the Window Title Dialog's
	preview field invisible.

2002-03-16 20:40  edg

	* source/window.c (BETA-5-3.1): Changed 2 free() calls into XFree
	calls().

2002-03-15 14:36  amai

	* source/: Makefile.dependencies (tags: BETA-5-3-RC1) (BETA-5-3.1),
	Makefile.dependencies (1.16): Update

2002-03-15 08:51  edg

	* source/: help.c, help.h (tags: BETA-5-3-RC1), nedit.c
	(BETA-5-3.[3,1,1]): Applied patch 526967: single window help with
	history (with a minor modification in the mnemonics: P for Previous
	iso. Print).

2002-03-14 17:41  amai

	* source/textDisp.c (1.21), source/textDrag.c (1.7),
	source/textSel.c (1.9), source/undo.c (1.10), source/userCmds.c
	(1.25), source/window.c (1.50), source/windowTitle.c (1.6),
	util/DialogF.c (1.22), util/clearcase.c (1.3), util/fileUtils.c
	(1.23), util/fontsel.c (1.16), util/getfiles.c (1.20),
	util/managedList.c (1.9), util/misc.c (1.38), util/prefFile.c
	(1.14), util/printUtils.c (1.17), util/utils.c (1.12): Attempt to
	complete last commit (add trailing optional #include)

2002-03-14 17:18  amai

	* source/: rbTree.c (1.6), regexConvert.c (1.7), regularExp.c
	(1.14), search.c (1.45), selection.c (1.20), server.c (1.15),
	shell.c (1.20), shift.c (1.12), smartIndent.c (1.15), tags.c
	(1.34), text.c (1.25), textBuf.c (1.20): Add an optional #include
	at the end of all #includes in each .c source file. Document that
	stuff in Makefile.generic

2002-03-14 17:15  amai

	* makefiles/Makefile.generic (1.8), source/file.c (1.44),
	source/help.c (1.78), source/highlight.c (1.27),
	source/highlightData.c (1.29), source/interpret.c (1.24),
	source/linkdate.c (1.3), source/macro.c (1.40), source/menu.c
	(1.55), source/nc.c (1.23), source/nedit.c (1.31),
	source/preferences.c (1.51): Add an optional #include at the end of
	all #includes in each .c source file. Document that stuff in
	Makefile.generic

2002-03-14 15:33  edg

	* source/windowTitle.c (BETA-5-3.4): Removed some toggle button
	margin height overrides that caused the mnemonic underscores to
	disappear with certain Motif versions.

2002-03-14 01:25  amai

	* source/file.c (1.43), source/help.c (1.77), source/highlight.c
	(1.26), source/highlightData.c (1.28), source/interpret.c (1.23),
	source/linkdate.c (1.2), source/macro.c (1.39), source/menu.c
	(1.54), source/nc.c (1.22), source/preferences.c (1.50),
	source/rbTree.c (1.5), source/regexConvert.c (1.6),
	source/regularExp.c (1.13), source/search.c (1.44),
	source/selection.c (1.19), source/server.c (1.14), source/shell.c
	(1.19), source/shift.c (1.11), source/smartIndent.c (1.14),
	source/tags.c (1.33), source/text.c (1.24), source/textBuf.c
	(1.19), source/textDisp.c (1.20), source/textDrag.c (1.6),
	source/textSel.c (1.8), source/undo.c (1.9), source/userCmds.c
	(1.24), source/window.c (1.49), source/windowTitle.c (1.5),
	util/DialogF.c (1.21), util/clearcase.c (1.2), util/fileUtils.c
	(1.22), util/fontsel.c (1.15), util/getfiles.c (1.19),
	util/managedList.c (1.8), util/misc.c (1.37), util/prefFile.c
	(1.13), util/printUtils.c (1.16), util/utils.c (1.11): Optionally
	#include "../config.h" anywhere at first place in all(?) .c files

2002-03-13 17:15  edg

	* source/help.c (BETA-5-3.2): Leak fix: style buffers were leaked
	when help windows were closed or dismissed.

2002-03-13 13:19  edg

	* source/highlightData.c (BETA-5-3.2): Minor fix in Tcl patterns:
	newlines are allowed in double quoted strings.

2002-03-13 12:05  edg

	* source/preferences.c, util/DialogF.c, util/misc.c
	(BETA-5-3.[2,1,1]) (utags: BETA-5-3-RC1): Various minor leak fixes.

2002-03-13 12:04  edg

	* source/windowTitle.c (BETA-5-3.3): Made the preview field use a
	variable width font to avoid obscuring it too easily.

2002-03-12 20:22  edg

	* source/preferences.c (BETA-5-3.1): Small leak fix in language
	mode detection.

2002-03-12 20:20  edg

	* source/: highlight.c, highlightData.c, highlightData.h (tags:
	BETA-5-3-RC1) (BETA-5-3.[1,1,1]): Revised syntax-based paren
	matching algorithm: relaxes constraints on highlight patterns.
	Valid matches should no longer be missed.

2002-03-12 16:59  edg

	* source/help.c (BETA-5-3.1): Leak fix: text was leaked when
	printed.

2002-03-12 16:22  edg

	* source/windowTitle.c (BETA-5-3.2): Removed an XmStringFree() call
	that was left behind (and caused a crash).

2002-03-12 16:16  amai

	* makefiles/Makefile.os2 (BETA-5-3.1): Reduce stack size of
	binaries.

2002-03-12 14:52  edg

	* Makefile, README (tags: BETA-5-3-RC1), ReleaseNotes (tags:
	BETA-5-3-RC1), doc/nedit.doc, doc/nedit.html, source/help_data.h,
	source/help_topic.h (BETA-5-3.[1,2,2,1,1,1,1]): Set version to
	5.3RC1.

2002-03-12 09:04  edg

	* ReleaseNotes, source/tags.c (BETA-5-3.[1,1]): Applied patch
	#520941: FindDefinition function incorrectly reads the X selection
	even when an argument has been provided for the find_definition()
	action routine.

2002-03-12 00:46  amai

	* README (BETA-5-3.1): Small updates on LessTif info

2002-03-11 23:09  tringali

	* source/windowTitle.c (BETA-5-3.1): Fix UI so dialog doesn't jump
	around.  Also prevent overflow bug in text field.

2002-03-11 22:41  amai

	* source/windowTitle.c (1.4): Fix compiler warning

2002-03-11 22:40  amai

	* README (1.28): Small updates on LessTif info

2002-03-11 22:18  edg

	* doc/nedit.doc (1.12), doc/nedit.html (1.6), source/help_data.h
	(1.9), source/help_topic.h (1.6), README (1.27), ReleaseNotes
	(1.15): Last update before 5.3 branch.

2002-03-11 22:05  edg

	* doc/help.etx (1.10, BETA-5-3-RC1), source/highlight.c (1.25),
	source/highlight.h (1.5, BETA-5-3-RC1), source/menu.c (1.53,
	BETA-5-3-RC1), source/nedit.h (1.23, BETA-5-3-RC1),
	source/preferences.c (1.49), source/preferences.h (1.20,
	BETA-5-3-RC1), source/search.c (1.43, BETA-5-3-RC1),
	source/window.c (1.48): Applied SF patch #513976: Syntax-based
	parenthesis matching.

2002-03-11 18:17  edg

	* ChangeLog (1.23), README (1.26), ReleaseNotes (1.14): Update for
	5.3.

2002-03-08 10:40  edg

	* source/window.c (1.47): Fix for #527319: segfault in
	virtKeyBindingsAreInvalid().

2002-03-08 08:43  edg

	* source/tags.c (1.32): Fix for #527222: malloc bugs in tags.c
	(Nathan Gray).

2002-03-07 20:49  edg

	* doc/nedit.doc (1.11), doc/nedit.html (1.5), source/help_data.h
	(1.8), source/help_topic.h (1.5): Regenerated.

2002-03-07 20:36  edg

	* doc/help.etx (1.9), source/windowTitle.c (1.3): Applied patch
	#519092: Customizable window title UI redesign

2002-03-07 17:40  edg

	* source/menu.c (1.52): Removed some (unnecessary) statements that
	could cause the X server to freeze when the background menu was
	popped up while any of the lock keys were on.

2002-03-07 16:42  tringali

	* makefiles/Makefile.linux (1.8, BETA-5-3-RC1): Add -lXp.

2002-03-06 22:04  edg

	* doc/help.etx (1.8), source/nedit.h (1.22), source/preferences.c
	(1.48), source/preferences.h (1.19), source/window.c (1.46): Added
	patch #525903: Workaround for invalid virtual key bindings attached
	to the root window: invalid bindings are detected and ignored
	(behavior can be controlled with a new X-resource).

2002-03-06 14:42  tringali

	* makefiles/Makefile.linux (1.7): Force Motif to be pulled in
	statically by default.	Linux users tend to upgrade frequently or
	move binaries across systems, causing library version skew.

2002-03-04 20:10  amai

	* source/tags.c (1.31): Remove unused statements/code lines as
	pointed out on develop@

2002-03-02 17:02  yooden

	* doc/help.etx (1.7), source/file.c (1.42, BETA-5-3-RC1),
	source/menu.c (1.51), source/nedit.h (1.21), source/preferences.c
	(1.47), source/preferences.h (1.18): Makes the line feed NEdit
	appends on save optional. (SF Bug #495009)

2002-03-01 22:44  slobasso

	* source/interpret.c (1.22, BETA-5-3-RC1): properly round pow()
	results

2002-03-01 17:13  amai

	* ChangeLog (1.22), README (1.25): Update timestamp and ChangeLog

2002-03-01 17:12  amai

	* util/fileUtils.c (1.21, BETA-5-3-RC1): Add a UNICOS-specific call
	to readlink()

2002-03-01 17:04  amai

	* util/fontsel.c (1.14): Replace rint(x) by floor(x+0.5)

2002-03-01 16:04  amai

	* makefiles/Makefile.unicos (1.5, BETA-5-3-RC1): Patch from Paolo
	Palazzi to compile on UNICOS 10.0.1.0

2002-02-27 14:44  edg

	* source/window.c (1.45): Setfont: fixed a bug with the window
	getting the wrong width when changing the font size under fvwm (or
	any other ICCCM2 compliant window manager). Fix provided by Dominik
	Vogt of fvwm.

2002-02-27 11:26  edg

	* source/text.c (1.23, BETA-5-3-RC1): Replaced the "None" modifiers
	by "~Alt ~Shift ~Ctrl ~Meta", because "None" also excludes lock
	keys and prevents PageUp/PageDown from responding when, for
	instance, the NumLock key is on (so I didn't mix up my binaries
	after all :-).

2002-02-25 17:28  edg

	* source/text.c (1.22): Reverted the last change. I've probably
	mixed up my NEdit binaries.

2002-02-25 14:29  edg

	* source/text.c (1.21): Removed the recently introduced None
	modifiers in default key bindings.  They don't seem to be
	recognized by all Motif versions, causing the PageUp/PageDown keys
	to stop working.

2002-02-25 10:32  edg

	* source/textDisp.c (1.19, BETA-5-3-RC1): Fix for SF #522263:
	segfault fix (Nathaniel Gray).

2002-02-24 21:16  edg

	* source/: textBuf.c (1.18), textBuf.h (1.8) (utags: BETA-5-3-RC1):
	Fix for #522038: Internal error when splitting window.	Allowed
	more than one pre-delete callback per window (I originally thought
	that only one was necessary).

2002-02-23 20:01  edg

	* source/window.c (1.44): Avoid temporarily invalid WM size hints.
	They seem to amplify the effects of a bug in fvwm2 (SF #496526:
	Very wide nedit window with fvwm).

2002-02-21 18:53  tringali

	* source/text.c (1.20): Fix broken PageUp and PageDown keys on
	systems that bind osfPageLeft to Ctrl-PageUp.

2002-02-20 13:03  amai

	* source/help.c (1.76): Make getBuildInfo() to return a static
	string.

2002-02-16 14:39  edg

	* source/help_data.h (1.7): Regenerated with fixed setext (fixes
	some style problems).

2002-02-16 14:37  edg

	* doc/setext (1.7, BETA-5-3-RC1): Style transition fixes by Steven
	Haehn.

2002-02-15 09:41  edg

	* doc/nedit.html (1.4), source/help_data.h (1.6),
	source/help_topic.h (1.4): Regenerated with fixed setext.

2002-02-15 09:37  edg

	* doc/setext (1.6): Applied bug fixes in help and html generation
	(provided by Steven Haehn).

2002-02-14 21:08  edg

	* source/preferences.c (1.46): Bumped .nedit file version to 5.3.

2002-02-14 21:04  edg

	* README (1.24): Synchronized author list with help.etx.

2002-02-14 20:24  amai

	* README (1.23), ReleaseNotes (1.13): Re-arrange some text

2002-02-14 14:28  tringali

	* source/preferences.c (1.45): Oops, helvetica fonts aren't italic,
	they're oblique.

2002-02-13 23:10  edg

	* README (1.22), ReleaseNotes (1.12): Preparation of 5.3 release.

2002-02-13 23:07  edg

	* source/nc.c (1.21, BETA-5-3-RC1): Preparation of 5.3 release.

2002-02-13 20:47  tringali

	* source/preferences.c (1.44): Change help fonts to be like the
	defaults we have in nedit.c to reduce the likelihood of them being
	missing or defective.

2002-02-13 20:00  tringali

	* util/misc.c (1.36): Fix for [ #478234 ] nedit crash with Xwindows
	on 2nd screen

2002-02-13 18:03  edg

	* ChangeLog (1.21): Update.

2002-02-13 14:14  edg

	* source/textDisp.c (1.18): Fix for SF bug #516920: line numbering
	in continuous wrap mode.

2002-02-13 12:30  edg

	* doc/nedit.doc (1.10), doc/nedit.html (1.3), source/help_data.h
	(1.5), source/help_topic.h (1.3): Regenerated documentation.

2002-02-13 12:27  edg

	* doc/setext-info.txt (1.1, BETA-5-3-RC1): Added setext format
	documentation provided by Steven Haehn.

2002-02-13 12:12  edg

	* doc/help.etx (1.6): Minor fixes.

2002-02-11 21:23  arnef

	* source/windowTitle.c (1.2): Fixed reason for crash when window is
	destroyed.  Removing leading dashes and spaces Checking for array
	out of bounds when creating title.

2002-02-11 10:45  edg

	* source/highlightData.c (1.27): Upgraded X Resources highlight
	patterns to improve highlighting performance.  SF bug #481290;
	patterns provided by Markus Schwarzenberg.

2002-02-08 23:26  tringali

	* source/nedit.c (1.30): Yet another attempted fix for 434383:
	menus showing up as blocks.

2002-02-07 10:23  edg

	* doc/help.etx (1.5): Updates for SF bug #489601: misprint in
	help.c.

2002-02-07 10:00  edg

	* doc/help.etx (1.4): Fix for SF bug #432203: Error in regex help
	for \l and \L.

2002-02-07 09:28  edg

	* doc/setext (1.5): Comment on #! interpreter line is not allowed
	for every shell.

2002-02-05 22:01  edg

	* source/highlight.c (1.24): Fix for SF bug #512961: NEdit LOCKS
	UP, and also for a similar bug reported at the discuss mailing list
	(Philippe Poilbarbe: Infinite Loop).  Yet another char/unsigned
	char mixup problem.

2002-02-05 20:55  edg

	* source/regularExp.c (1.12, BETA-5-3-RC1): Fixed a char/unsigned
	char comparison problem that caused crashes when patterns contained
	characters with ASCII code >= 128.

2002-02-05 18:16  edg

	* source/: textBuf.c (1.17), textDisp.c (1.17), textDisp.h (1.8,
	BETA-5-3-RC1), window.c (1.43): Bug fix for SF bug #510631: 5.2
	segmentation fault on Linux/i386.  Modifying tab distance in
	continous wrap mode brought the text display widget in an illegal
	state.

2002-02-05 13:15  edg

	* source/highlight.c (1.23): Bugfix in color allocation (Thomas
	Schuetzkowski).

2002-02-03 16:41  edg

	* source/: textBuf.c (1.16), textBuf.h (1.7), textDisp.c (1.16),
	textDisp.h (1.7): Patches for SF bug #485415: Continuous wrap
	updating bugs.	Continuous wrap mode combined with variable font
	sizes resulted in wrong text display calculations.

2002-02-01 15:03  edg

	* source/textDisp.c (1.15): Patch for SF bug #510765: Help>Version
	scrollbar can get corrupted.  The text display widget used wrong
	style information for wrapping calculations when using variable
	width fonts.

2002-01-28 10:43  amai

	* ChangeLog (1.20), source/help.c (1.75), source/nedit.c (1.29),
	source/server.c (1.13, BETA-5-3-RC1), source/tags.c (1.30),
	source/textDisp.c (1.14), source/textDrag.c (1.5, BETA-5-3-RC1),
	source/undo.c (1.8, BETA-5-3-RC1): Add some explicit #include
	<string.h>

2002-01-23 16:54  tringali

	* source/help.c (1.74): Change parenthesis style to match the rest
	of nedit source code.

2002-01-23 16:53  tringali

	* source/textSel.c (1.7, BETA-5-3-RC1): Accept COMPOUND_TEXT
	selection requests for compatability with recent versions of
	gnome-terminal.

2002-01-17 01:34  amai

	* makefiles/Makefile.os2 (1.11): Some small fixes/enhancements

2002-01-15 17:05  tringali

	* source/: menu.c (1.50), window.c (1.42): Lower case, Upper case,
	and Find Def do not require an NEdit selection.  LC/UC can operate
	on the cursor, and Find Def can use an external selection.

2002-01-13 16:01  yooden

	* source/: menu.c (1.49), window.c (1.41): Removed four
	XtSetSensitive calls that prevent use of 'Open Selected' and 'Find
	Selection' on selections that are not NEdit's.

2002-01-12 00:59  amai

	* makefiles/Makefile.os2 (1.10), source/nc.c (1.20): Makefile.os2:
	update/correct some linker options nc.c: I think I previously
	messed up the commandline for EMX&VMS case.  Perhaps not a good
	idea to mess around in code which I can't test...

2002-01-11 18:21  amai

	* source/nc.c (1.19): Fix for server startup command line on OS/2:
	missing flag for START command and fix memory leak.

2002-01-11 13:10  amai

	* doc/setext (1.4), source/help_data.h (1.4): Patch from Steven
	Haehn to add some static/const to setext output

2002-01-10 12:49  amai

	* source/help.c (1.73): Make some funcs/vars static

2002-01-08 16:06  amai

	* README (1.21): New timestamp ...  (a test whether the commit
	messages get a different subject now)

2002-01-08 14:33  amai

	* ChangeLog (1.19), source/menu.c (1.48), source/nedit.h (1.20),
	source/window.c (1.40): Make more menu Items sensitive WRT an
	existing selection: Cut, Upper, Lower

2002-01-07 10:15  amai

	* source/tags.c (1.29): Jump to tags only referenced by line
	number.  Fix by M. Schwarzenberg.

2002-01-05 16:52  amai

	* source/search.c (1.42): Only set *again menu Items on the first
	search ever (not on each)

2002-01-05 16:45  amai

	* source/: Makefile.dependencies (1.15), menu.c (1.47), nedit.h
	(1.19), search.c (1.41), search.h (1.15, BETA-5-3-RC1), window.c
	(1.39): Toggle Menu Item sensitivity, including those from SF Bug [
	#486072 ] Selection commands sensitivity incorrect

2002-01-05 02:19  edel

	* source/: help_data.h (1.3), help_topic.h (1.2): Regenerated
	help_topic.h and help_data.h for change in help.ext

2002-01-05 02:09  edel

	* makefiles/Makefile.solaris (1.7, BETA-5-3-RC1): Reverting to 1.5
	(I accidentally committed my private mods, sorry).

2002-01-05 01:48  edel

	* doc/help.etx (1.3), doc/setext (1.3), makefiles/Makefile.solaris
	(1.6), source/help.c (1.72), source/preferences.c (1.43),
	source/preferences.h (1.17): Help updates from Steve.  Remove
	unused title font resources, add back some missing help text.

2002-01-04 16:39  amai

	* ChangeLog (1.18), source/textDisp.c (1.13): Fix ("wrong")
	compiler (gcc) warning about two uninitialized variables

2001-12-31 14:34  amai

	* source/nc.c (1.18): Fix a problem with calling nedit from nc on
	OS/2 which I introduced recently.  Enlarge Preferences.serverCmd
	array.

2001-12-24 11:50  amai

	* source/macro.c (1.38, BETA-5-3-RC1): Fix by Gilles J. Seguin for
	SF Bug [ #480966 ] Composed characters in learned sequence

2001-12-24 09:46  amai

	* source/file.c (1.41), source/highlight.c (1.22), source/menu.c
	(1.46), util/getfiles.c (1.18, BETA-5-3-RC1): Fix for SF Bug [
	#480960 ] No titles in some dialog boxes as sent to develop@ from
	T. Haude

2001-12-24 09:26  amai

	* ChangeLog (1.17), source/parse_noyacc.c (1.2, BETA-5-3-RC1),
	source/window.c (1.38): Update ChangeLog, parse_noyacc.c. Typo in
	window.c

2001-12-24 09:18  amai

	* source/: interpret.c (1.21), interpret.h (1.7, BETA-5-3-RC1),
	parse.y (1.18, BETA-5-3-RC1): Apply SF Patch [ #496413 ]
	preliminary patch for #495293 from A. Hood which in turn fixes SF
	Bug [ #495293 ] continue outside of loop causes segfault

2001-12-20 15:38  amai

	* source/: comnedit.com (1.7, BETA-5-3-RC1), parse.c_noyacc (1.8),
	parse_noyacc.c (1.1): Rename our fallback version of the parse.c
	code to have a reasonable file extension. Update VMS command file
	accordingly

2001-12-19 17:08  tringali

	* source/help.c (1.71): Fix incorrect array size that crashes on
	platforms where sizeof(char*) != sizeof(int)

2001-12-19 14:51  tringali

	* source/: window.c (1.37), nedit.c (1.28): Back out frame around
	text patch; doesn't work well with LessTif

2001-12-18 18:53  tringali

	* source/: nedit.c (1.27), window.c (1.36): Put frame around text
	widget, for consistent look with XmScrolledText Patch courtesy of
	C. Rasmussen (If you don't like it, disable it with
	*pane*XmFrame.shadowThickness: 0)

2001-12-17 16:28  amai

	* source/selection.c (1.18, BETA-5-3-RC1): Fix compilation problem

2001-12-16 04:31  ajhood

	* source/selection.c (1.17):  Modified Files:
		selection.c
	replacing sprintf lost the path name when opening files

2001-12-14 14:35  edel

	* source/help_topic.h (1.1): Separated auto-generated part of
	help.h into different file, help_topic.h.

2001-12-14 05:14  edel

	* doc/: Makefile (1.2, BETA-5-3-RC1), help.etx (1.2), nedit.doc
	(1.9), nedit.html (1.2), setext (1.2): Rearranged styles to put
	fixed fonts first, for sizing help text widget.

2001-12-14 05:12  edel

	* source/: Makefile.dependencies (1.14), help.c (1.70), help.h
	(1.8), help_data.h (1.2): Rearanged help fonts so window is sized
	to match fixed-width formatting.  Fixed underlined fonts not
	working.

2001-12-13 15:44  amai

	* source/tags.c (1.28): Drop // comments from last check-in

2001-12-13 13:31  amai

	* ChangeLog (1.16), source/help.h (1.7): Add prototype to help.h to
	fix build warning

2001-12-13 13:27  amai

	* source/tags.c (1.27), source/tags.h (1.10, BETA-5-3-RC1),
	util/fileUtils.c (1.20), util/utils.c (1.10, BETA-5-3-RC1),
	util/utils.h (1.5, BETA-5-3-RC1): Apply SF Patch [ #491109 ]
	recognize etags TAGS files added from M. Schwarzenberg

2001-12-13 13:14  amai

	* source/interpret.c (1.20), source/macro.c (1.37), source/menu.c
	(1.45), source/parse.y (1.17), source/preferences.c (1.42),
	source/search.c (1.40), source/selection.c (1.16), source/tags.c
	(1.26), source/userCmds.c (1.23, BETA-5-3-RC1), util/printUtils.c
	(1.15): Fix for SF Bug [ #491943 ] missing (unsigned char) casts
	from M. Schwarzenberg

2001-12-12 17:07  edel

	* source/help.c (1.69): Fixed hyperlink after search crash, search
	memory leak, cleaned up code, added more comments.

2001-12-10 05:11  edel

	* source/help_data.h (1.1): Help data generated from
	../doc/help.etx

2001-12-10 05:07  edel

	* doc/nedit.html (1.1): Copy of html documentation generated by new
	help system

2001-12-10 05:03  edel

	* doc/: Makefile (1.1), help.etx (1.1), nedit.doc (1.8), setext
	(1.1): New help system!

2001-12-10 04:57  edel

	* source/: Makefile.dependencies (1.13), help.c (1.68), help.h
	(1.6), highlight.c (1.21), highlight.h (1.4), menu.c (1.44),
	preferences.c (1.41), preferences.h (1.16), textDisp.c (1.12): New
	help system!

2001-12-07 10:50  amai

	* source/file.c (1.40): Close file handle upon various error
	conditions to leave the routine w/o success. Also reject block
	devices in addition to directories.

2001-12-05 10:16  amai

	* source/: nc.c (1.17), nedit.c (1.26): nc: don't use XtWarning
	when report invalid commanline argument.  nedit: react properly if
	file name on commandline is too long. Now starts up GUI.

2001-12-04 18:03  amai

	* ChangeLog (1.15), source/server.c (1.12), util/getfiles.c (1.17):
	More checks for ParseFilename()'s return value

2001-12-04 17:50  amai

	* source/file.c (1.39), source/menu.c (1.43), source/nc.c (1.16),
	source/nedit.c (1.25), source/selection.c (1.15), source/tags.c
	(1.25), util/DialogF.c (1.20), util/fileUtils.c (1.19):
	ParseFilename() often gets called w/o the caller to ensure that the
	arguments are proper.  Let it do some checks and have an useful
	return value.

2001-12-04 11:14  amai

	* makefiles/Makefile.macosx (1.1): Add Makefile for MacOS X, as
	found on our website

2001-12-03 22:21  amai

	* source/: help.c (1.67), nedit.c (1.24): Update source timestamp
	and add -V to commandline help

2001-12-03 22:18  amai

	* source/nc.c (1.15): Resolve a mess of #ifdefs in handling
	commandline args.  Implement -V|-version for nc

2001-12-03 16:46  tringali

	* source/: Makefile.common (1.10, BETA-5-3-RC1), help.c (1.66),
	linkdate.c (1.1, BETA-5-3-RC1): Make build date more accurate by
	updating on actual link, not when help.c was last compiled.

2001-12-02 17:58  edg

	* source/: textBuf.c (1.15), textSel.c (1.6): Applied SF patch
	#487945: Fix for rectangular overstrike paste.

2001-11-30 15:41  tringali

	* source/: nedit.c (1.23), window.c (1.35): [487153] Let user
	override font of statistics line

2001-11-27 22:53  edg

	* source/search.c (1.39): Enhancement to the (multi-file)
	replacement dialog: all files are first checked for changes to set
	correct sensitivity for the multi-file button and to generate an
	up-to-date list of writable files in the multi-file dialog.

2001-11-27 10:47  amai

	* source/: help.c (1.65), menu.c (1.42), shell.c (1.18): Patch from
	A. Riese SF Patch [ #434451 ] line numbers in shell commands

2001-11-27 09:09  amai

	* source/file.c (1.38), source/menu.c (1.41), util/prefFile.c
	(1.12), util/utils.c (1.9), util/utils.h (1.4): Introduce
	PrependHome() to create all paths of type $HOME/file without
	overflow.  Fixes some leaks, other remain ...

2001-11-26 21:40  amai

	* util/: fileUtils.c (1.18), utils.c (1.8): Quit if a "safe"
	getpw*() call fails. GetUserName() returns a safe, cached result

2001-11-26 17:17  amai

	* ChangeLog (1.14), README (1.20), source/help.c (1.64),
	source/nc.c (1.14), source/nedit.c (1.22): Apply Patch from M.
	Schwarzenberg: SF Patch [ #485610 ] -- open filenames starting with
	a dash

2001-11-26 14:54  amai

	* util/fileUtils.c (1.17): Try to fix a potential memory
	(security?!?) leak in ExpandTile()

2001-11-26 14:17  amai

	* util/utils.c (1.7): Cache return value of GetHomeDir() and return
	a private reference.  Earlier we did return a string that could be
	invalided before it was used!?

2001-11-25 23:03  edg

	* source/file.c (1.37): Crash fix: avoid closing windows twice when
	user destroys the window of a file that could not be opened instead
	of closing the error dialog.

2001-11-25 22:05  edg

	* source/textBuf.c (1.14): Small fix: tighter buffer boundary check
	when accessing characters.

2001-11-24 11:57  amai

	* source/file.c (1.36): Patch from Thorsten Haude for SF Bug [
	#484870 ] Double Mnemonic

2001-11-24 11:41  amai

	* makefiles/Makefile.qnx (1.1, BETA-5-3-RC1): Add Makefile for QNX
	as posted on develop@ mailinglist

2001-11-22 21:01  amai

	* source/interpret.c (1.19), source/preferences.c (1.40),
	source/textBuf.c (1.13), source/textBuf.h (1.6), util/printUtils.c
	(1.14), util/printUtils.h (1.5, BETA-5-3-RC1): Another small const
	patch

2001-11-21 16:36  amai

	* util/misc.c (1.35): Patch SF [#483505 ] Fix warning on DEC Not
	literally, I extended the comment a bit.

2001-11-20 15:53  amai

	* README (1.19): Sorry, another "dummy" commit, to check for the
	commit messages :-)

2001-11-20 15:36  amai

	* ReleaseNotes (1.11): Switch to "5.2+" ...

2001-11-20 15:31  amai

	* README (1.18): Start list of 5.2+ features/changes

2001-11-20 13:25  amai

	* source/selection.c (1.14), util/system.h (1.9, BETA-5-3-RC1): Add
	Intel's icc/ecc to our list of known compilers (and fix a compiler
	warning)

2001-11-18 19:53  amai

	* ChangeLog (1.13): Update

2001-11-18 19:02  arnef

	* source/Makefile.common (1.9), source/Makefile.dependencies
	(1.12), source/help.c (1.63), source/help.h (1.5), source/menu.c
	(1.40), source/nc.c (1.13), source/preferences.c (1.39),
	source/preferences.h (1.15), source/server.c (1.11),
	source/window.c (1.34), source/window.h (1.8, BETA-5-3-RC1),
	source/windowTitle.c (1.1), source/windowTitle.h (1.1,
	BETA-5-3-RC1), util/Makefile.common (1.6, BETA-5-3-RC1),
	util/Makefile.dependencies (1.5, BETA-5-3-RC1), util/clearcase.c
	(1.1, BETA-5-3-RC1), util/clearcase.h (1.1, BETA-5-3-RC1),
	util/fileUtils.c (1.16), util/fileUtils.h (1.7, BETA-5-3-RC1),
	util/utils.c (1.6), util/utils.h (1.3): Added Customise Window
	Title patch Ref.
	http://sourceforge.net/tracker/?func=detail&atid=311005&aid=477875&
	group_id=11005

2001-11-16 16:06  tringali

	* util/misc.c (1.34): 482504: Bad CapsLock grab on certain keyboard
	configurations

2001-11-16 12:47  amai

	* source/userCmds.c (1.22): "const patch"

2001-11-16 11:13  amai

	* source/: selection.c (1.13), shift.c (1.10, BETA-5-3-RC1): Add
	two missing #includes

2001-11-16 11:02  amai

	* source/: help.c (1.62), shell.c (1.17), userCmds.c (1.21): Apply
	patch SF [ #434451 ] line numbers in shell commands from Axel
	Riese.

2001-11-16 10:06  amai

	* source/: help.c (1.61), menu.c (1.39), selection.c (1.12),
	selection.h (1.4, BETA-5-3-RC1), text.c (1.19), text.h (1.5,
	BETA-5-3-RC1), textDisp.c (1.11), textDisp.h (1.6): Apply patch for
	 SF [ #403435 ] Go to column in "Goto Line Number" dialog (added
	some 'consts', missing #include, etc.)

2001-11-16 09:39  amai

	* source/: tags.c (1.24), tags.h (1.9), textBuf.c (1.12), textBuf.h
	(1.5), userCmds.c (1.20): Another "const patch"

2001-11-15 14:28  amai

	* makefiles/Makefile.openbsd (1.1, BETA-5-3-RC1): In principle the
	same as Makefile.netbsd, but I arbitrarily chose a Motif 2.1 setup
	and added -lXp already

2001-11-13 21:07  amai

	* makefiles/Makefile.os2 (1.9): For now we don't have/use
	readlink(2) on OS/2

2001-11-13 11:10  amai

	* source/: search.c (1.38), search.h (1.14): Add some more 'const's
	to public search routines

2001-11-12 14:04  amai

	* util/: DialogF.c (1.19), DialogF.h (1.5, BETA-5-3-RC1), misc.c
	(1.33), misc.h (1.11, BETA-5-3-RC1): Another small 'const patch'

2001-11-12 13:46  amai

	* makefiles/Makefile.generic (1.7, BETA-5-3-RC1), source/tags.c
	(1.23), util/fileUtils.c (1.15), util/fileUtils.h (1.6): Revised
	version of Patch from Markus Schwarzenberg: SF [ #479589 ] path for
	tags files should be resolved I added a catch for systems without
	links/readlink(2)

2001-11-10 00:00  slobasso

	* source/help.c (1.60): fixed bad eol in string

2001-11-09 23:58  slobasso

	* source/highlightData.c (1.26): added in to NEdit macro language
	keywords

2001-11-08 16:05  amai

	* makefiles/Makefile.generic (1.6), makefiles/Makefile.os2 (1.8),
	source/file.c (1.35): Drop WRITES_DOS_TEXT catch finally!

2001-11-08 13:49  amai

	* ChangeLog (1.12): Update

2001-11-08 13:47  amai

	* README (1.17), source/help.c (1.59): Add timestamp again to
	version info. The build date is not necessarily an indicator for
	the date of the underlying sources ...

2001-11-08 12:55  edg

	* source/search.c (1.37): Fixed a bug for replacements in
	rectangular selections: false matches could hide valid ones.

2001-11-07 22:54  edg

	* source/preferences.c (1.38): Added a patch for the last remaining
	issue of SF bug #230912 (Postscript language mode definition on
	VMS), and added a post-5.2 preferences upgrading routine, to be
	extended when other preferences are upgraded.

2001-11-05 15:17  tringali

	* source/highlightData.c (1.25): Update C/C++ preprocessor patterns
	with specific keywords (#include, #define, etc.)

2001-11-02 12:17  edg

	* source/file.c (1.34): Changed misleading "Create" button label in
	dialogs to "New File" (Thorsten Haude, SF bug #449765).

2001-11-02 12:13  edg

	* README (1.16), doc/nedit.doc (1.7), source/help.c (1.58): Minor
	documentation updates (Thorsten Haude).

2001-11-01 20:22  edg

	* util/fontsel.c (1.13): Removed a debug print statement that was
	left behind accidentally.

2001-10-31 17:25  edg

	* util/getfiles.c (1.16): Added a VMS-specific check for a Motif
	2.x bug workaround (one was added earlier, but it should have been
	done at two places).

2001-10-31 16:36  edg

	* source/: nedit.c (1.21), preferences.c (1.37): Changed default
	font sizes from 12 pixels to 12 points. This should improve
	portability.

2001-10-30 21:47  tringali

	* source/preferences.c (1.36): Merge post-RC1 changes to mainline

2001-10-27 20:19  edg

	* source/: menu.c (1.38), userCmds.c (1.19): Added extra checks to
	prevent macro/background menu commands from being executed by the
	user while another command is already running (to prevent a crash).
	Also added beeps to notify the user in those cases that the
	commands are rejected.

2001-10-26 20:17  amai

	* makefiles/: Makefile.generic (1.5), Makefile.os2 (1.7): Document
	-DWRITES_DOS_TEXT - at least it's used on OS/2!

2001-10-25 15:51  tringali

	* source/preferences.c (tags: REL-5-2) (BETA-5-2.6): Compare file
	versions as integers to avoid bad float comparisonsCompare file
	versions as integers to avoid bad float comparisonsCompare file
	versions as integers to avoid bad float comparisonsCompare file
	versions as integers to avoid bad float comparisons

2001-10-22 08:50  amai

	* source/: tags.c (1.22), tags.h (1.8): Patch for SF [ #473602 ] no
	mult. tags selection on 1st find def from Markus Schwarzenberg

2001-10-21 15:13  tringali

	* README (1.15), ReleaseNotes (1.10), doc/faq-txt.awk (1.2,
	BETA-5-3-RC1), doc/faq-txt.dtd (1.2, BETA-5-3-RC1), doc/faq-txt.xsl
	(1.2, BETA-5-3-RC1), doc/faq.dtd (1.2, BETA-5-3-RC1), doc/faq.xml
	(1.3, BETA-5-3-RC1), doc/faq.xsl (1.2, BETA-5-3-RC1), doc/nc.man
	(1.5, BETA-5-3-RC1), doc/nedit.doc (1.6), doc/nedit.man (1.6,
	BETA-5-3-RC1), source/file.c (1.33), source/help.c (1.57),
	source/highlight.c (1.20), source/highlightData.c (1.24),
	source/nedit.c (1.20), source/preferences.c (1.35), source/search.c
	(1.36), source/shell.c (1.16), util/fontsel.c (1.12),
	util/fontsel.h (1.5, BETA-5-3-RC1), util/prefFile.c (1.11),
	util/system.h (1.8): Merge post-5.2RC1 changes into mainline

2001-10-21 15:09  tringali

	* doc/NEdit.ad (1.2, BETA-5-3-RC1), doc/README.FAQ (1.2,
	BETA-5-3-RC1), doc/faq-txt-pass2.xsl (1.2, BETA-5-3-RC1),
	doc/faq.txt (1.2, BETA-5-3-RC1), makefiles/Makefile.depend (1.2,
	BETA-5-3-RC1), makefiles/Makefile.linux (1.6),
	makefiles/Makefile.os2 (1.6), makefiles/Makefile.solaris (1.5),
	makefiles/Makefile.unixware (1.4, BETA-5-3-RC1): Merge post-5.2RC1
	changes into mainline

2001-10-16 14:41  edg

	* ChangeLog (tags: REL-5-2) (BETA-5-2.6): Final update for 5.2
	release.

2001-10-15 20:10  amai

	* source/tags.c (1.21): Latest patch for SF [ #466742 ] Tag not
	found

2001-10-15 17:33  slobasso

	* source/nc.c (1.12): Patch to allow for multi-line macros to be
	passed on nc command line when a nedit server is not already
	running.

2001-10-15 17:28  slobasso

	* source/: file.c (1.32), file.h (1.9, BETA-5-3-RC1), nedit.c
	(1.19), nedit.h (1.18), server.c (1.10): Changed -read behavior to
	mimic the Read Only menu option.

2001-10-15 17:24  slobasso

	* source/text.c (1.18): Fixes problem where triple clicking to
	select a word wrapped line was inconsistent with the subsequent
	dragging to extend the selection. The behavior now matches.

2001-10-12 19:34  tringali

	* Makefile, source/help.c (BETA-5-2.[1,9]) (utags: REL-5-2): Prep
	work for final 5.2 release

2001-10-12 11:54  edg

	* README (tags: REL-5-2) (BETA-5-2.5): Minor updates.

2001-10-12 10:36  edg

	* README, ReleaseNotes (tags: REL-5-2) (BETA-5-2.[4,2]): Updates in
	preparation of the 5.2 release.

2001-10-11 13:19  edg

	* source/preferences.c (BETA-5-2.5): Fixed a bug in the 5.2
	preferences upgrading routine: new language modes were added, but
	the corresponding highlight patterns were not enabled.

2001-10-10 18:32  edg

	* source/shell.c (tags: REL-5-2) (BETA-5-2.1): Fixed a bug that
	could cause NEdit to crash or garble a file when the user modifies
	the buffer while the output of an external command is being
	inserted.

2001-10-08 07:29  amai

	* ChangeLog (BETA-5-2.5), ChangeLog (1.11): Update

2001-10-06 13:09  amai

	* ReleaseNotes (BETA-5-2.1): Some very minor changes towards the
	release

2001-10-06 11:42  amai

	* README, source/help.c (BETA-5-2.[3,8]): "lame attempt" to enfore
	a release: drop "RC" and update timestamps!

2001-10-04 11:02  amai

	* makefiles/Makefile.solaris (tags: REL-5-2) (BETA-5-2.2): Use
	CC=cc.	After all it's the most - since only - standard conforming
	setting

2001-10-04 10:16  amai

	* source/tags.c (1.20): Patch for SF Bug [ #466742 ] Tag not found.
	 This is tags-semicolon2.diff as submitted by Markus Schwarzenberg.

2001-10-04 09:44  amai

	* README (1.14), source/help.c (1.56): Update timestamps

2001-10-02 17:06  amai

	* source/help.c (BETA-5-2.7): Get PrintVersion() work again and
	update timestamp

2001-10-02 07:16  amai

	* doc/README.FAQ (1.1): file README.FAQ was initially added on
	branch BETA-5-2.

2001-10-02 07:16  amai

	* doc/faq-txt-pass2.xsl (1.1): file faq-txt-pass2.xsl was initially
	added on branch BETA-5-2.

2001-10-02 07:16  amai

	* doc/: README.FAQ, faq-txt-pass2.xsl, faq.dtd, faq.txt, faq.xml
	(BETA-5-2.[1,1,1,3,5]) (utags: REL-5-2): FAQ updates from Florian
	Xhumari (20011001)

2001-10-01 13:34  amai

	* source/highlightData.c (tags: REL-5-2) (BETA-5-2.1): minor
	pattern fix, bug 455877

2001-10-01 12:42  edg

	* source/preferences.c (BETA-5-2.4): Changed the order in which new
	5.2 language modes were added to the list during upgrading (they
	are now simply appended instead of inserted).

2001-10-01 08:30  edg

	* util/prefFile.c (tags: REL-5-2) (BETA-5-2.1): Fixed a bug in the
	preferences restoration mechanism (prefFileRead is now properly
	set, even if already present in the resource file).

2001-09-30 19:49  edg

	* source/preferences.c (BETA-5-2.3): Added a 5.1 to 5.2 preferences
	upgrading routine (language modes and highlight styles).

2001-09-27 12:41  edg

	* source/file.c (tags: REL-5-2) (BETA-5-2.1): Added comment about
	use of tmpnam (Thorsten Haude).

2001-09-26 21:05  amai

	* makefiles/Makefile.unixware (tags: REL-5-2) (BETA-5-2.1): Add
	-lSM -lICE  to libs as reported on the list as for UnixWare 7.1.1

2001-09-21 09:58  amai

	* source/: tags.c (1.19), tags.h (1.7): 'const' patch + fix small
	memory leak + protect against memory overflow in Add*TagFile

2001-09-20 19:30  tringali

	* doc/nedit.doc (tags: REL-5-2), source/help.c (BETA-5-2.[3,6]): -
	Merge slobasso 5.2 doc fixes erronously applies to mainline here

2001-09-20 14:24  tringali

	* source/nedit.c (tags: REL-5-2) (BETA-5-2.1): Remove "iso8859" as
	some servers do not have this encoding installed.

2001-09-20 11:14  amai

	* ChangeLog (1.10): Update

2001-09-20 11:13  amai

	* ChangeLog (BETA-5-2.4): Update. Remove info about recent main
	trunk

2001-09-19 12:11  amai

	* makefiles/: Makefile.linux, Makefile.os2 (BETA-5-2.[1,1]) (utags:
	REL-5-2): Document -lXp flag (required when linking against a Motif
	2.1 compatible libXm)

2001-09-17 14:06  amai

	* source/file.c (1.31), source/regularExp.c (1.11), source/search.h
	(1.13), util/printUtils.c (1.13): Still minor cleanup. Make
	compiler/lint even more happy

2001-09-14 15:59  edg

	* source/highlight.c (tags: REL-5-2) (BETA-5-2.1): Fixes for SF
	bugs #459965 and #460859 (they are related), including patch
	#460229.

2001-09-13 14:11  tringali

	* source/preferences.c (BETA-5-2.2): #458807: Automatically add 5.2
	styles if .nedit file is pre-5.2

2001-09-12 20:14  amai

	* doc/: faq-txt.awk (tags: REL-5-2), faq-txt.dtd (tags: REL-5-2),
	faq-txt.xsl (tags: REL-5-2), faq.txt, faq.xml, faq.xsl (tags:
	REL-5-2) (BETA-5-2.[1,1,1,2,4,1]): Update as sent from Florian
	Xhumari

2001-09-12 09:45  amai

	* ChangeLog (BETA-5-2.3): I forgot to update this file in this beta
	branch ...

2001-09-12 09:18  amai

	* makefiles/Makefile.depend (tags: REL-5-2) (BETA-5-2.1): Add CVS
	info line to output. Makes life even more simple

2001-09-11 11:24  amai

	* doc/faq.xml (BETA-5-2.3): Add a non-visible CVS stamp and update
	version/time stamp

2001-09-11 10:17  edg

	* source/search.c (tags: REL-5-2) (BETA-5-2.1): Fixed a minor
	button sensitivity bug (Multiple Files... button was grayed out
	after canceling multi-file replace dialog and modifying search
	text).

2001-09-10 15:28  amai

	* util/system.h (tags: REL-5-2) (BETA-5-2.2): Update/add/fix
	compiler info

2001-09-10 13:42  amai

	* source/help.c (BETA-5-2.5): Update timestamp

2001-09-10 13:41  amai

	* doc/faq.xml (BETA-5-2.2): Some updates WRT LessTif, mostly
	cosmetics.

2001-09-07 14:16  amai

	* doc/NEdit.ad (1.1): file NEdit.ad was initially added on branch
	BETA-5-2.

2001-09-07 14:16  amai

	* doc/NEdit.ad (tags: REL-5-2) (BETA-5-2.1): Add a 5.1 app defaults
	file - needs to be updated probably.  This contains only
	outcommented entries!

2001-09-07 07:46  amai

	* doc/nc.man (tags: REL-5-2), doc/nedit.doc, source/help.c
	(BETA-5-2.[1,2,4]): Fix typos as reported on the list

2001-09-07 07:39  amai

	* source/help.c (BETA-5-2.3): Don't call XmRegisterConverters() for
	Motif 2.1, add declaration for 2.0 and add a "helpful" comment on
	all that

2001-09-06 09:39  amai

	* ChangeLog (1.9), source/help.c (1.55): ChangeLog update and a new
	timestamp

2001-09-06 09:37  amai

	* source/: Makefile.dependencies (1.11), file.c (1.30), tags.c
	(1.18), tags.h (1.6): Add missing #include and add some 'const'. 
	Update dependencies

2001-09-05 11:44  amai

	* source/: file.c (1.29), help.c (1.54), preferences.c (1.34),
	preferences.h (1.14), tags.c (1.17), tags.h (1.5): Patch for SF bug
	[ #451997 ] bugs in tags.c/normalizePathname from Markus
	Schwarzenberg

2001-09-04 17:55  amai

	* doc/nedit.doc, source/help.c (BETA-5-2.[1,2]): Fix typo reported
	on the mailinglist

2001-08-31 22:16  amai

	* doc/: faq.txt, faq.xml (BETA-5-2.[1,1]): Update FAQ as sent from
	Florian Xhumari.  Add plain text version of FAQ

2001-08-31 22:16  amai

	* doc/faq.txt (1.1): file faq.txt was initially added on branch
	BETA-5-2.

2001-08-30 21:04  tringali

	* util/system.h (BETA-5-2.1): Fix for Solaris x86 "unknown"

2001-08-30 20:19  amai

	* ChangeLog (BETA-5-2.2): Update

2001-08-30 20:17  amai

	* source/preferences.c (BETA-5-2.1): /bin/csh doesn't make sense on
	OS/2 - even as a default value only

2001-08-29 15:56  slobasso

	* source/help.c (1.53): fixed mispellings

2001-08-29 13:56  amai

	* source/regularExp.c (1.10): Fix lint warning: octal constants
	shouldn't carry a suffix like 'L'!?

2001-08-29 08:27  amai

	* util/: misc.c (1.32), misc.h (1.10): Second attempt to fix a
	specific compiler warning and a 'const' addition

2001-08-29 00:01  slobasso

	* source/file.c (1.28): moved braces so nedit goto matching works

2001-08-28 23:18  slobasso

	* doc/nedit.doc (1.5), source/help.c (1.52): documentation cleanup

2001-08-28 22:24  slobasso

	* source/help.c (1.51): Array documentation cleanup.

2001-08-28 11:41  amai

	* source/tags.c (1.16): 'const' patch

2001-08-28 11:29  amai

	* source/file.c (1.27), source/highlight.c (1.19),
	source/interpret.c (1.18), source/macro.c (1.36), source/menu.c
	(1.37), source/preferences.c (1.33), source/preferences.h (1.13),
	source/tags.c (1.15), source/text.c (1.17), util/misc.c (1.31): Fix
	some more lclint warnings: type casts, make some things static (no,
	not all unused ones, 'some'), etc.

2001-08-27 18:45  slobasso

	* source/macro.c (1.35): fixed static linkage of actionToString to
	match declaration

2001-08-27 09:08  amai

	* source/nc.c (1.11): startServer() changes: has a return type now;
	re-shuffle some code Also make another global var static and
	replace a printf() by puts()

2001-08-26 02:28  slobasso

	* source/macro.c (1.34): removed unused variable

2001-08-25 15:58  amai

	* source/: file.c (1.26), highlightData.c (1.23), highlightData.h
	(1.6), preferences.c (1.32), preferences.h (1.12), regexConvert.c
	(1.5, BETA-5-3-RC1), regexConvert.h (1.3, BETA-5-3-RC1), server.h
	(1.3, BETA-5-3-RC1), shell.c (1.15), shell.h (1.4, BETA-5-3-RC1),
	undo.c (1.7), undo.h (1.4, BETA-5-3-RC1): Another 'const' patch

2001-08-25 15:24  amai

	* source/: file.c (1.25), file.h (1.8), highlightData.c (1.22),
	highlightData.h (1.5), macro.c (1.33), macro.h (1.3, BETA-5-3-RC1),
	regularExp.c (1.9), regularExp.h (1.6, BETA-5-3-RC1), search.c
	(1.35), search.h (1.12): Another 'const' patch

2001-08-25 12:16  amai

	* util/printUtils.c (1.12): The very last signed vs. unsigned
	warning on my system ...

2001-08-25 12:09  amai

	* source/: highlightData.c (1.21), menu.c (1.36), preferences.c
	(1.31), regularExp.c (1.8), shell.c (1.14), userCmds.c (1.18): Fix
	a couple of "unsigned vs. int" compiler warnings. Using gcc on OS/2
	this warning is now completly wiped out!

2001-08-25 11:55  amai

	* util/: DialogF.c (1.18), misc.c (1.30), prefFile.c (1.10): Fix
	compiler warnings. Mostly unsigned vs. signed int issues

2001-08-25 11:49  amai

	* README (BETA-5-2.2): A couple of fixes, enhancements (see report
	on mailinglist)

2001-08-24 18:34  amai

	* makefiles/Makefile.solaris (BETA-5-2.1): No debug build by
	default. Patch from Thorsten Haude

2001-08-24 08:33  amai

	* util/: fontsel.c, fontsel.h, misc.c (BETA-5-2.[2,2,2]) (utags:
	REL-5-2): Undo some changes which I erroneously checked in ...

2001-08-24 08:28  amai

	* ChangeLog, util/fontsel.c, util/fontsel.h, util/misc.c
	(BETA-5-2.[1,1,1,1]): Updated Changelog.  Includes whole history,
	including new beta branch.  New options of cvs2cl used, listing
	contains now revision/branch info, timestamps are in GMT, etc.

2001-08-24 08:19  amai

	* source/macro.c (1.32): Fix warnings, add 'const's, make func
	static

2001-08-23 17:57  amai

	* source/selection.c (1.11): Try to fix two lint/compiler warnings

2001-08-23 17:42  amai

	* source/search.c (1.34): Fix wrong return type in function (in a
	"dead" branch)

2001-08-23 14:59  amai

	* source/: highlightData.c (1.20), interpret.c (1.17), shift.c
	(1.9), smartIndent.c (1.13, BETA-5-3-RC1): Make some more functions
	static

2001-08-23 14:39  amai

	* util/: misc.c (1.29), misc.h (1.9): Drop 'wrong' prototype for
	standard function. Fix a function signature to avoid warnings

2001-08-23 14:11  amai

	* util/: fontsel.c (1.11), fontsel.h (1.4): Fix lint warning about
	float to integer assignment and add some more 'const's

2001-08-23 13:57  amai

	* util/misc.c (1.28): Drop unused #include

2001-08-22 15:41  amai

	* README, source/help.c (BETA-5-2.[1,1]): First updates for "RC1"

2001-08-22 15:39  amai

	* doc/nedit.man (tags: REL-5-2) (BETA-5-2.1): Update from Joor
	Loohuis.

2001-08-21 14:29  tringali

	* source/: userCmds.c (1.17), window.c (1.33) (utags: REL-5-2):
	#449569: Ensure shell/macro accelerators also have accelerator fix

2001-08-20 20:36  tringali

	* source/window.c (1.32): #449569: Avoid startup failure when
	window manager grabs the same key as an accelerator

2001-08-18 12:35  amai

	* source/Makefile.dependencies (1.10, REL-5-2): Update

2001-08-18 12:24  amai

	* source/: help.c (1.50), help.h (1.4, REL-5-2), nedit.c (1.18):
	Add a PrintVersion() call to nedit.  Some more 'const' patches :-)

2001-08-18 11:48  jlous

	* README (1.13), doc/nedit.man (1.5), source/help.c (1.49): Moved
	Thorsten Haude credits from pattern contributor to developer.

2001-08-17 23:02  edg

	* README (1.12), makefiles/Makefile.aix (1.5, BETA-5-3-RC1,
	REL-5-2), makefiles/Makefile.bsdi (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.ccur (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.convex (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.cygwin (1.4, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.dcosx (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.dec (1.4, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.freebsd (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.generic (1.4, REL-5-2), makefiles/Makefile.hpux
	(1.3, BETA-5-3-RC1, REL-5-2), makefiles/Makefile.linux (1.5),
	makefiles/Makefile.lynx (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.m88k.svr4 (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.netbsd (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.os2 (1.5), makefiles/Makefile.osf (1.4,
	BETA-5-3-RC1, REL-5-2), makefiles/Makefile.reliant (1.3,
	BETA-5-3-RC1, REL-5-2), makefiles/Makefile.sco (1.3, BETA-5-3-RC1,
	REL-5-2), makefiles/Makefile.sgi (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.solaris (1.4), makefiles/Makefile.sunos (1.3,
	BETA-5-3-RC1, REL-5-2), makefiles/Makefile.superux (1.3,
	BETA-5-3-RC1, REL-5-2), makefiles/Makefile.uhc (1.3, BETA-5-3-RC1,
	REL-5-2), makefiles/Makefile.ultrix (1.3, BETA-5-3-RC1, REL-5-2),
	makefiles/Makefile.unicos (1.4, REL-5-2),
	makefiles/Makefile.unixware (1.3), source/help.c (1.48),
	source/preferences.c (1.30): Made the REPLACE_SCOPE compilation
	option more visible and changed the default replace scope selection
	preference to "Smart".

2001-08-17 21:54  edg

	* source/highlight.c (1.18): Added a fix for SF bug #449828.

2001-08-17 14:09  tringali

	* source/tags.c (1.14, REL-5-2): Fix for crash in shared tag
	allocation on Solaris (compiler bug?)

2001-08-17 11:01  amai

	* source/: window.c (1.31), window.h (1.7, REL-5-2): Another
	'const' patch

2001-08-17 10:56  amai

	* util/: fileUtils.c (1.14), fileUtils.h (1.5) (utags: REL-5-2):
	Export two more interfaces. Fix for CompressPathname() to avoid
	multiple slashes in path. (Markus Schwarzenberg)

2001-08-16 18:33  slobasso

	* source/highlightData.c (1.19): Fixed NEdit macro language
	patterns to contain previously added items.

2001-08-16 17:24  amai

	* source/highlight.c (1.17): Fix for [ nedit-Bugs-435384 ] circular
	patterns reference hangs NEdit

2001-08-16 09:49  amai

	* source/highlightData.c (1.18): Patch [ #451485 ] updated Sh Ksh
	Bash patterns submitted from Joor Loohuis

2001-08-15 09:16  amai

	* source/: Makefile.dependencies (1.9), regexConvert.c (1.4,
	REL-5-2): Another source was missing to #include it's own header
	for consistency checking!

2001-08-15 09:08  amai

	* ChangeLog (1.8): Update (ok, not even a week has passed, but it's
	a nice overview ...)

2001-08-15 09:00  amai

	* source/preferences.h (1.11, REL-5-2), util/misc.c (1.27),
	util/misc.h (1.8, REL-5-2): Have unique value for MAX_ACCEL_LEN

2001-08-15 08:56  amai

	* source/Makefile.dependencies (1.8): Update

2001-08-15 08:56  amai

	* source/: userCmds.c (1.16), userCmds.h (1.4, BETA-5-3-RC1,
	REL-5-2): Source should include it's own headers for consistency
	checking.  Add some const to signatures, drop an unused arg from a
	static interface.

2001-08-14 15:05  slobasso

	* source/rbTree.c (1.4, BETA-5-3-RC1, REL-5-2): fixed comment
	spacing

2001-08-14 14:40  slobasso

	* source/rbTree.c (1.3): added gnu license

2001-08-14 08:50  jlous

	* README (1.11): README credits updated to reflect version dialog

2001-08-14 08:37  jlous

	* source/file.c (1.24), source/help.c (1.47), source/highlight.c
	(1.16), source/highlightData.c (1.17), source/interpret.c (1.16,
	REL-5-2), source/macro.c (1.31, REL-5-2), source/menu.c (1.35,
	REL-5-2), source/nc.c (1.10, REL-5-2), source/nedit.c (1.17),
	source/preferences.c (1.29), source/search.c (1.33),
	source/selection.c (1.10, REL-5-2), source/server.c (1.9, REL-5-2),
	source/shell.c (1.13), source/shift.c (1.8, REL-5-2),
	source/smartIndent.c (1.12, REL-5-2), source/tags.c (1.13),
	source/text.c (1.16, REL-5-2), source/textBuf.c (1.11, REL-5-2),
	source/textDisp.c (1.10, REL-5-2), source/textDrag.c (1.4,
	REL-5-2), source/textSel.c (1.5, REL-5-2), source/undo.c (1.6,
	REL-5-2), source/userCmds.c (1.15), source/window.c (1.30),
	util/DialogF.c (1.17, REL-5-2), util/fileUtils.c (1.13),
	util/fontsel.c (1.10), util/getfiles.c (1.15, REL-5-2),
	util/managedList.c (1.7, BETA-5-3-RC1, REL-5-2), util/misc.c
	(1.26), util/prefFile.c (1.9), util/printUtils.c (1.11, REL-5-2),
	util/system.h (1.7), util/utils.c (1.5, REL-5-2), util/vmsUtils.c
	(1.5, BETA-5-3-RC1, REL-5-2): Fixed license statements to pure GPL

2001-08-13 13:48  tringali

	* doc/: nc.man (1.4), nedit.man (1.4): manpage updates from Joor.

2001-08-13 09:55  amai

	* doc/nedit.doc (1.4), source/help.c (1.46): Doc patch from
	Thorsten Haude posted on Fri Aug 10 2001

2001-08-13 09:51  amai

	* doc/nedit.doc (1.3), source/help.c (1.45): Patch from Thorsten
	Haude: Document Arrays within nedit.doc and typo fix in help.c

2001-08-12 15:45  amai

	* makefiles/Makefile.generic (1.3), source/comnedit.com (1.6,
	REL-5-2): Drop last references to NO_FCHMOD #define

2001-08-11 19:51  edg

	* source/search.c (1.32): Fixed SF bug #448006: three beeps; one to
	many.

2001-08-10 20:36  amai

	* source/highlightData.c (1.16): TeX pattern patch from Joerg
	Fischer <jf505@yahoo.de>

2001-08-10 14:35  amai

	* source/Makefile.dependencies (1.7): Update dependency list

2001-08-09 20:58  tringali

	* source/nedit.c (1.16): Fix for wrong menu font [#434383]

2001-08-09 18:47  amai

	* util/system.h (1.6): Correct a comment :-)

2001-08-09 18:46  amai

	* makefiles/Makefile.os2 (1.4): Drop -DNO_FCHMOD flag

2001-08-09 18:41  slobasso

	* source/Makefile.common (1.8, REL-5-2): added parse.c to cleaned
	files for make clean

2001-08-09 18:39  slobasso

	* source/userCmds.c (1.14): removed attachment possibly causing
	window manager loop

2001-08-09 18:03  slobasso

	* source/: smartIndent.c (1.11), smartIndent.h (1.4, BETA-5-3-RC1,
	REL-5-2), macro.c (1.30): We now keep track if we are in smart
	indent macros so garbage collection won't remove things from under
	a macro.

2001-08-09 13:34  amai

	* source/highlight.c (1.15), source/highlightData.c (1.15),
	source/interpret.c (1.15), source/search.c (1.31),
	source/selection.c (1.9), source/shell.c (1.12),
	source/smartIndent.c (1.10), source/textBuf.c (1.10),
	source/textSel.c (1.4), source/userCmds.c (1.13), source/window.c
	(1.29), util/managedList.c (1.6): Add lots of missing #include
	<string.h>

2001-08-09 08:37  amai

	* source/help.c (1.44): Add hardcoded timestamp (month) again

2001-08-09 07:37  amai

	* source/.cvsignore (1.2, BETA-5-3-RC1, REL-5-2): Add entry

2001-08-08 22:31  slobasso

	* source/file.c (1.23): remove fchmod calls except when under VMS

2001-08-08 18:29  amai

	* makefiles/Makefile.os2 (1.3): Update from my private working copy

2001-08-08 08:39  amai

	* ChangeLog (1.7): Update (should be done weekly perhaps and could
	even be done automatically?)

2001-08-08 08:37  amai

	* source/parse.c_noyacc (1.7, REL-5-2): Re-generate from parse.y. 
	BTW, yacc from Digital Unix 4.0x is being used

2001-08-08 08:34  amai

	* source/parse.y (1.16, REL-5-2): Add an #include <string.h> (there
	was no error/warning; somehow we already got this probably)

2001-08-07 23:46  slobasso

	* source/Makefile.common (1.7): changed highlightData.c to be
	compiled with BIGGER_STRINGS

2001-08-07 01:53  tringali

	* ReleaseNotes (1.9), source/highlightData.c (1.14),
	source/preferences.c (1.28): #448420: Pattern updates from Joor

2001-08-07 01:12  tringali

	* source/nedit.c (1.15): Fix for #448402: nedit quits if unable to
	resolve X locale

2001-08-06 21:24  amai

	* README (1.10): correction to "Requirements" section

2001-08-06 21:21  amai

	* README (1.9): Add "Requirements for building NEdit" section

2001-08-06 20:38  tringali

	* doc/nedit.doc (1.2), source/help.c (1.43): Sync help with doc. 
	(Updates from Thorsten Haude)

2001-08-04 20:49  tringali

	* source/file.c (1.22), source/menu.c (1.34), source/nc.c (1.9),
	source/nedit.c (1.14), source/server.c (1.8), source/shell.c
	(1.11), source/window.c (1.28), util/misc.c (1.25): Ensure exit
	returns a meaningful (succes/fail) status to the user

2001-08-04 20:23  tringali

	* util/system.h (1.5): Add info for lots more compilers.

2001-08-03 12:16  amai

	* ReleaseNotes (1.8): Small updates

2001-08-02 23:45  tringali

	* util/system.h (1.4): Add definitions for MSVC, Sun Workshop, etc.

2001-08-02 22:59  slobasso

	* source/macro.c (1.29): Fixed problem where error message is
	written if empty learned macro is executed. Also disallowed replay
	from executing if a macro is already in progress. This caused a
	crash by overflowing the interpreter stack.

2001-08-02 22:54  slobasso

	* source/file.c (1.21): added symlink security patch and added mode
	parameter to open calls with O_CREAT

2001-08-02 17:26  amai

	* source/interpret.c (1.14): Avoid crash when calling
	"self_insert()" from macro menu: fill in missing entries from our
	fakes key event

2001-08-01 07:41  amai

	* ChangeLog (1.6): Update

2001-08-01 07:40  amai

	* source/help.c (1.42): Again hardcode a string about the
	development version "August 2001".  Build time may be misleading
	...

2001-07-31 23:16  slobasso

	* source/macro.c (1.28): fixed problem where closing window while
	learning would make it impossible to finish or cancel learing.

2001-07-31 11:58  amai

	* source/text.c (1.15): Fix minor warnings

2001-07-31 07:46  amai

	* util/managedList.c (1.5): Don't name variables 'index', may be an
	interface in BSD-like libc

2001-07-31 07:43  amai

	* util/getfiles.c (1.14): Fix lint warning: "getfiles.c", line 716:
	warning: args redefinition hides earlier one

2001-07-31 07:40  amai

	* util/fontsel.c (1.9): Don't use 'index' as name for variable; may
	be a call in a BSD-like libc

2001-07-29 17:51  amai

	* source/highlight.c (1.14): Experimental patch to fix "mismatched"
	memory handling calls as indicated by "purify". Probably not
	complete and should be checked again with purify _now_!

2001-07-28 19:53  tringali

	* Makefile (1.6): #442517: add explanatory text how to use make

2001-07-25 18:37  tringali

	* source/help.c (1.41): Add more detailed info about Motif (runtime
	version number)

2001-07-25 18:36  tringali

	* util/system.h (1.3): Use "Digital/Tru64 Unix" in place of OSF/1

2001-07-25 18:36  tringali

	* doc/: nc.man (1.3), nedit.man (1.3): Update authors for 5.2

2001-07-25 18:05  slobasso

	* util/misc.c (1.24): made changes so that Num_Lock's mod mask is
	found rather than assuming Mod3

2001-07-25 14:36  amai

	* source/textBuf.c (1.9): Attempt to fix memory leak reported by
	Thorsten Haude

2001-07-25 13:03  amai

	* util/misc.c (1.23): Try to fix small memory leak reported by
	Thorsten Haude

2001-07-25 07:49  amai

	* util/system.h (1.2): Add "EMX=OS/2"

2001-07-25 07:39  amai

	* source/Makefile.dependencies (1.6), util/Makefile.dependencies
	(1.4, REL-5-2): Update dependency lists

2001-07-24 21:55  tringali

	* util/system.h (1.1): Add host compliation information to help

2001-07-24 21:54  tringali

	* source/: help.c (1.40), tags.c (1.12), tags.h (1.4, REL-5-2): -
	Use shared strings for lower memory use with large tags files.	-
	Add compilation host information to help, update authors

2001-07-24 19:27  slobasso

	* util/misc.c (1.22): Fix array size define to match actual array
	size.  Incorrect size could result in infinite loop.

2001-07-18 13:01  amai

	* ChangeLog (1.5): Update

2001-07-18 13:00  amai

	* source/: search.c (1.30), search.h (1.11, REL-5-2), window.c
	(1.27): Shrink two function names to 31 characters length and below
	(seems to be a limit on some VMS systems)

2001-07-17 08:19  amai

	* doc/faq.xml (1.2): Updated version from  Florian Xhumari as of
	http://galleries.free.fr/nedit-faq-01-07-16.tar.gz

2001-07-17 07:31  amai

	* source/preferences.c (1.27), util/getfiles.c (1.13),
	util/vmsUtils.c (1.4): VMS patches from Blair Phillips
	<blair.phillips@airservices.gov.au>:  avoid rint() re-definition,
	fix for non-unix file root, case-insensitive match on filename
	extensions.

2001-07-16 20:41  amai

	* source/lnknedit.com (1.5, BETA-5-3-RC1, REL-5-2): VMS patch from
	mark.geary@qwest.com

2001-07-16 14:48  amai

	* doc/: nc.man (1.2), nedit.man (1.2): Man page updates from Joor
	Loohuis

2001-07-16 11:49  amai

	* doc/: faq-txt.awk (1.1), faq-txt.dtd (1.1), faq-txt.xsl (1.1),
	faq.dtd (1.1), faq.xml (1.1), faq.xsl (1.1): faq*: add FAQ files
	found on our website

2001-07-11 21:35  amai

	* source/: parse.c_noyacc (1.6), parse.h (1.4, BETA-5-3-RC1,
	REL-5-2), parse.y (1.15): Back out "const" patch for ParseMacro().
	Was incomplete, therefore broken

2001-07-11 15:21  amai

	* source/: comnedit.com (1.5), file.c (1.20), lnknedit.com (1.4):
	VMS patches from  <Mark.Geary@qwest.com> (not literally as for
	file.c)

2001-07-11 08:06  amai

	* source/parse.c_noyacc (1.5): Update from current parse.y

2001-07-11 08:04  amai

	* source/: parse.h (1.3), parse.y (1.14): Add some 'const' to
	ParseMacro() signature

2001-07-11 07:55  amai

	* util/: comutil.com (1.3, BETA-5-3-RC1, REL-5-2), utils.c (1.4):
	VMS patches from Mark.Geary@qwest.com

2001-07-07 09:55  amai

	* ChangeLog (1.4): Update

2001-07-07 09:54  amai

	* COPYRIGHT (1.1, BETA-5-3-RC1, REL-5-2), README (1.8): Have an
	external file for the license terms. README refers to it

2001-07-07 09:48  amai

	* nc.man (1.4), nedit.doc (1.6), nedit.man (1.4), doc/nc.man (1.1),
	doc/nedit.doc (1.1), doc/nedit.man (1.1): Move doc files to
	separate subdirectory

2001-07-04 09:42  uid30962

	* README (1.7): Update some references to LessTif

2001-07-04 09:29  uid30962

	* ReleaseNotes (1.7): ReleaseNotes: Upddate

2001-07-03 12:53  amai

